RandomWare

InfoGlobe.gif (39570 bytes)
Help System Overview Visit us on the internet at http://www.RandomWare.com
Data Conversion Version 2.6
Evaluation System Home Pages
After Installation
Getting Started
Tutorials
Quick Tips: Data Access & Editing Tools
Special Data Edit Controls
Opening a Directory
The Directory Facility
The Base List
Pre-Employment Data Management
Opening a Named Base List or a History File
Selection Schedules
Pools/Consortia
Pool Registry
Random Selection, Date and Number Generation
Random Selection from Roster [Base List]
Random Sorts - How to randomly sort a list.
Random Date Generator [Frequency Testing]
Random Date Archive Files - Opening the archive directories
Random Number Generator - General Randomizer
Random Selection - How it's Done
Percentage Calculations and the volatile or varying list count
Exclusion - Controlling a Diminishing List for Random Selection
Histories
History Data: Updating Collection & Test Result Data
Target Percentages - Monitoring Year to Date Numbers
Target Percentages - Random Selection: Percentages Automatically Preset
Generating Reports
Printing
Base List Data Elements
How to Edit Data
Reading Existing Data into RandomWare without Typing
Importing an External Data File into a Base List
Excel - Reading Excel Spreadsheet data into Randomware
Append & Merge: Combining RandomWare Lists
Saving/Renaming
Notification File & Mail Merge
The File System
Glossary

Visit us on the internet at http://www.RandomWare.com


Data Conversions for Version 2.6

BACK-UP all data from the previous version before opening existing data files in the new system
Randomware Plus+
Data from previous versions of the program will automatically convert to version 2.6
Randomware Basic

Data is semi automatically converted for upgrades to version 2.6

Base Lists and their respective History Data File(s) must be converted for Randomware version 2.6

The Base List is automatically converted when it's opened.

When a base list is opened for the first time in version 2.6, you will be prompted for the base list's respective history file or files.

Since history files can be named independent of their respective Base Lists and since it's possible for multiple history files to exist for each base list, you will be prompted a number of times to specify an EXISTING history file. If only one history file exists for the base list, simply select the Cancel button from the standard open dialog when it prompts to open a subsequent history file.

Maintaining multiple history files is possible, yet not recommended as standard Randomware data management.

Randomware will prompt you for the name of the first history file, convert it and prompt you for a subsequent history file if you've maintained multiple history files for a specific base list.

Enter the history file name when prompted and select "Open."

Do not select History Files which are not associated with
the Base List you've just selected to open.

If you've maintained one, and only one, history file for the base list, simply select the CANCEL option when the open dialog is subsequently presented.

Immediately following is the standard open dialog.
Please confirm the History File name or select the
corresponding history file(s) for the current base list.


After Installation

This article includes information about the following:

  • Monitor Resolution

  • Color Requirements for you Monitor

  • Color Control

  • Program Fonts for the Screen & Printing

  • Some Helpful Tips

System | Monitor Resolution Requirements
Simple | Simple has no resolution requirements.
Extended | 400 x 600
Basic | 400 x 600
Plus | 400 x 600
Depending on the size of your monitor, to guarantee all spreadsheet columns and all dialog boxes are displayed in their entirety, your monitor's resolution must be, at least, 1024 x 768 pixels (horizontal x vertical). Generally, this requires VGA or super VGA compatibility. Spreadsheets cannot scroll horizontally. Dialog boxes cannot scroll vertically or horizontally into the display area of the monitor if displayed partially off screen.

Note: RandomWare is developed on a Dell laptop with a 15 inch screen.

To check your monitor, follow the directions below for color requirements. The pixel control is found on the same page as the color settings.
Color Requirements for you Monitor

The program appears best if you select a color palette for your computer monitor that uses more than 256 colors. To change your monitor's color palette, right click over your "desktop", select the "properties" menu and then select the "Settings" Tab when the "Display Properties" dialog box appears.

Color Control – Setting the Display Properties for you Monitor The pre-selected color settings used by RandomWare will display best if the color palette for your monitor is set to a value higher than 256 colors. If more than 256 colors are not available then refer to the Help module for assistance with color control.

To easily access the display control dialog, right click the mouse over the “Desktop” and select the Properties tab as shown. Or access Display Control from the Control Panel by way of the Task bar Start button.

Once the display control dialog is displayed, select the tab for Settings and a color palette greater than 256.

Windows 2000 will present a dialog box as below.
Windows 95/98 will present a dialog box as below.
Example of Too Few Colors Specified:

This is what to expect when your color palette is set to 256 colors or less:

Example of Correct Color Specification:

This is what to expect when your color palette is set to greater than 256 colors.

  • High Color (16 Bit)
  • True Color (24 Bit)
  • True Color (32 Bit)

Program Fonts for the Screen & Printing

You may need to set print fonts before you can properly print documents through RandomWare. The default fonts do not seem to be active for all installations. Print one of the sample Base Lists that accompany the program. If it compares to the print sample included with the installation document, your font settings do not need to be changed.

Please Note: Of course, if you downloaded the installation, a printed example is not included with the documentation and there are no on-line examples of printed documents.
There are four print font categories:

  • Primary Title

  • Secondary Title

  • Column Headings

  • Line Data
And two screen font categories:

  • Data Input

  • Screen Text (data screen column headings and titles)

When the font control dialog is displayed, set all fonts to Arial, Regular, Size 8 to insure that all data fits on a page.
Font Control is accessed from the main menu through the Utils option or from the Misc and Print menus in most menu bars throughout the system.

NOTE: SCREEN FONTS - Be certain the option boxes for “Strikeout” and “Underline” are not checked.

For more information about font control see the articles in the help system under Printing, Fonts & Colors. Once fonts and colors have been set, they remained unchanged.

Some Helpful Tips

From the Directory Window (RandomWare Plus+)

  • Right click on a Group/Company Name for a Pop-Up Menu of Options.
  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.
  • Double Click on a Group/Company Name to open its Base List (Company Roster.)
  • Right click on a Pool-ID for a Pop-Up Menu of Options.
  • Double click on a Pool-ID to dynamically combine the member's lists for random selection.

From the Base List Window

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each employee in the roster.
  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.
  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.
  • Right click on any date in the system to see its "Day of the Week"


Getting Started

The help system navigates exactly as an internet web-site with hyper linked pages. Sub-topics are often presented on separate pages and can be referenced through hyperlinks. You can easily browse to a related topic, read it, and return to finish the main article.

Quick Tips: Data Access

Click on this question mark wherever it occurs. It provides a quick link to information about the current window in which it is displayed. Updated help systems are easily downloaded from the web site as the system expands to provide greater depth to the help available.

Click on the "Short Cut" symbol for a popup menu of relevant options available for the current input field. Often, the menu option provided is a "What's this?" for information about the use of a data item and the values available.

Click on the "Drop Down" symbol for a list of selectable data items for the field in which it appears.

Random Selection

Random selections are generated from data files referred to as Base Lists. The lists contain the names and identification numbers of all personnel to be included in the random testing procedure. You can manage as many lists as required.

You can develop groups of lists through the Directory facility or individual lists through a separate management facility.

A Directory is essentially a list of lists with an address book. Pooling is accomplished through directories.

For a overview of the Directory Facility click here arrow.gif (822 bytes) Directory

For a discussion about Individual lists opened outside the directory facility, see Individual Lists.


Randomware System Overview
  • The Basic System
  • Randomware Plus+
The Basic System
  • Easily manage RandomWare lists from which true random selections are generated. Develop as many lists as your application requires. Use the full power of the operating system to appropriately name your lists.
  • Full scrollable window views of all data. View up to 50+ entries per page depending on the size of your monitor.
  • Generate random selections by percentage or count including alternates.
  • Generate selections by Category using selection filters. For example: DOT vs. Non-DOT, Union vs. Non-Union. Develop a list of categories as required by your application.
  • Generate selections that strictly comply to DOT standards and reduce your total cost of compliance through selection control. See Complete DOT Compliance.
  • Import existing data into RandomWare easily and automatically.
  • Variable ID: Each entrant's I.D. can be a Social Security Number or any text string up to 32 characters.
  • Maintain complete selection histories: maintain selection dates, collection dates, sample IDs, sample collected vs. not collected, collection and testing result codes, type of tests administered.

  • Reports are easily generated from the selection histories. Generate reports by dates, company, employee, collection & test result codes, sample collection status, tests, etc., etc. Easily determine number of tests administered to any single individual.

  • Sort any column of data with one click of the mouse.
  • Print notification letters automatically: RandomWare generates output which is fully compatible with Microsoft Word's powerful Mail-Merge function. Generate letters, postcards, labels, etc, etc. This function's powerful features will meet all of your print output needs. In fact, all data within RandomWare can be output to a Mail-Merge compatible data file.
  • Audit Trail Insures Adherence & Honesty
    Every random selection generated is automatically logged to an audit file. The audit insures adherence to your company's selection guidelines. Access to the audit file is password protected.

The Plus+ System features the RandomWare Directory Facility

  • Get all the functionality of the basic system and facilitate data and report control through the
    special Randomware Directory Facility.
  • RandomWare directories naturally manage multiple locations, different departments, a variety of organizations and controls Pooling. Use the directory facility to easily manage any group of lists.
  • Pools - Maintain individual company lists and assign Pool Names to manage and control pooled consortiums.
  • Pool on demand simply by clicking a Pool Name. The program automatically combines each member's base list into one list for viewing and random selection control. Assign a Directory entry to any pool effortlessly. Change a company's pool assignment simply and easily. Manage as many pools from a single directory as required by your application.

  • A RandomWare Directory is essentially a list with an address facility linked to the lists from which random selections are generated. Maintain as many Directories as you require for your operation.
  • Monitor Year to Date Percent Targets and automatically generate selection controls with percentages, test types and selection dates properly preset for each control group's required year to date percentages to meet yearly projections.
  • Reports: With a click of the mouse: collection, selection, positives, negatives, test types, . . ., counts and percentages are automatically generated for viewing and/or printing for every company and pool of companies listed in a directory. Keep on track of the selection control requirements by easily compiling reports that compare collection percentages with target percentages.

  • Scheduling: Enter the selection/testing schedule for each directory entry by date: quarterly, monthly, weekly, or daily. Register your schedule with Randomware and receive email notification of your scheduling requirements. List as many email addresses as you require for each directory entry and the Randomware Web Server will automatically send an email to every listed recipient as a reminder that the selection needs to be generated, or as an announcement that the selection is pending. (Subscription feature - Available March 1, 2000)
  • Email Notification: Register your selection schedules with Randomware and receive automatic email notification of your scheduling requirements. See scheduling above.

  • If you provide random selection as part of your drug testing services then maintain a directory of the companies for whom you provide testing.
  • If your company manages its own drug testing program then maintain a directory of the individual departments within your company and maintain a directory for each facility worldwide.
  • If you provide random selection for sporting events then maintain a directory of teams for each event.

Home


Tutorials
Randomware Plus+

  • Getting Started using the Directory Facility

  • Opening Individually Named Base Lists
  • Editing the Base List and Generating Random Selections
  • Pools: Managing Pools for Random Selections
  • Open Options
Randomware Basic
  • Getting Started: Opening the Base Lists
  • Editing the Base List and Generating Random Selections
Printing Form Letters
  • The Notification File
  • The Mail-Merge Save Option
  • Learning to use Microsoft's Mail Merge
Reading Microsoft Excel Data Files into Randomware
  • Getting Microsoft Excel Data into Randomware
Definition - Base List
A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.


Quick Data Access & Editing Tools: Useful Tips

Quick Tips: Data Access & Editing Tools

Click on this question mark wherever it occurs. It provides a quick link to information about the current window in which it is displayed. Updated help systems are easily downloaded from the web site as the system expands to provide greater depth to the help available.

Click on the "Short Cut" symbol for a popup menu of relevant options available for the current input field. Often, the menu option provided is a "What's this?" for information about the use of a data item and the values available.

Click on the "Drop Down" symbol for a list of selectable data items for the field in which it appears.

From the Directory Window (Randomware Plus+)

  • Right click on a Group/Company Name for a Pop-Up Floating Menu of Options.

  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.

  • Double Click on a Group/Company Name to open its Base List (Company Roster).

  • Right click on a Pool-ID for a Pop-Up Menu of Options.

  • Double click on a Pool-ID to dynamically combine the member's lists into one for random selection.

From the Base List Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry.

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each name in the roster.

  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.

  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry which provides control for all of the donor sample data elements.

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.

  • Right click on any date in the system to see its "Day of the Week"


Special Data Editor Controls

Special Data Edit Controls

A variety of data controls are provided to ease data management and reduce data entry redundancy.

Special data editor controls:

  • Base List Dialog Editor

  • MIS Mode/Category Editor

  • Work Shift Editor

  • Directory Entry Dialog Editor

  • Test Results: History Data & Pre-Employment Dialog Editor

These controls can be accessed in a variety of ways.

From the Directory Window (Randomware Plus+)

  • Right click on a Group/Company Name for a Pop-Up Floating Menu of Options.

  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.

  • Double Click on a Group/Company Name to open its Base List (Company Roster).

  • Right click on a Pool-ID for a Pop-Up Menu of Options.

  • Double click on a Pool-ID to dynamically combine the member's lists into one for random selection.

From the Base List Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry.

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each name in the roster.

  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.

  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry which provides control for all of the donor sample data elements.

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.

  • Right click on any date in the system to see its "Day of the Week"


Opening a Directory

From the program's main menu, Open, select the option, Directory.

Select an existing directory file or enter the name of a new directory.

Directory files are automatically assigned the file extension .DIR

NOTE: It is strongly recommended that you keep all your directory files in one folder. The associated base list and history files are maintained in disk folders controlled by the program.

For additional assistance using the standard open dialog see Standard Open and Save-As Dialog Box

Home
Directory


Directory

Directory: Overview

Quick links to some of the topics covered on this page:

  • Directory: Overview [ This Page ]

  • Directory: How to open a directory

  • Base List: How to open a list to enter and edit the entries for a directory item

  • Pooling: How to create and open a list of names that comprise a pool

The directory is essentially a list of lists with an address book.

A directory manages a collection of company names or groups and provides easy access to the base lists which contain the names and IDs of its members. An ID can be a social security number, driver license number, proprietary employment identification number, etc., etc.

If you provide random selection as part of your drug testing service then maintain a directory of the companies for whom you provide testing. Enter each company in a directory, then develop the list for each company entered. Pooling any number of companies becomes a trivial task with the directory facility.

If your company manages its own drug testing program then maintain a directory of the individual departments within your company and, or a directory for each facility location. List each department in the directory and develop each department's list.

If you provide random selections for sporting events then maintain a directory of teams for each event.

If you provide random selections for your organization worldwide then maintain a directory for each location.

See Opening a Directory for help for defining and accessing directories.

A list will correspond to each directory entry and is managed as an individual file. Randomware can manage as many as 100 million (100,000,000) directory entries each with a corresponding list file. The list file name for an entry in the directory is automatically assigned.

The Directory Window

The directory window is divided into two sections.

  • Address block.

  • Company/Group Name, Pool ID, Notification & List File ID.
Not all the data for each directory entry are displayed in the view above. All the data fields, for each entry, can not be displayed in a meaningful format, in one window.

Five views are available for the directory and each are accessed through the Views menu option.

  • Selection Control & Target Percentages
  • Standard View
  • Check Mark control for utility options.
  • Single Name status control
  • Simple Address Listing

Address Block
The data at the top of the screen is the Address Block. This block of data changes as you move across each row (record) of data below. The data in the address block corresponds to the current record below. See Current Record for a complete definition.

In the example above, line number 1 is the current record - 1 is also displayed along the side of the address block at the top left. The address block for record 2 will display when you move down one line by pressing the "Down" arrow key.

Moving the Cursor into the Address Block
Press the [Enter] or [Tab] key to move consecutively from field to field or move the cursor using the mouse and left click on the field item you want.

Notify File
Enter the name of the notification file you would like to use for its respective directory entry. For more information about the Notification file see Histories & Notifications

File Names for each Directory Entry
The file name for the base lists, history files and scheduling files for each directory entry is automatically assigned. The base file name, without a file extension, is displayed in the File ID column.

For example, the name of the base list for Acme Tool Rental is "10". The file name, including the file extension, is 10.DAT and is located in a sub-directory of the installation folder named DB_LISTS. If the installation folder is C:\RandomWare then the full path and file name of the base list is: C:\RandomWare\DB_LISTS\10.Dat. If you delete the directory entry for Acme, the base list file is not automatically deleted. If you accidentally delete a directory entry, the base list will persist. Reenter the company name, open its list and use the Append-Merge-Overwrite option to retrieve the data into the list.

For a detailed account of the RandomWare file system see File System.

Pools
Pools are developed from directory entries that have a common "Pool ID." Maintain a directory entry for each member of a pool. A directory can manage multiple pools with ease.

Identify Pool members by assigning a distinct pool ID to each company in the pool. Once you have assigned the same pool id to all its members, move the cursor over one of the Pool IDs you've entered and Left-Double Click the mouse. The list for each company assigned the pool id, is combined to form one list and then displayed. The random selections are generated from the combined list. The list is combined dynamically from each member list every time you double click on the pool id and represents the most current entries in each member's list.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

For more information on Pooling see Pooling and Tutorials - Pools

The Base List: Opening, Editing and Random Selection
To open the Base List for a directory entry, move the cursor over the Group name and Left-Double Click the mouse.

For example, in the directory list shown above, to open the list for Acme Tool Rental, move the cursor over the cell containing the text "Acme Tool Rental" and left double-click the mouse or use the Open Options menu. From the Base List window you will generate random selections. Return to the directory when you save and exit.

Opening the list displays the following window:

See Base Lists for more information about list data.

Sorting
Move the cursor over the text heading for the column you would like to sort and Left Click the mouse. Click again to reverse the sort.

Home


Base List

Base List - Randomware Basic & Plus

Random selections are generated from these lists.

Open base lists from the Directory Facility (Randomware Plus+) or directly as a Named List.
  • Named Lists
  • Directory

The Base List (Personnel Roster) is presented for input as shown:

Note: See Base List Data Items & Data Item Options for a detail description of each data item and access to special edit controls.

To generate a random selection choose the menu option Randoms.

Note:
The 'X' column is used to indicate the entries previously selected within the last 'n' days when 'n' is specified in the Exclusion options of the random selection controller.

Menu Options | Description
Exit | Exit to previous window. A prompt is provided to save or ignore any data modifications.
Windows | Provides access to currently open spreadsheet windows.
Save | Save all changes in the list to disk.
Utilities | See Utility Options below.
Randoms | See Random Selection
Other Data | See Other Data
History/EAP | Provides access to the history of previous random selections for drug and alcohol data tracking management.
Views | Provides other spreadsheet views for the personnel roster.
Import | See Import External Data
Print | See Print Options below.
Misc | See Misc Options
Help | Provides access to a variety of help articles.

The Utility Options | Description
Full Editor Dialog | All data items for an individual base list entry can not be displayed in a spreadsheet style format to fit the screen without a horizontal scroll. The Full Editor Dialog is an edit control through which all data items are accessible from one place.
Mode/Category Manager | Presents the Mode/Category manager to easily set the mode and category for each entry. See Mode Manger for details.
Shift Manager | Presents the Shift manager to easily set the work shift for each entry. See Shift Manager for details.
Filter | Data filtering reduces the entries displayed. See Filtering
Find | Find a specific entry in the list. See Find
Record Selector | See Record Selector for details.


Opening a Base List

Named Lists: Opening a Base List Outside the Directory Facility for Random Selection

Individual Lists can be opened outside the directory facility and are also referred to as Named Lists.

The file name of a Named List must follow the naming conventions of the operating system. Name the list and locate it in any folder you wish.

From the main menu, open an existing or a new Base List through the menu option Lists.

Note: The Directory option, seen below, does not appear in the Basic System.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For more information about using this standard dialog see the help topic Open Dialog Box.

From the Open Dialog select the folder and an existing file or enter the name of a new Base List. If you select an existing file then the data will be presented as it was last saved. If it is a new file then an empty data screen will be presented and you can then start entering the names and IDs of the personnel for that list.

NOTE: Lists are automatically assigned the file extension: .DAT

Quick Links

Home
Entering Data and the Individual Data Fields


Scheduling

Scheduling [ Randomware Plus+ ]
Options
Scheduling is primarily used to calculate year to date collection percentages to help keep your selection percentages accurate for each random selection requested.

A table of selection and collection dates can be managed for every entry in the directory.

  • Double click a date field for access to the Calendar Control to easily enter dates.

  • Right click a date to see its day of the week (Monday, Tuesday, etc.).
Specify as many selection/collection dates required by each group and pool in the directory.
  • Quarterly - 4 entries
  • Monthly - 12 entries
  • Weekly - 52 entries
  • Daily - 365 entries
The dates are used to preset the random selection controls: Selection Date and Testing Dates.

The Selection date is the day the random selection is generated, while the Testing date is the day donor samples are collected.

The number of scheduling dates is used to determine the total, year to date, percentage of donor samples collected for each test. The number of dates entered is counted and compared to the number of selection dates logged in the history file to determine the number of selections yet to generate for the year. The year to date percentage is subtracted from the target percentage specified for each of the two control tests entered, divided by the number of selections yet to generate to determine the required minimum percentage to specify for each selection yet to generate. These numbers will help you stay on top of your testing requirements for the year.

To schedule Pool selections, simply open the Pool's respective schedule and enter the required dates. To open a Pool's schedule, select the Open Options menu from the menu bar at the top of the screen or right click on the pool id and open the pool registry. Pool members do not need individual schedules or target percentages defined. If a pool member requires higher yearly percentages than the pool, simply define a schedule for the individual pool member, enter the same schedule as the pool and include additional selection dates to suit your needs.

Year to Date percentages are reported for the individual pool members, for whom you define selection schedules and target percentages, when the Target Report is requested.

Master Schedules
You can define a variety of Master Schedules. For example, define a default Quarterly schedule and copy it to the schedule of as many directory entries and pools as required by your application. For example, from the Open Options, open a schedule, name it "Quarter", enter the dates you require and save it.

Once you've defined a master schedules, change directory views to 'Check Mark' Control for Utility Options. From the Utilities menu, select Apply a Schedule to Directory Entries as shown below.

From the open dialog - find and select the schedule you created.

When you select Open, the Schedule Control dialog box is presented - its options are described below.

Options Description
All pools listed in the directory, that meet the Apply Options, will be assigned the selected schedule if at least one of its members is 'Checked' in the directory view.
All group entries in the directory, that meet the Apply Options, will be assigned the selected schedule.
If you check this box, all directory entries, that meet the Apply Options, with a pool ID entered in their respective Pool ID columns, will be not be assigned the selected schedule.

How Scheduling Works

Randomware uses the number of dates entered in a schedule as the count of selections you plan to generate for a group or pool. When a random selection is generated and subsequently saved to its history file, the Randomware Messenger finds the schedule and checks off the first date it finds that is not checked as "Completed" - there is no date "proximity" testing. When Target reports are generated, the number of selections yet to perform is determined simply by the number of dates in a schedule that are not yet checked as "Completed" - it's a very simple and straight forward technique. It alleviates the necessity of changing dates as your personal work schedule naturally varies. When the random selection control is initialized, the first available date, not checked as "Completed", is used to preset the selection date. You can change it to reflect the actual selection date if necessary.

Edit Schedules for the Entire Directory

You can edit schedules for an individual directory entry or a pool through the Open Options menu from the directory window. You can request to view all schedules as one list through the directory menu Edit the Selection Schedule . . ., from the Utilities menu. It is best to first switch to the Check Mark Control View before requesting the Edit feature.

When you select the menu option, a Schedule Selection Control dialog box is presented - its options are described below.

Options Description
All schedules for pools listed in the directory, that meet the Apply Options, will be added to the list for viewing & editing if at least one of its members is 'Checked' in the directory view.
All schedules for group entries in the directory, that meet the Apply Options, will be added to the list for viewing & editing.
If you check this box, all schedules for directory entries, that meet the Apply Options, with a pool ID entered in their respective Pool ID columns, will be not be added to the list.

A window of all schedule dates from the selected entries is presented for editing.

Click on the column heading "Schedule Date" to sort the list by this date. Click on it again to reverse the sort.

When the list is sorted by date, you can easily review your scheduling requirements for the entries you selected. You can not insert or delete schedule entries from this edit window - you can only edit existing schedule and testing dates. The primary function of this feature is to easily order your scheduling requirements. When you select to save the changes, the Randomware Messenger updates each of the individual schedules to reflect the modifications.


Pooling

Pools

Notes on Pools
Pool lists are combined exactly as they are found, entry for entry. For example, if an individual appears in two lists to be pooled, the individual appears twice in the pooled list and is twice as likely to be selected as someone who appears only once.

Commonly asked Pooling Question:
When a driver works for two or more employers, in whose list must the driver be included?

Guidance: The driver must be in the list of each employer for which the driver works. This interprets DOT Rule: 49 CFR 382.305.

If you need more information to clarify this point go to http://www.DOT.gov and search for 49 CFR 382.305 - you will find plenty of letters written by the DOT. in response to this issue.

See also Tutorials - Pools

Open a RandomWare directory for Pool Development

NOTE: Double Click the Pool ID to generate the Pool list for Random selection generation (use left mouse button)

Assigning a Pool-ID
Name as many pools as you find useful. Each pool name can be at most 8 characters. Allowed characters are: A-Z, a-z, 1,2,3,4...9,0, the underscore and the dash. This should provide ample naming capability for pools.

The Pool ID is directory specific, i.e. once you use a pool id within a directory you can not use it in other Randomware directory. If you enter a Pool ID that's registered with another directory, the system will notify you of the error. All registered pool ids can be reviewed through the Pool Registry. Pool IDs are automatically registered with the Pool registry. When you enter a pool ID that is not listed in the registry, it will be automatically added. See the Open Options menu to access the Pool Registry.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

Example:
In the above example two companies belong to Pool_1A and two companies belong to Pool_1B.

If you move the cursor over the text Pool_1A in any field or cell in the Pool ID and double click the left mouse button a temporary pool list file is generated and presented. The name of the temporary file for this pool list is DB_LISTS\Pool_1A.DAT.

All the entries from the lists for Acme Tool Rental and Quick Silver are combined to form the new list.

When you select a pool identifier only the groups listed with that pool id will be joined together to form one file from which to generate random selections.

Once the combined file is presented, the procedure to generate a random selection from the combined list is identical to generating random selections from a non-pooled base list.

See Random Selection for help with the random selection process.

Home


Pool Registry

From a Randomware Directory, open the pool registry from the Open Options popup menu, Pool Registry.

A system option controls the type of selection scheduling your application will use. If the System Scheduler is turned OFF, the schedule count column, No. Sched., is displayed when viewing Pool Registry. When the System Scheduler is turned ON, the column is not active and not displayed. See Scheduling for a discussion about this Randomware feature and how to use it.

Use the pool registry to maintain your selection criteria and yearly percentage targets for all Pools within your application. The random selection control generator allows you to draw by for up two tests at the same time: Test-A and Test-B. Enter each test type and its control percentage for each named Pool in the registry.

Note: System options are accessible throughout the program through the Misc popup menu choice, System Options. Most windows within Randomware have the Misc menu option.

The Fields

No. Sched.
When the system scheduler is turn OFF, enter the number of selections you plan for each entry. For example, if you plan to generate quarterly selections for an entry, enter 4 in this field.

'1' - The Single Name Mode Switch
Randomware, by default, maintains data entry for First and Last names, including a middle initial. If this field is checked ('x'), only one name is offered for display and input, with the column heading 'Name'. This switch affects the display and printing of the pool's data: Base List and History. The Single Name Mode Switch for each pool member should be checked to match. This switch is a entry by entry option. To access this switch for each directory entry, select the directory view Single Name Status Control.

DOT
Generate Target reports and automatically preset the random selection control fields for selection from a pool or an individual company. If DOT is checked ('x'), the Super Double Jeopardy control is presented with the selection fields preset. If DOT is not checked, then the standard selection control is used. Double click to toggle the status of this field. For a discussion that distinguishes between these two selection controls see Random Selection.

Auto
Currently not used.

Randomize
Each directory entry and pool defined has a respective schedule you define to control for yearly selections. Along with the scheduled selection date, you can enter a testing or sample collection date range (the day test samples will be collected.) If you enter two testing dates and check Randomize ('x'), the system will randomly assign a collection date between the two dates specified (inclusively) for each entry randomly selected. Double click to toggle the status of this field. See Open Options to enter selection schedules.

Exclusion
Currently not used.

Test-A
Enter the Test Type to be administered. Maintain a list of tests in the system database, Test Types. To open the data base for editing, select the popup menu option, Test Types Administered from the menu Codes/Tests at the top of the screen. If you enter the first character(s) of a test type in the database, the system will complete the entry for you. For example, if 'Breath' is a test type found in the Test Types database, typing 'B' will prompt the system to complete the entry to 'Breath' for you.

%(Test-A)
Enter the yearly percentage requirements for the selection of Test-A. For example, if you need to select 50% annually for a pool or individual group, enter '50' in this field.

Test-B
Enter the Test Type to be administered exactly as Test-A.

%(Test-B)
Enter the yearly percentage requirements for the selection of Test-B exactly as Test-A. If you are controlling for DOT selection (Super Double Jeopardy), the percentage for Test-B must be less than or equal to that for Test-A. If you have control for two test types, with different percentages, Test-A must be entered with the higher percentage.

Alts %
Enter the percentage by which alternates will be selected. Alternates are those entries who will be called in the event that primary selections are unavailable for testing. The Standard Selection control allows you to independently specify the selection of alternates for each test. Super Double Jeopardy has only entry by which to specify the selection of alternates.

Home


Random Selection - Options Available

Random Selection

RandomWare provides a number of controls to generate randomly selected lists.

General Random Selection Control: This selection control provides the greatest flexibility allowing for the selection for two tests, one drug and one alcohol, at one time. Enter a selection percentage or the number of entries to select for each test specified. Selection Filters can be entered, reducing the number of individuals considered for the selection. You can Indicate a number of alternates, by percentage or count, for each test. The alternates, of course, are randomly selected.

Super Double Jeopardy: This selection generator provides the same controls as the general selection discussed above and minimizes the number selected.

Building Selection Lists Incrementally: You can build a selection list with repeated use of the selection controls. Each selection is appended to the last (This feature is only available when you turn the off the option that controls the display of the random results to the dialog - see System Options).

Simple Random Selection: Generate a random selection by entering a count or a percentage and indicate number of alternates. Non-Drug & alcohol testing specific.

Exclusion: Specify the number of days by which to control a diminished list from which to generate a random selection. For non-mandated testing programs, avoid selecting individuals already selected and tested within a specified period.


Frequency Scheduling - Randomly Generated Dates

Frequency Scheduling - Randomly Generated Dates [Available in Plus+ System Only]

Topics on this Page
  • How random dates are generated
  • How to generate random dates for . . .
    • Individual Base Lists
    • Entire Directory
  • How to locate previously generated random dates for . . .
    • Individual Base Lists
    • Entire Directory

Frequency Scheduling generates random dates for intervals within a specified calendar period. It will, for example, generate a random date, once a week for a month or twice a week for two months, or four times a month for a year. Frequency Schedules can be generated individually for each group in the directory or for all groups from a directory at once.

Generate a schedule of dates, individually, for each directory member, directly from the group's base list as shown below.

Enter a frequency (Frx) and an interval (TF: time frame) for every entry in a base list which requires random date generation. The progression of the time frame can be controlled by the Rel field and the maximum number of dates can be controlled by the Max+.

For example, in line one, above, a Frequency (Frx) of 1 and the Time Frame (TF) of 7 generates a random date once every 7 days. Line two generates 2 dates every 12 days, while line three generates 3 dates every 21 days. In general, the system will generate N dates for every interval defined by the time frame TF.

Note: The frequency is entered in the column whose heading is Frx.

For example consider the following frequency numbers:
Frx | TF | Frx < TF The Frequency must be less than the Time Frame
0 | 0 | No Dates generated (Blank data in the Frx column is equivalent to 0)
1 | 1 | No Dates generated
2 | 7 | Twice every 7 days or twice a week
1 | 7 | Once a week
1 | 14 | Once every two weeks
2 | 14 | Twice every two weeks
1 | 30 | Once a month (30 days)
1 | 60 | Once every 60 days
1 | 120 | Once every 120 days

 | Progression of the Time Frame and the no. of dates generated
Rel | If checked, the progression of the time frame is relative to the last random date generated. This field is only selectable if the frequency (Frx) is 1. Double click this field to toggle its value. See the discussion below for a detail accounting of the Rel & Max+ fields.
Max+ | Normally, the maximum number of dates generated is the total number of days in the calendar period specified, divided by the number of days in the time frame. For example, if the starting and ending dates specify 184 days (approximately 6 months), then a Frequency Ratio 1:7 (once a week) will generate 26 random dates. If relative interval sequencing is specified (see above) then more than 26 random dates may be generated. See the discussion below for a detail accounting of the Rel & Max+ fields.
To generate random dates directly from the base list, select the Frequency Scheduling option as shown below.
How to generate random dates for the entire Directory with one command:

When random dates are generated for every entry in the directory, the output is written to a single list. Currently, there is no method by which you can exclude individual directory entries from a directory wide request.

To access the random date control for the directory, select from the menu option, Utilities, Generate Random Dates as shown below. First enter the frequencies and time frame intervals for each group in the directory.

The same control is used for generating dates for entries from an individual base list or the entire directory,

The Generation Control Parameters

Randomly selected dates will exclude Not Days.

Check the option, Use Exclusion Calendar, to exclude dates found in the exclusion dates table where holidays and/or other dates for the year can be excluded from selection.

Check Display Name and Date Only if required by your application of Randomware. If checked, the subsequent display of the dates generated will include only the name and date. If the base list is tagged as "Single Named," then a single name is displayed.

Check Combine Name and Group to display to combined the Name and Directory Group into one field. This feature is helpful for importing random dates in Microsoft's Outlook Calendar feature.

Check Single Name Display Mode to suppress the display of the first name and middle initial.

Interval Sequencing
The following example illustrates the generation of dates for a three week period with a frequency 1:7 (once a week). For the sake of simplicity, assume the first day of the period defined by the starting and ending dates is a Monday and the first day selected is a Wednesday.

The three week interval from which to select dates is:
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun

Absolute Interval Spacing
If the first day selected is Wednesday, the interval from which to select the next date starts with the next interval:
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun

In a three week period, the program will generate 3, and only 3, randomly selected days, one from each distinct seven days in the period defined.

Relative Interval Spacing
If the Rel field is checked then relative interval sequencing is used.

As in the example described above, if the first day selected is Wednesday, the interval from which to select the next date starts with the following day, Thursday, and the remaining calendar from which to generate dates is:
Thurs-Fri-Sat-Sun-Mon-Tues-Wed
Thurs-Fri-Sat-Sun-Mon-Tues-Wed

If specified by Max+, relative spacing may select more than 3 dates from a three week period. If Max+ is checked, the program will continue selecting a random date from the next interval defined by the progression of the time frame until the starting date of the next time frame starts outside the dates requested.
NOTE: It's possible to generate a randomly selected day beyond the specified period when the first day of a successive interval falls within the remainder of the period but the ending day of the interval falls beyond the ending date.

The generation cycle continues until the starting date of a successive interval is pushed beyond the ending date. For example: Generate random dates for a schedule frequency of one:seven (1:7) period ending 6/22/200. If the system generates the randomly selected date, 6/21/2000, which is one day before the ending date, one more date is randomly generated for the interval [6/22 - 6/28], since 6/22 is an eligible day for selection. Randomware reports whatever day is selected from the final interval regardless if it is beyond the ending date of the selection period.

How to locate previously generated random dates

Random Dates Generated for Individual Base Lists
To open an archive of previously generated frequency schedules, right click on a group/company name from the directory window and select Review List: Random Dates Generated for FreQ_Sched. From the archive data window you can open the individual data files which contain the previously generated dates, by right or double clicking where the file name is displayed. See Random Dates Archive for further information.

Random Dates Generated for Entire Directory
From the directory facility menu, Utilities, select option, Review List of Random Dates... as shown below. See Random Dates Archive for further information.


Random Dates Archive Data

Two Dates archives are maintain:

  • Directory Random Date Archive

  • Random Date Archive for Individual Directory Entry

Random Dates Generated for entire Directory
When random dates are generated for every entry in the directory, the output is written to a single list. Currently, there is no method by which you can exclude individual directory entries from a directory wide request.

To open the archive directory, from the directory facility menu, Utilities, select the option, Review List of Random Dates... as shown below. See Random Dates Archive for further information.

Random Dates Generated for an Individual Directory Entry
Every time a set of random dates is generated through a Frequency Scheduling request, the resulting list of dates is automatically saved. To access the list of archived data, right click on the entry where it occurs in the directory listing as shown below and select Review Lists: Random Dates Generated . . . from the popup menu as seen here. See the Archive Directory for specific information about the archives.


Random Number Generator - General Randomizer

Random Number Generator - Uniform Distribution

A general random number generator is available from the main menu as shown below:

Enter the random number parameters in the control provided shown below.

Enter the count of numbers to generate, the range from which the numbers will be selected, the number of sets to generate and whether duplicates are allowed - Random number generators naturally produce duplicate numbers.

Uniform Distribution
This feature was designed to demonstrate the uniform distribution of RandomWare's random number generator. A random number generator must demonstrate uniform distribution in order to guarantee fairness to everyone in the list from which random selections are pulled.

To demonstrate uniform distribution, select 100 or 1000 sets of 10 random numbers, between 1 and 100. After the numbers are generated, press the Cancel button to exit the control and review the numbers.

The column named Distribution shows how many times a specific number was generated.

Each entry in the distribution column is the number of times each number 1,2,...,100 was generated. You will find that each number, 1-100, occur equally, more or less, thereby, demonstrating the uniform distribution property of the randomizer.

The example below shows the results after selecting 5 numbers in the interval 1-10, 10,000 times.

Column | Frx < TF The Frequency must be less than the Time Frame
Random No.
Lines 1-5 | The results of the first set of random numbers generated between 1-10, without duplication.
Lines 6-10 | The second set of numbers generated between 1-10.
Lines 11-15 | The third set of numbers generated between 1-10.
etc. | Subsequent sets of generated numbers
ith. No. | Numbers in the range of requested.
Distribution | No. of times the ith. No. in the range requested was generated.
Distribution Results | Select 5 numbers, without duplication, between 1-10. Perform selection 10,000 times
1 | Selected 5029 Times
2 | Selected 4947 Times
3 | Selected 5013 Times
4 | Selected 4984 Times
5 | Selected 4979 Times
6 | Selected 5022 Times
7 | Selected 5019 Times
8 | Selected 5018 Times
9 | Selected 4949 Times
10 | Selected 5040 Times


Random Selection - How it's Done

How Randomware Generates Random Selections

A random number generator from the Microsoft Run Time Library generates the random number sequences used to select individual entries from Randomware base lists.

Consider a list of 100 entries. Each entry is the list is assigned a number, 1-100, by virtue of its order in the list. The first entry in the list is 1, the second entry is 2, . . ., and the last entry is 100.

If you sort the list, the assigned sequence numbers are automatically reassigned.

The Algorithm
First, the random number generator is initialized with a "seed." Most numeric algorithms require a "seed" to kick off the process. The common Square Root algorithm is a well known function - to start the algorithm, it first requires an approximate answer before it can calculate, iteratively, the final solution. The closer the approximation, the faster the algorithm converges.

A unique seed number guarantees a unique random number sequence. The randomizer uses a seed which is guaranteed unique: time of day - the number of seconds since January 1970. Every time reference is unique and guarantees a unique sequence of random numbers and therefore is completely random. If the same seed is used to start the randomizer a subsequent time, the same sequence of numbers is generated. This is evidenced if you quickly request successive sets of random numbers from the program's simple randomizer, however, it is not possible to access the same seed when generating random selections from base lists.

Consider a list of 100 individuals. The random number generator is "seeded" and begins generating numbers. First the program checks that the number is between 1 and 100. If it is, then the individual whose order in the list corresponds to the number is considered selected. When the number of individuals selected is equal to the number requested, the process stops and the list is presented.

Uniform distribution of random numbers is important for an algorithm to be valid. The uniform distribution of the numbers generated through Randomware can be demonstrated through the program's General Randomizer.

The following run time library routines used in Randomware are documented in the help system.

  • Rand( )

  • Srand( )

  • time( )


Exclusion - Controlling a diminishing list

Exclusion
Specify the number of days to control a diminished list from which to generate a random selection.
NOTE: If the current list was not opened through the Directory Facility of the Plus System, the user is prompted for the list's corresponding history file when first entering exclusion parameters.
Options | Description
No. Days | An entry previously selected or tested within the last 'n' days, will be excluded from the current selection.
Last Select / Test Date | When you enter No. Days, the last selection / testing date is displayed. If you enter a date, the number of days is determined and displayed.
Exclude By . . . | Depending on the option selected, the exclusion is controlled by the date last selected or last tested. Note: Last Tested is synonymous to Last Sample Collection Date.
Select Date | Date individual was last selected for testing.
Test Date | Date collection was last performed
Options | Description of Pre-Employment List Exclusion Options
Use | Pre-employment lists are used to determined exclusion. The testing date determines exclusion when checking pre-employment lists regardless of the 'Exclude By' option selected (Select Date or Test Date). Every directory entry can maintain its own pre-employment list and every directory has a master pre-employment list. When selecting from a single directory entry, both pre-employment lists are used to determine exclusion. When selecting from a pool, all pool members pre-employment lists are used as well as the directory pre-employment master. Note: the directory's master pre-employment list is always reviewed for testing dates when this option is checked.
Only | History files are not used to determine exclusion. Only the pre-employment lists determine exclusion.
Ignore | Pre-employment lists are not used to determine exclusion. Exclusion is determined by the dates found for individuals in the selection list's respective history files.

If you enter 'n' days in the Exclusion Option, then any entry from the base list, previously selected or tested within the last 'n' days, will not be considered for the current selection.

Depending on the option selected, the exclusion is controlled by the date last selected or last tested. When you enter No. Days, the last selected or testing date is displayed. If you enter a date, the number of days is determined and displayed.

NOTE: The Last Selection/Testing Date is 'n' days previous to the current date.

For example, enter 30, to exclude anyone selected or tested within the last 30 days.
Two additional options help control this feature:

  • Only if Collected

  • Not Alternates

Only if Collected

If this option is checked, a person will be excluded if and only if a test sample was collected.

If a someone was previously selected, but a test sample was not collected, the person will not be excluded from the current selection, e.g., alternates.

If this option is NOT checked, all persons be excluded if previously selected within the number of exclusion days specified.

Not Alternates

This option controls the exclusion of alternates when the "Only if Collected" option is not checked. If the "Only if Collected" option is not checked then everyone previously selected within the specified number of exclusion days will be excluded, regardless if a sample was collected.

When "Not Alternates" is checked, individuals previously selected as alternates will not be excluded, provided a sample was not collected. When a sample is collected for an alternate, the alternate is not considered merely as an alternate.

Note: When the "Only if Collected" option is checked, alternates for whom a sample was collected, will be excluded if the previous date is within the number of exclusion days specified.

Each entry excluded from the selection is flagged with an 'x' as shown above. If you exit the selection control without generating a selection, the excluded entries will maintain the display of their exclusion status, however, the status is not saved with the base list but is saved with the duplicate list record which preserves the selection parameters as an audit document. Note: the exclusion column can sort.

Exclusion Date

When the number of exclusion days is specified, the corresponding exclusion date is displayed. The exclusion date is determined by adding the number of exclusion days to the currently displayed selection date. Anyone previously selected or tested BEFORE the exclusion date is eligible for selection. Anyone selected ON or AFTER the exclusion date and BEFORE the date currently displayed in the Selection Date control is excluded for the selection.

If an exclusion date is entered, the number of resulting exclusion days is calculated. The exclusion date must be on or BEFORE the currently displayed selection date.

Exclusion & Selection Control for Individual Pool Members

Some consortium members may want to control for higher testing percentages than mandated. Exclusion will allow you to comply with mandated selection requirements and control for higher percentage targets requested by an individual member.

When a consortium member company asks for higher testing percentages and wants to control its mandated and non-mandated testing at the same time, the complication is how to not select an individual twice for the same testing period. Exclusion provides the solution to this requirement.

If you generate the selection for the consortium and the individual member on the same day:
First, generate the random selection from the entire consortium as mandated and be certain to save the selection to its history file. Then generate a selection for the individual consortium member and specify the number of exclusion days as one (1). Anyone selected from the consortium (pool), will not be selected when drawing from the individual member list.

In general:
First, generate the random selection from the entire consortium as mandated. Then generate a selection for the individual consortium member and specify the exclusion date as the last selection date of the consortium draw. Anyone selected from the consortium ( pool), will not be selected when drawing from the individual member list.


History: Random Selections

Results/History Tables

You can maintain a results/history table for every base list in the system. Save the results of every random selection to its results/history file for future reference & report generation. Drug and alcohol test results for random selections (as well as all other reasons for testing) are maintained in the results/history tables. Data is always appended to the end of an existing results/history file.

Note: RandomWare system that don't maintain drug and alcohol test results refer to the table were random selection data is managed as history tables. Systems that maintain drug & alcohol test results refer to these tables as results table or results/history tables.
Results Tables File Names for Directory Entries:
You can not specifically name the history file if the base list was opened through the directory facility. The history file is named in the exact same manner as the base list for that directory entry. For example, consider the directory entry Quick Silver Messengers, from the directory window shown here:
Quick Silver Messengers:
The file names for the base list and results are, respectively, 13.Dat and 13.Hst
Acme Delivery:
The file names for the base list and history are, respectively, 10.Dat and 10.Hst
History File Names for Pools:
When you save the selection for a Pool, the selections for each member of the pool are saved to their respective directory entry's history file and to a history file named after the Pool ID.
For example if you selected Pool_1A from column Pool-1, three history files are updated: the history file for the pool and the history files for each member of the pool.
  • History\Pool_1A.Hst
  • History\10.Hst
  • History\13.Hst

Notification Files Automatically Generated:

Most applications should turn on the option to automatically save the random selection to the results/history table. This option is accessed through System Options from the Other_Data menu.

When a random selection is automatically saved to the results/ history file, a notification file is automatically generated but its creation is not announced.

When the automatic save option is turned off, the creation of the notification file is announced as shown below, when the user selects to save the random selection.

The notification files is automatically named. For example, the notification disk file for Acme Delivery, is automatically named Acme_ Delivery.Ntx. If the random selection is generated on June 26, 2003 the complete disk file name is: C:\RandomWare\Notices\06-26-03\Acme_Delivery.Ntx

See Notification Files for more information about this special purpose file.

Individually Named Base Lists:
If the base list is open as an individually named list, then the notification file is named after the base list. For example, if the base list name is, Sample.Dat, then the notification file is automatically name Sample.Ntx.
Pools - Multiple notification files are generated:
A notification file for the Pool and one for each member of the pool are automatically generated when you select the notification file option from the selection window for the pool.
Assume the random selection generated on the date mm-dd-yr. If you generate a random selection for Pool_1A, three notification files are created: the notification file for the pool and the notification files for each member of the pool members. If Acme and Quick Silver are pool members then the three notification files created are named:
  • Notice\mm-dd-yr\Pool_1A.Ntx
  • Notice\mm-dd-yr\Acme_Delivery.Ntx
  • Notice\mm-dd-yr\Quick_Silver_Messengers.Ntx
Home


History Data: Updating Collection & Test Result Data

If you are using Randomware Plus+, open the history file for a group entry or a pool using the Open Options menu. Note: if you right double click over a group entry, the history file will automatically open.

If you are using the Randomware Basic system, open the using file from the main menu's Open History option.

Indicate the status of donor sample collections in the History file by left double clicking the Collection Column.

Enter the Test Result Code in the Code Column, adjacent to the Collection Column. Enter the first character(s) of the Test Result Code and the Randomware Messenger will finish the entry of the code according to what is found in the Result Codes Data Base. To enter the result codes you want you application to recognize, see the menu Codes/Tests.

You can locate the donor using the Sort and Find features. Sort by first or last name and easily locate the individual. If you only have ID numbers, sort by ID and easily locate the entry.

Once you locate the donor , move the cursor over the Collection Status column, left double click the mouse: if the field is blank an 'x' will appear - if an 'x' already occupies the field, it will be erased. An 'x' implies that a sample for the named donor was collected.

Pool Histories
A pooled random selection is saved to the pool's history file, and each selected entry is saved to its respective group's history file. For example, if John Henry of Acme and Kevin Smyth of Advantage Micro, were selected from Pool_1A, both entries are saved to the pool history, Pool_1A.Hst, and then John Henry is saved to Acme's history file, while Kevin Smyth is saved to Micro's history file. You can access either file to update or modify data. If you update data in Acme's history file, the Randomware Messenger will know if an entry in the Acme history file was from a pooled selection. If it did originate from a pooled selection, the Messenger will find the proper pool history and update the same entry with the same changes. If you update an entry in the pool's history file, the Randomware Messenger will find the individual group entry's history file and update the same entry with the same changes as well. Which file to access is up to you - which ever is easiest. If you keep printed documents handy, finding the donor is easy.

Planned Enhancements for Randomware:
  • Find a donor simply by entering a name or ID.
  • Receive Lab data electronically and update your history files automatically. The Randomware Messenger will read the lab data, and find each donor in the system to update the entry.

Note:
When you generate a random selection, you can initialize the collection status of each individual selected as already "Collected" - this saves you the trouble of setting the status donor at a later time. Rather than indicating whose sample were collected, simply indicate whose samples were not collected. Note: an alternate's collection status is never initialized as collected.

Home


Generating Reports from History Files

Generating Reports from a History Files

Every selection generated should be saved to the base list's respective History file.

Open a Group's or a Pool's History file using the Open Options menu from the directory (Randomware Plus+) or from the display window of its respective base list using the View History option. For help opening Base Lists and Base Lists for Pools see the Tutorial.

Select the Report Generator.

 Reports the number of Samples Collected of a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all samples collected for the time period are reported. A percentage is reported.
Reports the number of Samples NOT Collected of a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all samples collected for the time period are reported. A percentage is reported.
Reports the total number of selections generated for a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all selections generated are reported for the time period are reported.
Reports the number of Test Types and or Result Codes entered.

Screen or Print Options
  • Screen reports direct report results to the screen only.
  • Summary Reports print the counts and percentages for the period requested.
  • Detail Reports print the counts and percentages for the period requested and list each individual entry from the history file which contribute to the data reported.

Using the Filter option to generate a report.

Entering data into the From field will reduce the list to those entries that contain the characters entered.

See Filter Help for a detailed discussion of the From and To fields.

To reduce the list to entries that are within a specific date range for a report:
  • Move the cursor to the Select Date or Test Date column and make a field in that column the "Current Field." Which column to select depends on the report you wish to generate.

  • Enter the starting date in the From field and the ending date in the To field. For example, if you want to reduce the list to testing dates between January 1, 1999 and June 31, 1999, enter 01-01-1999 in From and 06-31-1999 in To.

  • Check the box Apply Filter to Current Column Only. The filter will not work if you do not check this box.

  • Press the OK button. WARNING: Saving filtered data will overwrite the original data with the filtered list.

  • Print the results as the report.

Enter a data range in the From and To fields to exclude all entries outside the period referenced.

Home


History Data - Print Detail Accounting

A detail accounting of all the data recorded for each entry in a history file can be printed when the entries are selected using the Record Selector.

From the Utilities menu, select the option Record Selector.

See Help Record Selector for detailed instructions on its use.


Codes & Tests Menu from Base List Window

Monitoring Target Percentages and Selection Stats for Yearly Requirements

Randomware provides an easy facility to monitor and report your yearly Target Percentage Requirements. You can control for an entire directory or individual directory entries and Pools. Detail or summary reports can be printed or a simply request a screen report. From the screen report, automatically generate random selections: selection control fields are preset with the required selection percentages, test types, selection and testing dates.

Generating Target Reports and Selection Stats
  • Entire Directory
  • Individual Groups and Pools
  • Automatic Random Selection Control from the Screen Report

Home


Font Control

Screen and Print fonts are managed with one Font Control Dialog.

Select popup menu option, Font Control, from the program's main menu, Utils.

Within each program data entry window, you will find the Font Control option under both the Print and Misc menu selections.

The Font Control Dialog has tabbed pages for screen fonts and print fonts.

To set the font for a specific category press a button which corresponds to one of the items listed below:

See Recommended Fonts for suggested fonts.

Screen Fonts:

  • Data Items: Selects the font for data entered by the user.

  • Headings: Selects the font for Column headings and other screen text.
Print Fonts:

  • Data Items: Selects the font for data entered by the user.

  • Headings: Selects the font for Column and other data headings.

  • Title-1: Font used for the Primary Title Line in Reports and other printed material

  • Title-2: Font used for the Secondary Title Line in Reports and other printed material


Base List Data Fields

Last Name: Enter the last name for each entry. Capitalize as needed.

First Name: Enter the first name for each entry. Capitalize as needed.

Middle Initial: Enter up to two characters for the middle initial.

ID No. :The ID can be up to 32 characters long. Through the Base List window's popup menu, Misc., you can select to apply the social security number format:: @@@-@@-@@@@. There is no check to verify that each ID No. is unique.

Warning: If an ID number is longer than 29 characters, the trailing characters will be truncated if you inadvertently apply the social security format.

Note: If you use the set the Single Name Status switch for an individual directory entry or a pool, only one name is displayed and printed when the data for that entry is accessed. To indicate single name status for a pool, see the pool registry. This option is available only with the Plus+ system.


Editing Data

Editing the Data

  • Insert characters
  • Delete characters
  • [Ctrl-N] Insert a new line
  • [Ctrl-D] Delete a line
  • Exit & Save or Exit Without Savings
  • Sort

Insert characters
Use the [Insert] key on the keypad to insert a space.
Type the new character into that space.
There is no "Insert" mode - the system is always in "Overwrite" mode.

Delete characters
Use the [Delete] key to delete the character under the cursor.

Insert a line
[CTRL-N] inserts a new entry above the current entry.

Delete line
[CTRL-D] deletes the current entry.

Exit
Select Exit from the menu.
If you have modified any data the system will ask if you want to save before exiting.

If you respond "NO" then the window will close.
If you respond "Yes" then the window will stay active and you can click Save.
The system saves data only when you click Save.

Sort
Left click on the "Heading Text" above a column to sort by that column.

ASCENDING: Click on the Upper Edge of the Heading (Displays RED)
DESCENDING: Click on the Lower Edge of the Heading (Display BLUE)

Subsequent requests to sort on the same column will toggle sort order:
ASCEND, DESCEND, ASCEND, etc...

Note: Sorting Dates
Ascending or Descending sorts on date columns only affect the order of the year.
Months and Days always sort in ascending order.

Home


Import External Data

Importing an External Data File to a Base List

From the Base List window select the popup menu option Read External Delimited Data File from the Import menu.

The imported data can Append, Merge or Overwrite the data in the displayed Base List.

If the resulting list is not what you expected then simply exist without saving and the original list will remain unchanged. After completing the import, select the save option to permanently save the new list to disk.

When you select to read the external file, you will be prompted to enter the name of the file in the standard open dialog box shown below. Enter the file name and press the Open button.

For help using the Open Dialog Box see the article Open Dialog.

The following topics are discussed below concerning Data Import

  • External Import File Name
  • Standard Format - Tab Delimited
  • Optional Formats

The External File Name: There are no naming restrictions for external import files: the name simply must comply with the operating system's naming convention. The Open Dialog presents all file formats from which to select. See the article Open Dialog for assistance in its use.

Standard Format - Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID <Tab> Category<Tab>Mode
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not actually appear in the data file.
<Tab> is the Tab character.

Simply Put: If the first line of the file contains data for the list, then the data elements must follow the standard format.

If it does not follow the standard format then the first line of the file must identify the order of the data elements: First Name, Last Name, Employee ID and the employee's Selection Category. The program looks for key words to identify the order of the data elements so it knows how to organize them or "map" the items to their corresponding RandomWare fields. The rest of the rows in the file is the data.

Consider this example: John Doe whose Social Security Number is 123-65-9872 and Selection Category DOT, Mode, FAA. The first two lines of the data file would appear as follows:

Last_Name | <Tab> | First_Name | <Tab> | Middle_Initial | <Tab> | ID | <Tab> | Category | <Tab> | Mode
Doe | <Tab> | John | <Tab> |  | <Tab> | 123-65-9872 | <Tab> | DOT | <Tab> | FAA

NOTE: You do not actually see the characters <Tab> - they are presented here simply for clarity. The tab character looks like spaces embedded between characters - analogous to the tab on a typewriter.

When the data appears in this order, line one is optional.

Optional Formats: If the data elements in the external file are in a different order, the first line of the file must identify the order of the elements with appropriate headings. The list data will be expected to start at line two.

For example:

LAST <Tab> FIRST <Tab> MI <Tab> ID <Tab> CATEGORY <Tab> MODE

The above example indicates that the data in the following order:

  • Last Name
  • First Name
  • Middle Initial
  • Employee ID
  • Category
  • Mode

If the first line of the external file is a column identifier, each identifier must be found in the Tab Delimited Data File Heading database supported in the program. This feature is discussed in the article Import Data Headings.

See Import Data Headings for a discussion of Optional Formats and how to prepare your program to anticipate a variety of column headings.

See Controlling the Import of External Data into RandomWare Base Lists for more information about actually reading the external file.


Prepare Microsoft Excel Files for Randomware

Easily prepare Excel files for import into Randomware.

The file can include columns of data not intended for import. If a column of data is not recognized it will simply be ignored.

Open the Excel file which contains the data you would like to read into Randomware.

The tutorial uses the sample Excel file that's bundled with the system: Excel_Sample.xls, prepared in Microsoft Excel 2000. If you are using an earlier version, some menu options may be different, however, the procedure will be very similar.

If the First, Last and Middle Initial are all combined into one column, as in the example, the first task is to break the column into two or three columns for the first name, last name and middle initial. The tutorial shows the steps to break the column into two: Last Name, First Name & Middle Initial. The procedure to break up the First Name & Middle Initial is identical, however, if some first names are two words you'll not be able to easily break the column to get the middle initial in a column by itself.

Note: Splitting a data column overwrites the adjacent column with the split off data. In general, if the column immediately to the right contains data you will need to insert sufficiently many new columns to accommodate the split. To insert, select Column D and insert two new columns using the Insert menu option. The blank column(s) will appear immediately to the left of D.

Step I

Select column C. Move the cursor over the bar as shown below and click the left mouse button. The column will turn blue.

Step II

Select Text to Columns from the Data menu as shown here.

Step III

Select the Delimited option and press the Next button.

Step IV

Select Comma as a delimiter and press the Next button. Note that Tab is also selected and is ok in this example, however, Space can not be selected otherwise the last names which are two words would be split into separate columns.

Step V

Press the Finish button.

Step VI

As shown here, column D has been created with the first name and middle initial, while column C contains only the last name.

Step VII

Change the column headings so Randomware will recognize the data and put it into the proper data structure.

Click on Location
Type the new heading here.

Replace Location with Category.

Finally, replace SS with SSN or ID, Employee Name with LAST and enter FIRST into the newly created column, D. In general, the text used for a column heading must be found its respective RandomWare Tab Delimited Column Headings table. This table can be accessed from the RandomWare Import menu: View/Edit Tab Delimited Data Column Headings. See the Import Help article for a detailed discussion of the Tab Delimited Column Heading table.

Step VIII

Now, select Save As from the File menu option.

Step IX

Select Text (Tab delimited)(*.txt) for the Save as type.

Enter Import_Sample, or any other suitable name, in the area for File name, be certain to locate the RandomWare folder in the Save in box as shown below, and press the Save button.

Note: You can locate the saved data any where that's convenient for your application of the program.

Step X

Answer OK and Yes to the following two prompts:

Done.

Now read the data file, Import_Sample.txt, into Randomware.

Open a new or existing Randomware base list (personnel roster) and select Read External Delimited . . . from the Import menu as shown here.

From the Open Dialog, select Import_Sample.txt, and press the open button.

Select Append, Merge or Overwrite. Append adds to the end of the list, Merge will not read data that would result in duplicate personnel entries, while Overwrite simply overwrites the existing data.

Note: The Merge feature is not available in RandomWare Simple.


Append & Merge Data into a Base List

Append & Merge

You can append and merge data from another RandomWare List into the currently open list.

Append and Merge will compare each ID from the requested list to each ID in the currently open list.

Merge: Entries from the requested list whose ID is found in the currently open list will not be added.
Append: All entries from the requested list will be added to the current list regardless of ID duplication.

In either case you will be offered the opportunity to view the list of duplicate IDs found.

The Append Merge option is available while editing base lists.

NOTE: Member lists of a pool are appended rather than merged according to DOT guidelines. See Notes on Pooling.


List Files

Saving/Renaming Data Files

To save data simply select the menu option Save Data to Disk.

To rename the current List (Base List or History - both function identically) select the Save-As option.

wandering.gif (917 bytes)

You will control the renaming of the file with the standard Save-As dialog.
For help about this dialog box see Open Dialog

Home


The Notification File

The Notification File (Ntx)

The results of the random selection are presented on screen for printing options and review. The system also generates "tab delimited" text files you can use in conjunction with Microsoft Word's Mail-Merge feature for the generation of notification letters, envelopes and labels. These files are referred to as "Notification Files." Using Mail-Merge is fast and easy - accomplished it with only a few clicks of the mouse.

If you are using RandomWare Plus+
You can select to include in the mail-merge file, the employee's company address and the address of the collection site used by the company. The address is taken from the company's respective directory entry. The data for each donor selected is output to the Ntx file with the company name and address included on the same line. This provides a complete record of each randomly selected entry and will fulfill any requirements for form letter generation. See System Options to learn how to turn this feature on and off.

The notification file is a tab delimited file that contains all the information from the random selection. The first line of the file identifies each column of data and the order in which it appears.

Now that you have created the notification file you are ready to use Microsoft's Mail Merge.


The File System & Individual Files

Below are the folders and files than make up the RandomWare system.

Folders

- | History files for directory entries are located here.
- | Notification files for directory entries are found here.
- | Temporary folder used for scratch files
- | Base lists for directory entries are stored in this folder
- | System data files are located here.


Glossary

Base List: A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

Record [ arrow_R.gif (832 bytes)}
Each row of data is a record.

Field [ arrow_Up.gif (834 bytes)]
Each cell in a row or record is a field.

Current Record [ arrow_R.gif (832 bytes)}
The current record is the record in which you find the current field.. The current record in this example is record no. 3.

 rec_field.bmp (280442 bytes)

Current Column [ arrow_D.gif (836 bytes)]
The column determined by the field in which data is currently being entered is the current column.

Current Field
The current field [ arrow_Up.gif (834 bytes)] is displayed with a distinguishing background color.

current_col.bmp (273102 bytes)

Radio Button
Radio buttons allow the selection of one item in a group. When you select one button the others are turned off. 		radio_buttons.bmp (66054 bytes)

Tab Delimited: A file of data is tab delimited if the character separating the columns of data is the "tab" character. The mechanism that reads an external data file must know how to distinguish one column of data from another. As it reads a line of text from the file, it knows that the end of a string of characters is marked by the "tab" character. That string, ending with the tab, identifies a data field from a specific column of data within the file.


Tutorial - Basic Plus +

Tutorial - Plus+

  • Getting Started - The Randomware Directory

  • Opening Individually Named Base Lists
  • Editing the Base List and Generating Random Selections
  • Pools: Managing Pools for Random Selections
  • Directory: Understanding and Managing the Data
Printing Form Letters
  • The Notification File
  • The Mail-Merge Save Option
  • Learning to use Microsoft's Mail Merge
Definition - Base List
A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.


Tutorial - Basic

Tutorial - Basic System
  • Getting Started: Opening the Base Lists
  • Editing the Base List and Generating Random Selections
Printing Form Letters
  • The Notification File
  • The Mail-Merge Save Option
  • Learning to use Microsoft's Mail Merge
Definition - Base List
A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.


Getting Started with Microsoft's Mail Merge

Printing Form Letters - Getting Started with Microsoft Word's Mail Merge

While RandomWare provides options for printing all the data it maintains and generates, the program does not provide a facility to directly print form letters. A system bundled form letter generator would only scratch the surface of the features available with Microsoft Word's Mail Merge. Once you design form letters, standard postcards, and envelopes, through Word, generating the printed documents require only a few steps to complete.

These instructions are a step by step tutorial to help you get acquainted with using Microsoft Word's Mail Merge feature to print RandomWare notification letters and other printed documents. Please review the entire article. It will facilitate the easy use of Microsoft Word's Mail-Merge.

Essentially, there are two items involved with mail merge:
  • The main document, which contains the generic information you want to repeat in each form letter, mailing label, or envelope.
  • The data source, which contains the items that vary in the merged documents, for example, the name and address of each person from a random selection.
RandomWare creates two mail merge compatible files:
  • Notification Files : The notification file is automatically generated file when you save your random selections to its history file. Mail-Merge files are simply tab-delimited text files.
  • Files generated with the Mail Merge Save option.

Open Microsoft Word

When you open Word, a blank document may or may not appear. How Word is initialized, depends how you've used the program.

If you have a letter head to use as a template for a document, open it before you start the mail merge options.

To start mail merge, select Mail Merge... from the Tool Menu.

Select 1: Create the Main Document, Form Letters ...

Select Active Window or New Main Document.

If you have a letter head to use as a template, exit the mail merge helper and open your letter head document, restart the mail merge helper and select Active Window in the box below.

Select 2: Open the data source, i.e., open a RandomWare Mail Merge compatible file or a Notification File that you previously saved fro within RandomWare .

When you select to open the data source, you're presented with the standard open dialog shown here:

  1. Select the disk folder in which you saved the mail-merge or notification file.
  2. Notification Files that are automatically saved from a Randomware Directory entry, including pools, will be found in the Notice folder.
  3. Be sure to select All Files (*.*), otherwise files with the notification extension, "Ntx", or an extension you may assigned, will not show up in the open dialog.

If you are editing a new document, you will get the following message after you open the data source.

It simply means that no merge fields exist in the current document. This is to be expected, since it is a new document that you've yet to edit it. The data source you opened above provides a new button on the tool bar for editing mail merge fields as shown below.

Press the Insert Merge Field to present the fields from the random selection results you may want to insert into the document:

Selecting LastName and First_Name will insert each one into the document where the cursor is display.

If you have designed a form letter, simply move the cursor to where the first name should appear and select First_Name from the list. Then move the cursor to where the last name should appear and select LastName from the list. Use the Insert Merge Fields to insert any field that you need in the form letter to design.

When you finish editing your form letter template and complete the placement of the merge fields you want to include, restart the Mail Merge Helper once more, as shown again here:

To restart the mail merge helper, select Mail Merge... from the Tool Menu.

Select 3: Merge the data and create all the form letters.

When you click the Merge Button, all the form letters will be generated. Use the All and From buttons to control the records that you will ultimately generate. Click the From button and enter "1" in the From and To Fields to test the merge. Experiment and you will quickly master this powerful Word function.

For detailed information about Microsoft's Mail Merge, start with Word's Help System.

Start Microsoft Word, and select Microsoft Word Help from the main menu Help option.

When the paper clip appears type in "mail merge document" press the Enter key. An overview of the mail merge facility will display and it's a good place to start as illustrated here:

Home


template

Randomware Plus+ Tutorial: Pools

This tutorial assumes you are familiar with the details of opening a directory file and how to access the Base List for each entry in the directory. See the Directory Tutorial if you need to review the steps to open and manage a directory file.

What is a Pool ?
Some refer to a pool as a consortium. Some governing agencies (The United States Department of Transportation - DOT ) permit companies to share the burden of testing by permitting them to combine their personnel rosters into one list from which to generate a random selection. This "combined" roster is the Pool.

Randomware's directory facility allows you to maintain a separate list for each member of the consortium. If a company has only one employee, maintain its employee roster with a single entry. One entry or 100,000 entries - Randomware easily maintains either.

To identify directory entries as members of a pool, simply assign each member the same "Pool ID."

Consider the example below: Two companies, Acme Delivery and Quick Silver Messengers are members of the same pool. Their membership in the pool is defined by the entry of the same pool name in the Pool ID column. Both are in the pool named "Pool_1A." Hazard Material is not the member of a pool, while Freight Warehousing and Orange County Taxi are members of the pool named Pool_1B. To easily see all the directory entries which comprise a pool, sort the directory by the Pool ID column. To sort, move the mouse until the cursor is positioned over the column heading text, "Pool ID", and click.

The first time you sort a column, the position of the cursor relative to the top or bottom of the heading text determines the direction of the sort:
Ascending: | Place the cursor near the top of the text and click.
Descending: | Place the cursor near the bottom of the text and click.

Subsequent requests to sort the same column will reverse the order: Ascending, Descending, Ascending, etc. The column heading text will display red for ascending sorts and blue for descending sorts.

The Directory Window

Pooling

Each Group or Company entered in the directory can be assigned membership to a pool using the Pool ID.

For example, in the directory displayed above, Acme Delivery and Quick Silver Messengers are both assigned the Pool ID, Pool_1A, and therefore are members of the same pool, namely, Pool_1A.

Freight Warehousing and Orange County Taxi are also members of the same pool: Pool_1B.

After assigning a pool ID to each pool member, move the cursor over the Pool ID, and left-double click the mouse. The base list of each company assigned the pool id, is combined to form one pool list displayed. Random selections are generated from the combined list. The pool list is combined dynamically from each member's list every time you double click on the pool id. If you have added, modified or deleted an entry for any member's roster, the change is reflected in the combined list when it is created.

Pool ID and the Pool Registry
The Pool ID is directory specific, i.e., once you use a pool id within a directory you can not use it in other Randomware directory. If you enter a Pool ID that's registered with another directory, the system will notify you of the error. All registered pool ids can be reviewed through the Pool Registry. Pool IDs are automatically registered with the Pool registry when they are entered the first time. See the Open Options menu to access the Pool Registry.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

Let's illustrate the point with an example. Below we will call up the list which comprises the employees of Pool_1A.

Move the cursor over the text "Pool_1A" as shown above for record #1, Acme Delivery. If you double click the left mouse button over this field, the lists for Acme Delivery and Quick Silver Messengers are combined, as last saved, and presented as a single list from which you can generate random selections. You will not be able to edit the list. If any data modifications are required, edit the individual lists.

After double clicking, the window below is displayed, which is the combined entries from each member's base list.

The menu selections are the same as those found in the window for a simple Base List, however, you can not edit this list. This tutorial will continue with a general discussion for generating random selections from a simple base list. Please see Editing the Base List and Generating Random Selections.


Target Percentages & Selection Stats

Target Percentages & Selections Stats

This feature is only available with Randomware Plus+.

Maintain Target Percentages and Selection Stats for every Group and Pool in a directory. Automatically generate reports for Year to Date selection/collection percentages for two tests: Test-A & Test-B. Specify the tests for which to control for each entry in the directory.

Pools: Defining Targets & Selection Stats
See the Pool Registry, from the Open Options menu to enter target percentages and selection stats for each pool you name.

Group Entries: Defining Targets & Selection Stats
To define selection stats and year to date targets for each group entry in the directory, open the directory and change the view to Selection Control and Target Percentages using the Views menu.

When the report is generated to the screen, activate the Selection Stats view using the Views menu and automatically generate random selections with all necessary selection control values preset: Selection Control (Standard or Super Double Jeopardy), Test Types, Selection Percentages, Selection Date, and Testing Dates.

The Selection Control and Target Percentages Window is displayed below (without any control data entered) - see the article Selection Control and Target Percentage for a detailed description of each data element shown below.

To generate a year to date report, select Target Percentages / Selection Stats - Entire Directory from the Reports menu.

The report control dialog is display. The first day of the year and the current date are preset when the control is initialized.

Report Period: Enter the starting date (From) and the ending date (To) for the report you want.

Use the Calendar to easily find dates. When you select a date on the calendar, use the From and To buttons to set the date into its respective data entry field on the left.

Screen or Print: Select a Screen or Print option.

Show Pool Members: For the on screen report, you can select to display the pool members under the listing for the pool.

The history file for the group or pool is the source for the report's data.

An entry in the history file is "counted" if:
  • The Selection or Testing Date is between (inclusively) the From and To dates.
  • The Test Type entered is either Test-A or Test-B.
  • The sample was "Collected." A sample is tagged as collected if an 'x' appears in the collected column of the history file for that group or pool.

Screen Report

Note: You can double click on any Group or Pool displayed in the Group or Pool column to go directly to the random selection generator with the selection controls preset. From the Group or Pool Field, the right mouse button will display a menu from which you can also choose the random selection generator.

Note: The next selection date for each entry can be viewed from the alternate report view. Choose the menu option Selection Stats from the Views menu at the top of the window.

See also: Automatically Preset Selection Controls from Target Percentages & Selections Stats Report.

Report Legend
Schedule Count: [nSched] The number of selections scheduled for the year. If the System Scheduler option is turned on, the number of selections for the year is determined by counting the number of dates entered in each group or pools respective schedule file. If the System Scheduler is turned OFF, then the number of selections for the year is taken from the "No. Sched." column, originally entered in the directory view for Target and Selection Control, for each group and pool.
List Count: The number of entries in the base list when the selection was generated. The base list, from which random selections are generated, may grow and shrink in size as entries are added and deleted. When a selection is generated, the total number of entries at the time the selection is generated is stored with the selected entry in the history file. This method allows the program to determine the "average" number of entries in the base list by which to calculate the current year to date percentage.
Collection Count: No. of samples collected within this period for the tests. For an entry in the history file to possess the status of "collected", the data box for the entry must be checked with 'x'. When viewing the date in the history file, double clicking this item toggles its status. "Collected", simply means the sample was collected from its respective donor
Percent to Date: [ToDate%] The actual percentage collected for its respective test.
% = (Collection Count / List Count) * 100
Target Percentage: [Target%] The yearly percentage for which to control for each Test.
Selections Completed: [nDone] The number of distinct selection dates found in the history file within the report period requested.
The number of Selection Dates yet to perform: [nLeft]
This number is determined by subtracting the number of selections completed from the number of selections scheduled. If the System Scheduler option is turned on, the number of selections for the year is determined by counting the number of dates entered in each group or pools respective schedule file. If the System Scheduler is turned OFF, then the number of selections for the year is taken from the "No. Sched." column, originally entered in the directory view for Target and Selection Control, for each group and pool.
Percentage for Each Remaining Selection: [Each%]
This percentage is determined by the following formula:
Each% = (Target%-ToDate%)/(nSched-nDone) [ when nDone does not equal nSched]


Individual List System

Managing Individual Base Lists and History Accounts / Named Lists

You can create and manage individual lists outside the directory facility. You should only access lists outside the directory facility if you created those lists independent of a directory. These individual lists, referred to as Named Lists, can easily be added to directory listings as needed.

  • Open an Named List
  • Open the History file of an Named List


Mail-Merge

Printing Form Letters with Microsoft's Mail-Merge

While Randomware provide options for printing all the data it maintains and generates, the program does not provide facilities to directly print form letters. A system bundled form letter generator would only scratch the surface of the features available with Microsoft Word's Mail Merge. Once you design form letters, standard postcards, and envelopes, through Word, generating the printed documents requires the following steps:

  • Open the form letter in Microsoft Word.

  • Open the data file that feeds the form letter.

  • Start the Merge Control and . . . Go!

  • Print - You're done.

Randomware provides two methods to create a data source for Mail Merge:
  • The Notification File
  • The Mail-Merge Save Option

Learn how to use Microsoft's Mail Merge

Home


Mail Merge Save Option

Mail Merge Option - Saving RandomWare Data to Mail Merge Compatible Files

Microsoft's Mail Merge is a powerful form letter generator bundled with their Word program. You can print custom envelopes, postcards, form letters, labels, and any other printed document you might consider. Mail Merge will read a file of names, identification numbers, addresses, etc. and generate a document with the data inserted in its appropriate place, as defined by the document template you design. Designing a document template is as easy as writing a note with Word. Inserting the items from the data file into the document is done with the click of the mouse to select the data file and another click to print the documents. The best reference for learning how to use Mail Merge is the Help system that comes with Word.

This brief tutorial is offered here to help you get started, quickly and easily.

You can save every window of RandomWare data to a file which is fully compatible with Microsoft Word's Mail Merge facility. The name of the output file is user selectable.

In all windows the mail merge option is found under the Misc menu as shown below:

When you select the Save As option, use the open dialog to enter a file name and locate a folder in which to save the named file. The file name you enter will be the data source for Mail Merge
Using the Base List as an example, the table below shows the general format of the mail merge file when it is generated. The file is in a "Tab Delimited" format.

There are six fields in the above window: Sequence Number, Last Name, First Name, Middle Initial, Identification Number and Selection Category. In this example, when you select to save for Mail-Merge, the first line of the file contains six column headings, shown below, followed by each data record in list: one line of mail-merge data for each record in the window.

Seq# | Last | First | MI | ID | Category
1 | Lucero | Robert | B | 344-15-8059 | DOT
2 | Gross | Jeff |  | 333-09-1197 |
3 | Zavalla | Jesse | R | 572-90-1313 |
4 | Cruz | Moises | S | 666-16-2795 | DOT
5 | De Jesus | Mary Jo |  | 888-81-9756 |
6 | Adams | Aaron | I | 202-95-4754 |
Importance of Column Headings
Mail merge uses the column headings to position the data within the document you are generating. Consider a standard notification letter you may send informing individuals of their selection for testing.

The form letter may include: "Dear <<First>> <<Last>> . . . "

When you generate the entire set of form letters, Mail Merge sequences through the Notification File, row by row, extracting data from the columns that have matching "merge fields" in the form letter "template" and inserts them into their respective positions.

Each row (or record) in the data source produces an individual form letter.

Definitions:
  • <<First>> and <<Last>> are referred to as "merge fields" in the documentation for Mail Merge. The merge fields act as placeholders that tell Microsoft Word where to insert data from the data source.
  • The notification file is the data source for Mail Merge
How each column heading is determined:
The column heading for each is determined by the first word of the "input prompt" for the field in that column. The input prompt is the text displayed at the top of the screen for each column of input on the page. As you sequence across each input item, observe how the line of text at the top of the window changes.
For example:
"Last Name" is the input prompt when Last Name is the current field - First Word: "Last"
"ID - Employee Identification" is the input prompt when ID No. is the current field - First Word: "ID"

Now that you know how to generate Mail Merge compatible data, you are ready to use Microsoft's Mail Merge.

Home


Base List Editing Dialog

Base List Record Editor
A Note about Data Modifications using the Dialog Editors
Please read:
Each entry in the personnel roster maintains more data than can be effectively displayed in one line of a spreadsheet without horizontal scrolling. A variety of spreadsheet views is available through the "Views" menu option. A dialog based editor with tabbed pages provides access to every data item in the record. To activate the editor, double click an entry, click on the short cut arrow, or from the Utilities popup menu, Full Editor Dialog.
NOTE: The editor is superimposed over the roster spreadsheet. You can position the editor to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the base list window beneath it are viewable.
The editor is a simple view window into the full list of names in the currently open list. Use the vertical scroll, page up and page down buttons to position an entry in the editor. If you move the editor to the far right of the screen, the names in the current list should be viewable, provided your monitor is suitably large.
The Controls
Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Create an entry for testing:
  • Probable Cause
  • Periodic Testing
  • Post Accident
  • Follow-Up Testing
  • Other
  • In general, any reason for testing found in Reasons for Testing table
The entry is managed in the roster's corresponding Results table - see the Results menu at the top of the window.
Inserts a new entry ahead of the entry currently in the editor. When the Template is turned ON, data captured to the Clipboard is used to preset specified data items. See Template details below.
Deletes the current entry.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Captures the data currently in the editor onto the clipboard. This data is used to preset the items of every new entry (Insert & Add New) when the Template is turned ON.
Add a New Entry to the bottom of the list. When the Template is turned ON, data captured to the Clipboard is used to preset specified data items. See Template details below.
Clear all selected entries from the print request queue.
Add the current entry to the print request queue - entry is highlighted in the background list.
Print all selected entries - if no entries have been selected, print the current entry only.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.
Data Template
To maintain specific data from one entry to a new entry, use the Template Option and the Clipboard. Data captured to the clipboard will preset specific items for each new entry when the Template Option is ON. Not all data is captured.
The following data items are saved to the clipboard:

  • Mode/Category

  • City

  • State

  • Work Phone

  • Work Extension

  • Work Shift
To specify which items will be preserved when a new entry is requested, check the respective item's box in the Template Data Items page of the editor.


Directory Entry Editor
A Note about Data Modifications using the Dialog Editors
Please read:

The directory entry editor is only accessible using the right mouse button. Locate the mouse cursor over a data item in the Group/Company column and right click to present a floating pop-up menu which provides access to a number of options available for each entry in the directory.

From the pop-up menu, select Dialog Editor to access the full data editor for the current directory entry.

Nine tabbed pages maintain all the data available for the definition of each directory entry.
  • Contact Information and Notes
  • Group Address
  • Random Selection Control Parameters
  • Random Selection Presets
  • Random Selection Exclusions
  • Random Selection Email of Results Control
  • Miscellaneous Information
  • On-Site Testing Facility
NOTE: The editor is superimposed over the Directory spreadsheet. Position the editor to a convenient place on the screen so the data behind the data is visible. To reposition the editor, move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the Directory window beneath it are viewable.
The editor is a simple view window into the full list of groups/companies in the currently open Directory. Use the vertical scroll, page up and page down buttons to position an entry in the editor.
The Controls
Open group's drug & alcohol test results table.
Open Group's personnel roster (Base List).
Clear all selected entries from the print request queue.
Add the current entry to the print request queue - entry is highlighted in the background list.
Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Print all selected entries - if no entries have been selected, print the current entry only.
Inserts a new entry ahead of the entry currently in the editor.
Deletes the current entry.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.


Random Algorithm

RandomWare uses the following Microsoft C++ Library functions to generate true random selection:

srand( (unsigned) time(NULL) ) and k = rand( )

It is best to refer to the original documentation for a thorough and complete description of these functions. The information is duplicated here for your convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
It can also be found on one of Microsoft's many internet web sites: http://msdn.microsoft.com

The following pages reference each of the functions mentioned above.

  • Time Function: time( )
  • Random Seed Function: srand( )
  • Returning a Random Number: rand( )

The documentation for these functions refer to "pseudorandom" numbers. They are referred to as "pseudo" since their generation depends on a "seed value."


The Time Function

time

The function time is used to generate the random selection. See the page titled Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

time

Gets the system time.

time_t time( time_t *timer );

Routine | Required Header | Compatibility
time | <time.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

time returns the time in elapsed seconds. There is no error return.

Parameter

timer

Storage location for time

Remarks

The time function returns the number of seconds elapsed since midnight (00:00:00), January 1, 1970, coordinated universal time, according to the system clock. The return value is stored in the location given by timer. This parameter may be NULL, in which case the return value is not stored.

Example

/* TIMES.C illustrates various time and date functions including:
 *      time            _ftime          ctime       asctime
 *      localtime       gmtime          mktime      _tzset
 *      _strtime        _strdate        strftime
 *
 * Also the global variable:
 *      _tzname
 */

#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/timeb.h>
#include <string.h>

void main()
{
    char tmpbuf[128], ampm[] = "AM";
    time_t ltime;
    struct _timeb tstruct;
    struct tm *today, *gmt, xmas = { 0, 0, 12, 25, 11, 93 };

    /* Set time zone from TZ environment variable. If TZ is not set,
     * the operating system is queried to obtain the default value
     * for the variable.
     */
    _tzset();

    /* Display operating system-style date and time. */
    _strtime( tmpbuf );
    printf( "OS time:\t\t\t\t%s\n", tmpbuf );
    _strdate( tmpbuf );
    printf( "OS date:\t\t\t\t%s\n", tmpbuf );

    /* Get UNIX-style time and display as number and string. */
    time( &ltime );
    printf( "Time in seconds since UTC 1/1/70:\t%ld\n", ltime );
    printf( "UNIX time and date:\t\t\t%s", ctime( &ltime ) );

    /* Display UTC. */
    gmt = gmtime( &ltime );
    printf( "Coordinated universal time:\t\t%s", asctime( gmt ) );

    /* Convert to time structure and adjust for PM if necessary. */
    today = localtime( &ltime );
    if( today->tm_hour > 12 )
    {
   strcpy( ampm, "PM" );
   today->tm_hour -= 12;
    }
    if( today->tm_hour == 0 )  /* Adjust if midnight hour. */
   today->tm_hour = 12;

    /* Note how pointer addition is used to skip the first 11
     * characters and printf is used to trim off terminating
     * characters.
     */
    printf( "12-hour time:\t\t\t\t%.8s %s\n",
       asctime( today ) + 11, ampm );

    /* Print additional time information. */
    _ftime( &tstruct );
    printf( "Plus milliseconds:\t\t\t%u\n", tstruct.millitm );
    printf( "Zone difference in seconds from UTC:\t%u\n",
             tstruct.timezone );
    printf( "Time zone name:\t\t\t\t%s\n", _tzname[0] );
    printf( "Daylight savings:\t\t\t%s\n",
             tstruct.dstflag ? "YES" : "NO" );

    /* Make time for noon on Christmas, 1993. */
    if( mktime( &xmas ) != (time_t)-1 )
   printf( "Christmas\t\t\t\t%s\n", asctime( &xmas ) );

    /* Use time structure to build a customized time string. */
    today = localtime( &ltime );

    /* Use strftime to build a customized time string. */
    strftime( tmpbuf, 128,
         "Today is %A, day %d of %B in the year %Y.\n", today );
    printf( tmpbuf );
}

Output

OS time:                                21:51:03
OS date:                                05/03/94
Time in seconds since UTC 1/1/70:       768027063
UNIX time and date:                     Tue May 03 21:51:03 1994
Coordinated universal time:             Wed May 04 04:51:03 1994
12-hour time:                           09:51:03 PM
Plus milliseconds:                      279
Zone difference in seconds from UTC:    480
Time zone name:
Daylight savings:                       YES
Christmas                               Sat Dec 25 12:00:00 1993

Today is Tuesday, day 03 of May in the year 1994.

Quick Links

Home
Random Algorithm
Base List


Seed Function

srand

The srand function is used to generate the random selection. See the page title Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

srand

Sets a random starting point.

void srand( unsigned int seed );

Routine | Required Header | Compatibility
srand | <stdlib.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

None

Parameter

seed

Seed for random-number generation

Remarks

The srand function sets the starting point for generating a series of pseudorandom integers. To reinitialize the generator, use 1 as the seed argument. Any other value for seed sets the generator to a random starting point. rand retrieves the pseudorandom numbers that are generated. Calling rand before any call to srand generates the same sequence as calling srand with seed passed as 1.

Example

/* RAND.C: This program seeds the random-number generator
 * with the time, then displays 10 random integers.
 */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

void main( void )
{
   int i;

   /* Seed the random-number generator with current time so that
    * the numbers will be different every time we run.
    */
   srand( (unsigned)time( NULL ) );

   /* Display 10 numbers. */
   for( i = 0;   i < 10;i++ )
      printf( "  %6d\n", rand() );
}

Output

    6929
    8026
   21987
   30734
   20587
    6699
   22034
   25051
    7988
   10104


Random Number Generator

rand

The rand function is used to generate the random selection. See the page title Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

rand

Generates a pseudorandom number.

int rand( void );

Routine | Required Header | Compatibility
rand | <stdlib.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

rand returns a pseudorandom number, as described above. There is no error return.

Remarks

The rand function returns a pseudorandom integer in the range 0 to RAND_MAX. Use the srand function to seed the pseudorandom-number generator before calling rand.

Example

/* RAND.C: This program seeds the random-number generator
 * with the time, then displays 10 random integers.
 */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

void main( void )
{
   int i;

   /* Seed the random-number generator with current time so that
    * the numbers will be different every time we run.
    */
   srand( (unsigned)time( NULL ) );

   /* Display 10 numbers. */
   for( i = 0;   i < 10;i++ )
      printf( "  %6d\n", rand() );
}

Output

    6929
    8026
   21987
   30734
   20587
    6699
   22034
   25051
    7988
   10104


Support Databases

The following databases can be managed within the system to assist with your drug & alcohol testing programs

  • Testing Results Database
  • Location Database
  • Historical Data
  • Column Headings for Importing Tabbed Delimited Data

Home


Testing Results Database

Test results can be assigned for each participant. Test results are recorded in the History File in which the selected list was saved. Therefore, be certain to save the list to a History File if you intend to record test results.

Open the history file in which the entries for those test participants are located. Move the cursor to the first character position of the results column and if the first character you type is a result code then the text found in the Test Results column will automatically fill the Results column of the History file. The first character must be entered at the left most position of the field cell. You can enter any results description regardless if it exists in the Results Database. Automatic Resulting is provided to facilitate easy entry.

The Results Database is accessed through the Codes menu option of the History window's menu and has the following format:

Enter any codes and test results that suit your needs.

Note: You can also access the Results Database from the main menu.

Home


Import Data Headings

Import Data Headings - Optional Formats

From the Base List window's popup menu Read-External select Tabbed Delimited Data File Headings.

The window, displayed below, is presented for editing.

If the data in an import file is not in the Standard Format then the first line of the import file must be column heading identifiers which specify the order of the data elements. Every column heading that appears in an import file must be found in this database. Using this feature gives you the ability to read data files from any of your clients regardless of the order of the data elements and regardless of the column headings that might be used in those files. If the file you receive does not have column headings then the data elements must be in the Standard Format.

Remember, only the first line of the import file has column heading identifiers. The second and subsequent lines of the file are the actual data. If the data in the import file is in the standard format then no identifiers need exist in the import file. See the article Importing an External Data File into a Base List for a discussion about heading identifiers in the actual import file.

Home


System Options

System Options - Simple, Basic & Plus Systems

The System Options editor is a tabbed dialog control and is available from most windows from the Other_Data, Misc, and Print menu options.

The Tabbed Option Pages:
  • Toggles
  • Display
  • Print Margins
  • Defaults
  • Exclusion
  • Advisory / Learning
  • Local Tax Rate
Toggles

Auto Caps
When Auto Caps is "ON" the first character of a typed "word" is capitalized. Both characters, of two character state abbreviations, are automatically capitalized. The following words are not: if, or, the, for.

Note: A future release will allow you to specify the exclusions.

Adding Company Data to Ntx File Output
The abbreviation, Ntx, is a shorthand name for the Notification File. Random selection data is automatically output to a notification file when the selection is saved to a history file or when you specifically ask to save it as a Notification file. When you check this box, the directory data for each entry in the random selection will appear with the name selected. For example, if John Henry, an entry in the Acme base list, is selected, John Henry's name, ID, selection date, etc. is output to the notification file, along with the company name, Acme, and the rest of the data from the Acme entry in the directory. If you use the Mail-Merge option, this provides all the directory data you may need to completely specify the elements of any form letter you compose.

NOTE: This box is only relevant to the Plus+ version of Randomware.
System Scheduler is explained in detail below.
Display Options
Print Margins

Printer - Top of Page Margin
If you want to print Randomware reports on your company's letterhead, you can specify a top of page margin to accommodate the format. Specify a margin for both page formats: Portrait or Landscape. Some reports print in Portrait, some in Landscape. All history reports print Landscape - the length of each record is too long to fit on one line in Portrait mode.

Note: The specification is in inches

Not all reports print using the top of page margin control.

Margin Control | Report Description | Page Orientation
Yes | Directory List Summary | Portrait
No | Directory Detail Report | Portrait
Yes | Base List Summary | Portrait
No | Base List Detail Report for each entry | Portrait
Yes | Selection History Summary - Test Results | Landscape
No | Test Results / MRO & Collection Data Detail Report | Portrait
Yes | Random Selection Results | Landscape

Default Values
Exclusions
Not's
When randomizing the Testing (Collection) Dates from a random selection generation, you can exclude days of the week from the collection assignment.
Advisory & Learning Control

When Modes, Categories and Shifts are entered into the spreadsheet editor not currently found in the system tables, the program will add (learn) the new entry to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.
Local Tax Rate

System Scheduler
When this option is "checked", the system uses selection schedules defined by the user. Target Percentage Reporting uses the number of scheduling dates found in a directory entry's respective schedule file to determine how many selections are yet to be performed for the current year and the percentage at which to control the selection. For example, if you are testing quarterly for a directory entry or a pool, then four selection dates will be found in the schedule for that entry. See the Open Options menu, from the directory window, to access the schedule for each entry or pool.

If this option is not "checked", it's 'OFF', a data column appears in the directory window in which you to enter the number of selections intended for the year. This data column is hidden when the Scheduler Option is 'ON' or "checked."

See Scheduling for a discussion about this Randomware feature and how to use it.


Importing External Data

You can create RandomWare Lists from existing personnel files. Often you may receive a data file from existing personnel computer files. Instead of manually typing the names into the system you can automatically read an existing file. Those files must be in a specific format to be automatically read into the system. The required format is "tab delimited."

You can Append, Merge or Overwrite existing RandomWare Data Files when you import external data.

Related Topics

  • Importing the data into a Base List
  • Column Heading Requirements for the Import File
  • Controlling the Import of Data

Home


Reading External Data

Controlling the Import of External Data into RandomWare Base Lists

After specifying an external data file the system will display the following message box if the data appears to be in the standard format, i.e., if no special column headings were found that specify a change in the expected order of the data.

Standard Format Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID <Tab>Category<Tab>Mode
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not appear in the data file.
<Tab> is the Tab character.

The dialog box displayed below declares what Tab Column Headings were found if any.

Options | Write Control: Append, Merge, Overwrite
Merge | Entries from the external file whose ID is found in the currently open list will not be added. The opportunity to view the list of duplicate IDs found will be provided.
Append | All entries from the external file will be added to the currently open list regardless of ID duplication. The opportunity to view the list of duplicate IDs found will be provided.
Overwrite | Overwrites the data in the current list.
Options | Leaning
On | Minor and Major Classifications, Categories and Modes, from the import file will be added to the data base if not found in their respective data tables.
Off | Categories and Modes are not checked for existence in the system data bases.
Default Mode | Categories from the import file which do not have a corresponding Mode will have the selected default mode assigned. A default mode can be selected from the list to the right of the On/Off options box. If a default mode is not selected here, the one entered in the System Options Table will be used. System Options is accessed from the Other Data menu found in window menu bars.

POOLING: Append is the correct action if you are creating you own Pool Lists. See Pooling for more information about Pools and Consortia.

Example:
When a driver works for two or more employers, in whose random pool must the driver be included?

Guidance: The driver must be in the pool of each employer for which the driver works. This interprets DOT Rule: 49 CFR 382.305.

If you need any reference to articles that clarify this point go to http://DOT.gov and search for 49 CFR 382.305 - you will find plenty of letters written by the D.O.T. in response to this issue.

If the first line of the data file is in the Required Format without a FORMAT HEADING then all the data cells in the Tab Column Headings Found box will contain "NONE" and the Column Number will be the column in the data file in which the corresponding data is positioned.

Three examples follow:

  • Standard Format: The first line of data in the file is an employee name and I.D., Category and Mode, in the standard order.
  • Optional Format 1: The order of the data is: First Name, Last Name, No Middle Initial, Employee I.D.
  • Optional Format 2: The order of the data is: Employee I.D., Last Name, First Name, Middle Initial, Mode, Category
  • ERROR: A column heading found in the tab delimited file can not found in the Heading Database.

Standard Format

The above example represents a data file in [Standard Format] structured as follows:

  • First line is a data line
  • Column #1: Last Name
  • Column #2 First Name
  • Column #3: Middle Initial
  • Column #4: Employee ID
  • Column #5: Category
  • Column #6: Mode

In the dialog box above the column of boxes whose heading is "Column" reveals the respective column position of each data type found.
For example, it was determined that "Last Name" will be extracted from column #1, "First Name" from column #2. etc.

"NONE" is displayed for each heading because no special headings were found. The first line of the file appears to be data.

Optional Format 1: First Name, Last Name, No Middle Initial, Employee ID

The following examples demonstrate the use of the Tab Delimited Heading Database . .

The headings, Last, First, SSN, that appear in the import file must be found in the Heading Database.

Headings | These headings must appear in the Tab Delimited Table - Case Dependent.
Last | Indicates that the column is Last Name
First | Indicates that the column is First Name.
SSN | The column represents the Employee ID as a Social Security Number.

Optional Format 2: Employee ID, Last Name, First Name, Middle Initia

The above example indicates the following

  • First line is a format line indicating the following order: 1.Employee I.D. 2.Last Name, 3.First Name, 4.Middle Initial
  • Column #2: Last Name
  • Column #3 First Name
  • Column #4: Middle Initial
  • Column #1: Employee ID

ERROR: A column heading from the import file s not found in the Heading Database

The intentioned column order is: Last Name, First Name, Employee ID.
The column heading for Last Name is entered in lower case characters "last".
The text string "last" must appear in the Tab Delimited Heading Database.

In this case "last" does not exist in the database and subsequently the import file reader has indicated that the "Last Name" column was not found by specifying its column number as 0 and NONE as the column heading found.
No data for last names will be returned in this case - the last name column of the base list will be blank.


Font and Color Control

Printing, Fonts and Colors

Print and Screen Fonts and Colors can be managed for a customized look that is appropriate for the system on which RandomWare is installed.

  • Printing and Print Fonts
  • Screen Fonts
  • Colors


Screen and Print Fonts

Setting Screen and Printer Fonts

After program installation, printer fonts may need to be initialized before Printing. Once you set print fonts they remain in effect until you change them. See Recommended Fonts for suggested fonts.

Select Font Control from the main popup menu Utils.

The Standard Font Control dialog provides support for both screen and print fonts.

The currently active fonts are displayed. To change a font, press its corresponding button as indicated by the red cursor arrow shown above.

The font for Headings controls the display for this screen text.
The font for Data Items controls the display for data items entered by the user.

Print Fonts


KNOWN ERRORS: On some systems the menu choices: Screen Fonts, Printer Fonts, Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the selection: Alternate Methods: Fonts & Colors.

Recommended Monitor Setting: Any color palette greater than 256.

To adjust the color palette of your monitor click the right mouse button over the desktop. Select Properties, then select the tabbed category Settings and finally from the Color palette select True Color 16, True Color 24, or any setting greater than 256.

If a color palette greater than 256 is not available then select the colors for RandomWare that render uniformly in the Color|Solid area of the color control display box - discussed below.

Color Control

From the Base List window's popup menu Misc. select Colors.

colormenu.bmp (276018 bytes)

The color control dialog box is presented:

Colors.bmp (797094 bytes) |  |
 | Color | Solid |
 | It is critical that you select a color that does not display split. | split_color.bmp (3598 bytes)

Split Color: If the color selection is split you may need to change the setting of your monitor's color palette as described above or select a color that displays uniformly.

split_color.bmp (3598 bytes)

Uniform Color: If the color selection is uniformly displayed, the setting of your monitor's color palette and the color selection are compatible.

uniform_color.bmp (7614 bytes)

vudu_color_example.bmp (93574 bytes) This is how a split color selection will display.

Background Colors

  • CURRENT Input: Field Background color of the item in which data in being entered.
  • CURRENT Record: Not used at this time.
  • Primary: Field Background color of an item after the cursor moves to another Field (Cursor is no longer in the cell.)
  • Alternate: Not Used
  • Sequence Number: Each entry has a sequence number - its background color can be modified.
  • Screen: Control the background color of the entire screen.

Text Colors

  • Descriptive: Data Column Headings and other text outside the grid lines.
  • Input - Active: Color of the text in the CURRENT Input Field.
  • Input - Inactive: Color of Field Data text that in currently in Input Mode.
  • Sequence Numbers: Color of the sequence number text.

Other

  • Grid Lines: Grid line color.

Click on the radio button of an item to change its color. When you click an item its current color is displayed in the color wheel. Select a new color by moving the target until you have one that suits the item's appearance. You can also select a color by clicking on one of the many Basic Colors. Click the Apply Button to see the effect or OK.

Buttons

- | The current screen is redisplayed with the new color: color control box stays active.
- | The current screen is redisplayed with the new color: color control box disappears.
- | Not currently active.


Alternate Methods

KNOWN SYSTEM ERRORS: On some systems the menu choices Screen Fonts, Printer Fonts and Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the methods described below.

Alternate Methods: Fonts & Colors

The alternate methods for selecting fonts and colors are reliable and can be used if the other methods fail.

From the main menu select Utils then click on Alternate Method: Fonts_Colors.

Color Menu

altclrmenu.bmp (130886 bytes)

  • Heading Text: Color of data column headings and other text outside the grid lines.
  • Field Text: CURRENT: Color of the text in the CURRENT Field.
  • Field Text: (Inactive Field - Cursor is not in this cell) color of field data text that is currently in Input Mode.
  • Background CURRENT Field: Field Background color of the item in which data in being entered.
  • Background CURRENT Record: Not used at this time.
  • Background Inactive Field: Field background color of an item when the cursor moves to another field.
  • Background Screen: Controls the background color of the entire screen.
  • Background Sequence Number: Each entry has a sequence number - its background color can be modified.
  • Grid: Grid line color.
  • Highlight Color: Not Currently Used

With each of the above selections the dialog box below is presented for color selection.

Fonts Menu

altfontmenu.bmp (86886 bytes)

  • Data Input: Field Data Input
  • Full Screen Editor : Not Currently Used.
  • Screen Text: Field Column Headings and other Descriptive Text.
  • Primary Title: Page title & file name (If applicable ).
  • Secondary Title: Not Currently Used.
  • Column Headings: Font used for the data column headings.
  • Line Data: Font used for the data printed in the grid cells.

Recommended Fonts for Screen and Printing

Font: Arial Style: Regular Size: 8

These settings insures that all fields will display and print.
Adjust them according to your preferences.


templage

Recommended Fonts for Screen and Printing

Font: Arial Style: Regular Size: 8

This insures that all fields will display and print.

Home


Filing & Editing

File, Edit, Sort, Filter, Find, Glossary

  • Open Dialog Box
  • Saving & Renaming
  • Editing Data
  • Insert & Delete
  • Sorting
  • Filtering
  • Find
  • Glossary

Home


Open/Save Dialog Box

The Standard Open and Save-As Dialog Boxes

The Open Dialog box is used to open existing, new and Import database files.

The Save-As Dialog box is used to save an existing database under a new name.

The Open or Save-As operate exactly similarly for all instances: Base Lists, History, Import Files.
The following example described the use of the Open List operation.

Using the Open Dialog Box

  • Look-In: use this control to select the folder where required files are located.
  • File_name: This edit box is used to enter the name of the file to open. Existing files can be selected from the main window.
  • Files of type: this box constrains the type of files that are displayed and available to open. The constraint is controlled by file extension: Base Lists: .DAT History Lists: .HST

Once you've entered or selected the file click the open button.


Insert & Deleting Line Data

Inserting & Deleting Data Lines

  • [Ctrl-N] Insert a new entry
  • [Ctrl-D] Delete an entry

wandering.gif (917 bytes)

editwin.bmp (300942 bytes)

Insert a line
[CTRL-N] inserts a new entry above the current entry.

Delete line
[CTRL-D] deletes the current entry.

Home


Sorting Data

Data is easily sorted. The Base List input screen is used for this example. Sorting works identically everywhere.

To sort in ascending order (a,b,c, d, ... ) move the cursor near the TOP of a column heading and click. The Heading Text will display red to indicate an ascending sort. Subsequent sorts of the same column reverses the sort order: ascending, descending, ascending, descending . . .

Descending sorts display the column text in blue.
Ascending sorts display the column text in red .

If you click near the bottom of a column heading which is not the current sort column, the data will sort in reverse order. If no sorting results, the column is not a sort column. Most data columns in Randomware are sort columns.

Home


Filtering Explained

wandering.gif (917 bytes)

WARNING: Saving filtered data will overwrite the original data with the filtered list.

wandering.gif (917 bytes)

Filtering Data

Use the Filter to reduce the data list by removing records that do not match the "filter mask."

Enter the filter mast in From, press OK, and if the text is contained within any field of a record, the record will appear in the filtered subset.

See the Glossary for definitions of Records and Fields.

For example
Enter "son" as the filter. If those characters are contained in any of the fields of a record then that record will appear in the filtered subset.

Entries such as "Carson", "Sony", "Richardson" would all be returned by the filter "son." The filter is case independent, i.e., "Son" and "son" are equivalent.

Filter Options

check_box.gif (204 bytes) | Restore | Restores the original list.
check_box.gif (204 bytes) | Append | Data from the original list that matches the filter is added to the current filtered subset
check_box.gif (204 bytes) | Reduce | The displayed list is filtered by the entered mask.
check_box.gif (204 bytes) | Apply | Compares the filter mask to data in the current column only

Apply Filter to Current Column Only

Checking the box for Apply Filter to Current Column Only will instruct the filter to compare data to the text only in the fields of the current column. [See the glossary for an explanation how the Current Column is determined.]

In the example below "First Name" is the current column. Using "son" as the filter mask, with Current Column checked, record or row number 189 would not be included in the filtered list: "son" appears in the record, Last Name: Carson, but since Last Name is not the current column, the Filter mechanism skips record 189.

Filtering for Dates

Entering into To will provide filtering for Dates between the range entered between From and To (inclusive)

To reduce the list to entries that are within a specific date range:
  • Move the cursor to a Date column and make a field in that column the "Current Field." Which column to select depends on the report you wish to generate.
  • Enter the starting date in the From field and the ending date in the To field. For example, if you want to reduce the list to testing dates between January 1, 1999 and June 31, 1999, enter 01-01-1999 in From and 06-31-1999 in To.
  • Check the box Apply Filter to Current Column Only. The filter will not work if you do not check this box.
  • Press the OK button.

WARNING: Saving filtered data will overwrite the original data with the filtered list.


Find

Using Find

Just prior to the release of this system, a bug was found in the Find feature.

Find has been temporarily removed until a bug in the feature has been fixed. When it is fixed you will be notified of a system update that will be made freely available for download from the Randomware Web Site.

We apologize for any inconvenience this may have caused.

Visit us on the internet at http://www.RandomWare.com

The Find feature is available in windows where the menu option appears.

Use the Find Control Dialog to find an entry in the window.

Home


Audit Control

  • Monitoring the Random Selections
  • The Audit File
  • Password Control


Audit Randoms

Audit Control: Monitoring the Random Selections

Every time a random selection is generated the results are written to an audit file with a date and time stamp.

No entries can be arbitrarily removed from a generated list. The delete function is not allowed in the window that displays the selection. It is very easy to determine if someone has generated a subsequent selection by examining the audit file for multiple times logged for that date.

The time stamp is recorded in military time:

Hours

Minutes

Seconds

An arbitrarily removed entry from the generated list can easily be identified by comparing the final notification list with the audit trail for that date and time.

Access to the Audit List is password protected.


Audit Control

Opening the Audit File

From the main menu open the audit file by selecting the menu option Admin and then Audit File as shown below.

You must then enter the password for access. The password is required each time you request to view the audit file.

Enter the password and press OK.

The Audit File:

The data appears in the order it was added. Data can not be modified. Entries can not be deleted. You can sort and filter the list to easily determine if there were any violations of selection protocol. Sort the data to easily find names and dates. If you Filter and save the results, the filtered list will be overwrite the original list. See Filter for a discussion about its use and warnings. When the entries in the audit file grow beyond what is needed, apply the Filter mechanism to intentionally reduce the list to entries whose selection date is between two specified dates.. See Reports to learn how to use the Filter to accomplish this.

Please Note: Auditing is a new feature (added 8-19-99). The audit system will be expanded later. If you have any suggestions please email them to us.


Password Control

Security Access Control
Password control is accessed from the Admin menu option.
RandomWare Provides four Levels of Access
Level 0 | Open Access: The system can be accessed without password control. Level 0 is the default mode when the program is installed.
Level I | Access to the program is password protected. A login ID and password are required to start the program. All program features are available without limitation. Level I provides equal status to the User and Administrator. Two default login IDs and passwords are provided. See the table, Level I/II Default Login IDs and Passwords, at the end of this article.
Level II
Two levels of entry are provided:
  • Administrator
  • User
Note: User and Administrator have equal status when Level I is in effect.
The system administrator can restrict User access to specific program features. See the Access section of System Options for features that can be restricted.
Level III | Total Access: Maintain a list of users with unique login IDs and passwords. All menu options and edit commands are recorded in an audit trail for each user's activity. Access is restricted exactly as Level II. When the program first starts, the user list is accessed from the Utils menu. For more information about Level III, read Total Access Control.
Two default users are defined:
  • User
  • System Administrator
When Level III security, Total Access, is selected, only users defined in the user list can access the program. The default user, "User" defined in Level II CANNOT run the program. Each user is assigned a User ID and Password. The user list is access from the program's main menu: Utils

When Level I or II is activated, access is suspended for all users in the user list.

NOTE: Total Access Control (TAC) can be turned ON only by the system administrator using the login ID Admin. TAC cannot be turned off by the default administrator. Only users entered in the user list as administrators can turn TAC off and only when requested by one administrator and confirmed by another. To turn TAC off, the program asks for a login ID and password of an administrator and then requests a subsequent login ID and password of a second administrator.

Any number of users can be granted "Administrator" status when using TAC. The User List is only accessible by an administrator and can be located anywhere on a network for security. To register the location of the user list, see the option, Register User List Folder, from the User List menu under Utils. Passwords are encrypted.

Login ID | Password | Level I/II Default Login IDs and Passwords
User | Random | User
Admin | Random | Administrator


Program Errors

The only errors known to exist are related to font and color control.

ERRORS:
The dialog box for color control does not display.
The dialog box for font control aborts the program when a font is selected.

These errors seem to occur on systems running under early versions of Windows 95. It is perhaps due to a missing DLL. It is still under investigation. There is, however, an alternate and reliable method for choosing fonts and colors should this error exist on the system under which this version of RandomWare is running.

See the following page for information on the available alternate method:
Alternate Methods: Fonts & Colors.


Contact Us for Help, Errors, Enhancements

Visit us on the internet at http://www.RandomWare.com

Reporting Errors
Please report all errors regardless of their severity. Inappropriate program responses are considered errors. No error is too small. Above all we want to provide a flawless program. Submit all reports via eLuxMail. A new system will be delivered as soon as the error is resolved.

Requesting Help
Please request help if you are having difficulty with any aspect of the program. Submit requests for help via eLuxMail. You will receive a response to your request ASAP. If you need telephone assistance we will schedule a day and a time and provide a telephone number you can call. You will receive the schedule by email.

Enhancement Requests
Users know best which tools they require in a random sampling system. If you need a feature that is unavailable, please let us know. Our goal is to make RandomWare your complete random sampling solution. We will consider all enhancement requests to achieve that goal.


Absolute Percentages

Absolute Selection Percentages

When this data item is checked ("x"), year to date percentages are not calculated to preset the random selection control parameters. Regardless of the number of selections planned for the year, the percentages entered for Test-A and Test-B are always used to preset the selection controls.

For example, if 10% is entered, the percent selection control is always preset to 10%.

Double click the item to toggle its status.

Double click an empty item to set its status On ("x"=True) or double click an item in which "x" is displayed to turn its status Off (False).


Confirmation of Reduced Access Security
Password control is accessed from the Admin menu option.


Add Company Data to Notification File


Selection Results: Add "Not Collected" Individuals

Not Yet Implemented.


Alcohol Screen: Level Values & Positive/Negative


Alert Notification - OFF

Alert Notification: OFF
Alert Notification is OFF. Set an alert notification for this entry from the Notes page. When the Alert is turned On or Off for an individual, the status is reflected for the next test the person is required to take. The Note for the individual should reflect the reason for an alert if set from the base list or roster. If the alert is turned on from the donor test sample edit dialog, then the Comment should state the reason and will be reflected in the individual's entry in their respective base list.


Alert Notification - OFF

Alert Notification: ON
Alert Notification is ON. Set an alert notification for this entry from the Notes page. When the Alert is turned On or Off for an individual, the status is reflected for the next test the person is required to take. The Note for the individual should reflect the reason for an alert if set from the base list or roster. If the alert is turned on from the donor test sample edit dialog, then the Comment should state the reason and will be reflected in the individual's entry in their respective base list.


Alternates for Multiple Locations
When entries for multiple locations exist within a single roster table, alternates can be randomly picked from each location from which donors have been selected. The number of locations for which donors have been selected and the total number of locations in the list is provided. For example, 3/5 indicates donors have been selected from 3 of 5 locations.
Note: For this situation, when controlling two tests, alternates are always listed to take both tests.


Alternates for Consortium Members
Alternates have been randomly picked from each consortium member from which donors were selected. The number of consortium members for which donors have been selected and the total number of members is provided. For example, 12/25 indicates donors have been selected from 12 of 25 members.
Note: For this situation, when controlling two tests, alternates are always listed to take both tests.


Do Not Specify Specific Tests for Alternates


Selecting Alternates for Multiple Locations
One or more locations exist in the current list.
Personnel information for each location may not always be up to date. You can add any number of randomly selected alternates to each location's selection list in order to provide the location an immediate list from which to replace a primary donor who no is longer active.
Check this option to select the number of alternates specified for each location represented. If the option is not checked, alternates will be selected from the entire list and presented on a separate sheet when printed, paged by location.
For example, set the number of alternates to select to two (2). Two alternates will be randomly selected from each location for whom donors have been selected. If the number of unselected individuals, for each location, is less than the number of alternates requested, the remaining unselected individuals are added to the selection list as alternates.


Selecting Alternates for a Consortium

Selecting Alternates for a Pool/Consortium
Consortium members may or may not provide up to date personnel rosters. You can add any number of randomly selected alternates to each member's selection list in order to provide the member an immediate list from which to replace a primary donor who no is longer active.
Check this option to select the alternates for each consortium member. If the option is not checked, alternates will be selected from the entire list and presented on a separate sheet when printed.
For example, set the number of alternates to select to two (2). Two alternates will be randomly selected from each member for whom donors have been randomly selected. If the number of unselected individuals is less than the number of alternates requested, the remaining unselected individuals are added to the selection list as alternates.


RandomWare: Altername Installation

Alternate Installation: Installing to a directory of your choice.

Create the directory in which you would like to place RandomWare.

explorer.bmp (581614 bytes)

Installation for Windows 95/98:

Copy the file Here from "A" to the directory of your choice.

Using Explorer locate Here in the new directory and double click on it. Do not remove the disk from the "A-Drive" until installation is complete.

Installation for Windows NT:

Copy the file HereNT from "A" to the directory of your choice.

Using Explorer locate HereNT in the new directory and double click on it. Do not remove the disk from the "A-Drive" until installation is complete.


Random Selection Generation Identifier

A unique ID is assigned to o every list generated by random selection. For example, if a random selection results in a list of 35 entries, each entry in the list is assigned the same selection identifier. Consider the identifier as a batch number which uniquely identifies a specific random selection. A view of the history file is available which features the display of the selection id. The column can be sorted and used to regenerate a distribution file.


Auto Capitalization

When Auto Caps is "ON" the first character of a typed "word" is capitalized. Both characters, of two character state abbreviations, are automatically capitalized. The following words are not: if, or, the, for.


Automatically Set Collection Status from Results

Turn this option On to eliminate redundant data entry.

When this option is ON, the system will automatically set the Collection Status as indicated by the test result when entered.

See the Test Result Codes table to reference the corresponding collection status for each test result listed.

For example, if the test result for a donor sample is marked as "Negative" or "Positive", it is natural to assume the sample was "Collected". While, conversely, if an individual does not show for testing and the test result for the donor sample is indicated as "Absent", then it is natural to assume the test was "Not Collected" and the collection status for the sample should be set accordingly, automatically.

Check your Test Result Codes table to ensure the "Auto Collected" switch is set appropriately for the test results you use.


Auto Collection Switch

Auto Collection Switch for Result Indicators

Each result code naturally indicates a sample was collected, and conversely, other result codes indicate a sample was not collected.

When the result code is entered for a sample, its collection status is automatically set according to this switch - it is a data entry time saving device.

NOTE: This feature must be turned ON in System Options.

Collection Status for Donor Samples is used to determine "Collection Percentages" for Year to Date percentage calculations. The percentage is then used to preset the random selection controls (Plus System). Some report generators use the collection status of a sample while gathering data for its report.


Target Percentages & Selection Stats

Automatically Preset Selection Controls from Target Percentages & Selections Stats Report

This feature is only available with Randomware Plus+.

This report has two views:
  • Target Stats (Shown Below)
  • Selection Stats

Note: The next selection date for each entry can be viewed from the alternate report view. Choose the menu option Selection Stats from the Views menu at the top of the window.

See Target Percentages & Selections Stats to learn how to generate this on-screen report and to refer to the legend for a detailed description of each data column.

To generate random selections for any entry displayed in this screen report, with selection controls preset, simply double click on the Pool ID, or the Group Name where it appears under the left column, Group or Pool.

For example, to generate a selection from Acme Delivery with the selection controls preset with the Percentages for each Test Type and Alternates, Selection Date, and Testing Dates, simply move the cursor over Acme Delivery, where it appears, and double click - see 1.

To preset the selection control for Pool_1A, double click Pool_1A in the Group or Pool column - see 2.

Note: No selection control is initialized if you double click a group name where it appears as a pool member below the Pool Name - see 3.
Double click to select Acme Delivery to generate a random selection with the selection control entries preset with the percentages required for the next selection generation.
Double click to select Pool_1A to generate a random selection with the selection control entries preset with the percentages required for the next selection generation.
You can not select groups where they appear as pool members. To include a pool member as a "Selectable" item for random generation, enter percentage Targets in its directory entry.
See Directory Views: Target Percentages . . .

The table below interprets the data for Pool_1A, Test-A [Urine]

Four (4) selections are scheduled for the year.
List Count: 72 names form the combined for Pool_1A from which the random selections were generated.
Collection Count: 12 donor samples were collected for the period requested.
Percent to Date: 16.67 % is the collection percentage represented by the number of samples collected.
Target Percentage: 50 % is the Target Percentage for the year.
Selections Completed: 1 selection was generated.
The number of Selection Dates yet to perform: 3 selections remain for the year.
Percentage for Each Remaining Selection: 11.1 % is the selection percentage for the remaining 3 tests yet to perform.


Preset Donor Sample Collection Status "Collected"

Preset Donor Sample Collection Status as "Collected"

When this option is On, the collection status for everyone randomly selected is automatically set to "Collected."

For example, consider: 30 individuals are selected, while only 28 samples as collected.

When the preset option is ON, only two individuals need to be located in the history file to set their donor sample status as "Not Collected." Then the preset option if OFF, 28 individuals will need to be located in the history table to manage their collection status.


Automatic Save to History of Random Selection

Before the results of a random selection are presented, the list is automatically saved to the base list's history file. The selection list is sorted alphabetically, primary selections followed by alternates, before it is appended.


Automatic Print Prompt

Always Prompt User to Print Random Selection

User is prompted to print Random Selection before exiting selection results.


Hot Find - Results Table

Managing Split Sample Test Results
The analytes in the panel configuration can be modified only through the Results Tab Page.
Modifications cannot be made to the "Original Results" once they've have been "preserved."
To make changes:

  • Restore the original values.

  • Turn "B-Bottle Tested" OFF.

  • Make the required modifications.


Active vs. Not Available
Not Active
Indicate an entry that is no longer active in the current roster. For example, employees who have terminated employment are marked "Not Active." Some users may want their lists to maintain historical accuracy. This field is referenced by the program to exclude an entry from selection consideration. The entry is not counted in the overall list total. The overall list total is used to accurately calculate year to date selection percentages for users who must strictly comply to overall yearly selection/testing percentages.
Not Available
Entries not available for the current selection can be indicated by checking this field. For example, indicate an employee as "Not Available" if he/she will be on vacation, on jury duty, or on a general leave of absence, at the time collection is scheduled. Entries marked as not available are counted for calculation in overall yearly selection/testing percentages.


Alcohol & Substance Certification


Selecting and Assigning a Mode / Category

Select a Mode and Category from the selection lists to assign to the individual whose data is currently in the dialog editor.

Use the "Select" button to assign the selected mode/category combination to the current entry.

To erase an assignment, press the Clear button followed by the Select button.

The currently assigned mode/category is always displayed for each entry in the dialog editor, however, when the "Initialize from Data" option is checked, the current entry's mode/category also presets the data in the selection lists.

To edit the master lists of Modes/Categories, exit this editor and select MIS: Modes/Categories from the Other Data option from the menu bar at the top of the window.


Supervisor


Check Exclusion Calendar for Exclusion Dates


Codes & Tests Menu from Base List Window

Codes & Lists Menu Option from the Base List Window

Three option are presented:

  • Edit Test Result Codes
  • Test Types Administered
  • Selection Category Data Base


Preset Donor Sample Collection Status "Collected"

Copy Control
The spreadsheet and Edit Control are simultaneously active. Click on a field to make it current or scroll any record into view.
Click Apply to copy the text into the current field. If the text control to blank, the current field will be erased.
Using the Select option, copy the text to the field indicated for every record highlighted.
Click Clear Selected to turn highlighted records off.


Randomware Data Identifiers


Calendar Control - Date Manager

The Date Manager provides control for dates entered into Randomware.

How to determine the day of the week for a date already entered into Randomware:
As an example, consider the Selection Schedule data window shown here.
When this option is checked, as you move from one date to another, the date displayed in the calendar control will reflect the date of the current Randomware field. This is an easy way to determine the day of the week that a date represents.

How to set a Randomware date field using the Calendar Control:
Select a date in the calendar control and press OK. The current Randomware data field, if it is a date field, is set to the date currently displayed in the calendar control. If the current "On OK" option is "No Action" then the date is simply set to the date requested. If the On OK option is Up, Down, Left or Right, the next current Randomware field is determined by the option selected.

Note:
In order to preserve the date entered in the Calendar Control, the "Set Calendar from Data" option should not be checked. If this option is checked then the date in the control is changed to the new date field to which the cursor moves.

The Left, Right, Up, and Down Arrows control the movement of the cursor in the data window. For example, if you press the Up Arrow, the date immediately above the current date will be the "current field"


Selection & Testing Dates
Manually enter a date or use the calendar to easily choose and set a dates for Selection and Testing.
The date the random selection is generated is saved and logged with the record for each person randomly selected. In general, the current date is initialized as the random selection date.
Choose a date and press the Selection Date button to automatically set the date into it respective field.
Options
Automatically sets the selection date to the current date of the calendar.
Automatically sets the date of intended collection to the current date of the calendar.
Automatically sets the current date of the calendar for the ending date of the period for which randomized testing dates will be generated.


Double Jeopardy (Simple)

 | Double Jeopardy for the General Random Selection Control
One Test Only | An individual can be selected once and only once. If someone is selected for Test-A, then that person can not be selected for Test-B.
Both Tests | An individual can be selected for both tests.


Double Log/Entry of Alternates for Random Selection

Double Log/Entry of Individuals Randomly Selected

Note: These values are determined by the system and displayed simply for your information.

Primary and Alternates will be listed twice in the selection list and the history file when their respective "Double Log" option is checked.

0bjective: Enter an individual twice in the selection list, once for each anticipated chain of custody form.

Primary Selections (Not Alternates)
If your drug testing program administers two tests to each individual selected, you will find the "Double Log" value set for the primary selection. This is necessary for data management when two separate chain of custody forms are generated. Essentially, each entry in the random selection history file represents one chain of custody form.

When the double log option is checked, each resulting random selection is listed twice:
  • Once for Test-A
  • Once for Test-B
However, regardless of how the option is checked, if a test type is not specified in Test-B, the entry will not be entered into the selection list twice, i.e., for a selection to appear twice in the list, Test-B must be specified and the Double Log option for the primary selection will appear checked. Furthermore, if a test type and a selection count is specified for Test-B, the double log option is automatically turned "Off" when the selection is conducted.

Some drug testing programs will administer two tests, Test A&B, however, not all individuals selected will submit to both tests. When this is the case, the "Double Log" option is not required and is implicitly turned off when the selection is conducted.

The system knows to turn off the double log option when only one test (Test-A) is entered and/or a selection count has been specified for the second test, Test-B.

Alternates
Some random generations, Super Double Jeopardy, and Double Jeopardy, will select some individuals twice - once for each of two tests - drugs and alcohol. If a primary selection is not available for testing, an alternate will be picked. Usually, alternates are picked in the order they appear on the alternates list. If the primary selection was scheduled for two tests, it is likely the alternate will be required to submit to two tests, and therefore two chain of custody forms, as well. If alternates are entered into the selection list twice, they also appear in the random selection history list twice. This provides for easy data management when data for the donor sample is logged into the system. Each drug and each alcohol test requires an entry in the data base for proper tracking of results. If the alternate does not appear in the list twice then you will have to add the alternate's second later. Double logging of alternates at selection time reduces your data management overhead. The data base is not affected nor are the record populations harmed for those alternates who did not undergo testing. Their entry is simple listed twice in the history file. Each entry in the history file represents one chain of custody form.


Deleting Special Program Files
Randomware uses a file registry for the following two items:
  • Directory
  • Pools
Occasionally, when the system is reinstalled, it's necessary to delete one of both of the data file registries.

If you received a "Duplicate Directory" error message, delete the directory registry. Access the delete option from the program's main menu bar which is displayed at the top of the window when the program starts. In general you cannot manage two directories of the same name regardless if they exist in different disk folders.

Select "Delete Directory Registry" from the "Utils" option.


Development Access

Records for many data tables throughout the system can be "Reserved" to protect from indiscriminate modifications. The column heading "Rsrv" indicates that the individual records in the table can be flagged as Reserved and their status cannot be reversed until you gain "Development Access."

To gain development status, enter the development password from the Enter Development Password menu option found under the main menu Admin.

The development password is provided in the installation documentation - this password cannot be changed by the user and therefore it is not revealed in this help article. Please refer to the installation instructions or send an email to solutions@RandomWare.com to request the password.


Directory: File Names

Directory: List and History File Names

The List File ID determines the name of the Base List and the History File for its respective Group entry in the Directory List.

The List File ID can not be modified - it is determined by the system and can range between 0 and 99999999.

In the example above 11 is the List File ID for Hazard Material Recovery ( directory entry # 2 )

The List and History files for the group, Hazard Material Recovery, are 11.DAT and 11.HST respectively.

If you installed RandomWare in C:\Random then the full path names for these files are:

C:\Random/DB_Lists/11.dat and C:\Random\History\11.hst


Hot Find - Results Table

Hot Find
Responding to each keystroke, Hot Find looks for the next match and moves the cursor to that entry for editing if found.
Find Next locates the next record that's a match.
Check Exact to find records whose first characters are an exact match with the text entered, otherwise the first record which contains the entered text is loaded into the editor.
Check Wrap to continue searching from the beginning of the document, after reaching its end.


Directory Miscellaneous Options


Directory Data - Print Detail Accounting

A detail accounting of all the data recorded for each entry in a Base List can be printed when the entries are selected using the Record Selector.

From the Utilities menu, select the option Record Selector.

See Help Record Selector for detailed instructions on its use.


Directory Registry


Directory Entry Selection Control Options

Limited Access Random Selection Control: The random selection control displays the minimum parameter set required to generate the selection. Use Access control options to prevent users from modifying percentages calculated. See the System Options for Access control.

Super Double Jeopardy (SDJ): The type of random generated is automatically when the Limited Access Option is selected, see above. The default is the general selection. When Limited Access and SDJ are on, the system generates the random using SDJ. If Limited Access not turned on, this option has no effect.

Absolute Percentages: Check this option to preset the percentage as entered. The percentage is not considered a year end target. If, for example, you need to generate a list of 10% each month, then set this option.

Randomize Testing Dates: You can randomly assign a test or collection date to each individual randomly selected. Check the option here to automatically preset the option in the random selection control generator. The date range is entered at the time the selection is generated.

Alternates

Request alternates to select for each of the two tests specified. The program will interpret the values as "counts" rather than percentages when the option "Alternate Values: Use as Counts Not %" is checked.

For example, if a list contains 200 entries, "Alternates (A)" is 5 and the option is not checked, the selection control will preset the count of alternates to select as 5%, yielding 10 as the count of alternates to select. If the option is checked, the count will be preset to 5 and the resulting percentage calculated and displayed as 2.5%.

Specifying Alternates separately for each Test A&B

If a value for the selection of alternates is entered for each of two tests, the program will randomly select the number of alternates requested for each test.

When two tests are specified and a value entered for only Alternates (A) , the program will randomly select the number of alternates requested and assign both tests to each alternate selected.

For example, if selecting for both urine and breath with Alternates (A) = 3, Alternates (B) = 0, three alternates will be selected and each will be required to take both the drug and the alcohol tests.

If Alternates (A) = 3, Alternates (B) = 2, three alternates will be selected for the urine test and two will be selected to take the breath alcohol test.


Target Percentages & Selection Stats for the Entire Directory


Directory Topics

  • The Directory Facility
  • Base Lists
  • Histories


Directory View: Simple Address Listing

This view provides the option to quickly view primary contact names and company addresses. It is an easy way to enter new directory entries. Only address line #1 is available for entry in this view. If your address needs require the additional address line fields, you will need to use another directory view.


Directory View - Check Mark Control

Directory View: Check Mark Control for Utility Options

Toggle the "Select" Status On/Off by double clicking the 'x' column with the left mouse button.

The Randomware Scheduling component uses the check mark to assign dates from a master file of schedule dates and to control the editing of existing schedules.


Directory View: Single Name Status Control

Multiple views are available for data managed by the directory facility. Each view is accessed through the Views option available from the menu bar seen in the screen example below. The window below is accessed by selecting Single Name Status Control.

Note: The single name status field is also accessible from the directory dialog editor. The dialog editor is an edit control with full access to all directory data from a single edit control. To access the editor, right click on a group name and select Dialog Editor from the pop up menu.

This directory view gives access to the single name status switch.

First Name, Last Name, and Middle Initial is the default data structure by which data is entered into Randomware lists. You can mark each directory entry with "Single Name Status" by "checking" this option box view. This option is toggled by doubling clicking the left mouse button while the mouse cursor is over this field. When an entry is checked for single name status, its base list and history file are displayed using one name (last name) only. Randomware allows 48 characters for the last name. Maritime operations can easily enter vessel names into this field and select the single name status mode for the display and printing of the list. See the pool registry to assign single name status to each pool in the system that require this mode for printing and display.


Directory View: Standard

NOTE:

No detailed information exists for this topic.

Check the support page on our web site often for the availability of a new help system.

http://www.randomware.com/pages/support.html

Home


Selection Control & Target Percentages

Directory View: Selection Control & Target Percentages

There a five views of a directory's data. Every data element for each directory entry can not be displayed in one view in a meaningful format. Therefore, five views have been defined to help you easily manage the directory data. You can easily switch from one view to another. The system will direct you to save any modifications before switching views. Each view is selected through the Views menu at the top of the window. A brief summary of all the views can be reviewed in Directory Views.

Selection Control & Target Percentages: Two Views
1) Scheduling is Turned ON
2) Scheduling is Turned OFF - Notice the added column, No. Sched. (No. of Selections Scheduled)
See Scheduling for a discussion about this Randomware feature and how to use it.

Use this directory view to maintain your selection criteria and yearly percentage targets. Randomware's random selection controls allow you to generate random selections for two tests by a percentage specified for each: Test-A and Test-B. Enter the test types and percentages for each directory entry. Selection control data and yearly percentage targets for Pools are maintained in the Pool registry. See the Open Options menu to access the Pool Registry.

Year to date percentages are reported for each entry in which a target percentage is entered. If a group is a member of a pool, you can monitor its year to date percentages, independent of the pool, if you enter a percent target for Test-A and/or Test-B. Leaving percent targets blank prevent the generation of a report for that entry.

The Fields

DOT
Generate Target reports and automatically preset the random selection control fields for selection from a pool or an individual company. If DOT is checked ('x'), the Super Double Jeopardy control is presented with the selection fields preset. If DOT is not checked, then the standard selection control is used. Double click to toggle the status of this field. For a discussion that distinguishes between these two selection controls see Random Selection.

Auto
Currently not used.

Randomize
Each directory entry and pool defined has a respective schedule you define to control for yearly selections. Along with the scheduled selection date, you can enter a testing or sample collection date range (the day test samples will be collected.) If you enter two testing dates and check Randomize ('x'), the system will randomly assign a collection date between the two dates specified (inclusively) for each entry randomly selected. Double click to toggle the status of this field. See Open Options to enter selection schedules.

Exclusion
Currently not used.

No. Sched.
When the system scheduler is turn OFF, enter the number of selections you plan for each entry. For example, if you plan to generate quarterly selections for an entry, enter 4 in this field.

Test-A
Enter the Test Type to be administered. Maintain a list of tests in the system database, Test Types. To open the data base for editing, select the popup menu option, Test Types Administered from the menu Codes/Tests at the top of the screen. If you enter the first character(s) of a test type in the database, the system will complete the entry for you. For example, if 'Breath' is a test type found in the Test Types database, typing 'B' will prompt the system to complete the entry to 'Breath' for you.

%(Test-A)
Enter the yearly percentage requirements for the selection of Test-A. For example, if you need to select 50% annually for a pool or individual group, enter '50' in this field.

Test-B
Enter the Test Type to be administered exactly as Test-A.

%(Test-B)
Enter the yearly percentage requirements for the selection of Test-B exactly as Test-A. If you are controlling for DOT selection (Super Double Jeopardy), the percentage for Test-B must be less than or equal to that for Test-A. If you have control for two test types, with different percentages, Test-A must be entered with the higher percentage.

Alts %
Enter the percentage by which alternates will be selected. Alternates are those entries who will be called in the event that primary selections are unavailable for testing. The Standard Selection control allows you to independently specify the selection of alternates for each test. Super Double Jeopardy has only entry by which to specify the selection of alternates.

Home


Directory Views

The Directory: Understanding and Managing the Data

The directory facility is the link to all the data maintained in the system.
  • Pre-Employment: Maintain pre-employment lists and drug testing information. Transfer data to employment rosters when an individual is hired.
  • Employment Rosters: Manage Base Lists from which random selections are generated. Transfer an individual to an EAP program.
  • Random Drug Testing Data: These are the "History Files." Manage drug test information through the random selection history files.
  • EAP: Manage employee assistance program data.
  • Archive History Files
  • Generate Reports

There are multiple spreadsheet styled views for managing directory data. All data items for each entry cannot be displayed in a single view in a meaningful format. Therefore, multiple views have been defined to help easily manage the data. You can switch from one view to another through the Views option from the menu bar at the top of the window.

An Edit Control is provided through which all data items for an individual entry can be managed through a single editor. To activate the edit control, right click on a group, and select Dialog Editor from the popup menu.

Some spreadsheet views are:
  • Selection Control & Target Percentages
  • Standard View
  • Check Mark Control for Utility Options
  • Single Name Status Control
  • Simple Address Listing

Selection Control & Target Percentages
Use this directory view to maintain your selection criteria and yearly percentage targets. The standard selection controls allow you to generate random selections by percentage for two tests, labeled Test-A and Test-B. Enter the test types and percentages for each directory entry. Selection control data and yearly percentage targets for Pools are maintained in the Pool registry. See the Open Options menu to access the Pool Registry.

If you enter the available test types and test results in the Test Type and Results data base, see the menu Codes/Tests, the program will automatically attempt to finish the entry when you type the first characters of the test or the test result. For example, if you enter "B", the program will display "Breath" automatically, and you will not need to finish the typing, provided Breath has been entered in the data base. In the history file, when you enter test result codes, the program will attempt to automatically finish the entry for you when you type enough characters to uniquely specify the result. Type "P" and "Pos" will appear, if "Pos" is already listed in the data base.

Year to date percentages are reported for each entry in which target percentages are entered. If a group is a member of a pool, you can monitor its year to date percentages, independent of the pool, if you enter a percent target for Test-A and/or Test-B. Leaving percent targets blank prevent the generation of a report for that entry.

Standard View
 The standard view is the default view when you first open the directory.

Check Mark Control for Utility Option
 Select directory entries with a check mark to indicate that a utility feature will be apply.

Single Name Status Control
 First Name, Last Name, and Middle Initial is the default data structure by which data is entered into Randomware lists. You can mark each directory entry with "Single Name Status" by "checking" this option box displayed in this view. When an entry is checked for single name status, its base list and history file are displayed using one name (last name) only. Randomware allows 48 characters for the last name. Maritime operations can easily enter vessel names into this field and select the single name status mode for the display and printing of the list. See the pool registry to assign single name status to each pool in the system that require this mode for printing and display.

Simple Address Listing
 Each entry in the directory is displayed with company name, primary contact, address line #1, city, state, zip, and phone number on a single line. All other data is hidden in this view.


Displaying Security Information

Check this option to include the security data tab page when editing drug and alcohol testing data in the full dialog editor.


Disposition Complete Status

Some applications of random selection for drug & alcohol testing require that all data generated is resolved before a subsequent random selection is generated.

The system will not allow the generation of a random if a disposition has not been logged for all previous selections.

For example, every entry should receive a "disposition" in regard to the status of the testing procedure:
  • Negative
  • Positive
  • Pending
  • Absent
  • Declined
  • etc.

A note about Alternates:
Alternates do not require the entry of a "disposition" unless a sample is collected. When the system checks for the complete disposition status of previous selections, alternates are ignored unless the sample has been flagged as "collected."


Dialog Based Results

Random Selections Display in Popup Dialog Box


DOT Report Category

Indicate if a person is regarded as someone who is tested and reported in accordance with the United States DOT regulations. This indicator is considered separately from the Mode/Category specified. It is provided as a simple indicator for personnel if the Mode/Category mechanism is too burdensome.

Some reports will indicate if someone falls under the guidelines of the DOT. If this switch is checked, the person is considered DOT personnel.


Double Testing

Often, donors are required to submit to two tests simultaneously: one for drugs/substances and one for alcohol.
When a donor is double tested, two entries in the table exist - one for each test, i.e., one entry for each potential chain of custody form.
"Double Tested" is displayed in the dialog editor when an entry is one of two for a double test .


Specifying Drug and Alcohol Test Types

Drug & Alcohol Specification

To change the selection (checked status) of an item, click it.

The test types for Drug (Substance) and Alcohol from the system's Test Type table are listed here.

If individuals were administered "Hair" tests for substance control and Hair is Not Checked, the report will not accumulate data where Hair is listed as the test type.

Generally, you will not change the "Checked" status of the Drug & Alcohol list unless your report requirements are very specific.

For example, the FHWA specifically mentions "Urine" as the test for substance control. If you need to limit you report to only urine samples and not hair, then be certain "Urine" is checked, while "Hair" is not.


Determining Year to Date Percentages

Percentages for Year to Date calculations can be determined by the number of distinct selection dates or the number of distinct Random Selection Batch IDs found in the History File for the period in question.

Every random selection generated is assigned a unique identifier. The record for every individual selected for the percentage/count requested is assigned the unique ID.


EAP: Transfer an Individual(s) to the Employee Assistance Program Table

EAP: Transfer an Individual to the Employee Assistance Program for Testing
EAP testing includes

  • Follow-up

  • Post Accident

  • Periodic

  • Reasonable Cause

  • Return to Duty

  • Other
The reasons for testing that fall under the EAP category includes most of the reasons for testing found in the "Reasons for Testing" (RFT) table except Pre-Employment, Randoms and Blind Testing. Add or remove entries in the RFT table as required by your application of the program. The RFT table is accessed from the Other Data menu option.

An individual is entered into the results table for EAP testing from the personnel roster where the person is found.

Locate the individual, right click on his or her name and select the option "EAP: Enter into Employee Assistance Program" from the popup menu.

The entry to entered into the roster's corresponding Results table where the results for the test is managed and reported.

You can also maintain an EAP data file for the entire directory. The data in each file is not relational with data in other files.

The transfer facility is provided to ease the burden of redundant data entry. All information maintained in the base list is transferred to the EAP file when requested.


EAP Transfer Target

EAP data transfer can be directed to the Group's EAP table or the Directory EAP tabe. Check this option to preset the EAP transfer control "Directory Master."


Pane Selectionl Manager

Editor Control
Use this special Edit Control to easily copy data into the field for a single record or any number of selected records.
The spreadsheet and Edit Control are simultaneously active. Click on a field to make it current or scroll any record into view.
Click Apply to copy the text into the current field. If the text control to blank, the current field will be erased.
Using the Select option, copy the text to the field indicated for every record highlighted.
For convenience, click on the Save to Disk Icon to permanently save data to disk or use the save option from the window's menu bar.
The "Select" tab provides access the the record selector.
When multiple records are selected the "Apply to All" option is highlighted indicating the copy will apply to the specified field for every record selected. Simply click the option to turn it off.


Import Data: Edit Headings Table

If a specific column heading from the import file is not found in the Tab Delimited Heading table, you can access the data base and add the heading by pressing the "Edit Headings" button.

After the heading is added to the table, press the "Reprocess" button to reread the import file.


Sorting Selected Records

Sort Selected Records
Sorting groups all selected records so you can easily determine what has been selected.

The primary sort key is the hidden field that indicates an item is selected or highlighted. When no records are selected, the resulting sort my not seem quite what is expected.


Using the Edit Dialog

Using the Dialog Editor

NOTE: When you enter new data or modify existing data, one or two button selections are required to permanently save the data. If you press the Apply button, the modifications are reflected in the spreadsheet displayed behind the dialog editor, but not saved to disk. While the spreadsheet is flagged as "Modified", it is not permanently written to disk until you press the Save to Disk button at the bottom left of the editor. If you Cancel from the dialog editor without saving the modifications to disk, you may select the Save option from the window's menu bar before you exit.

NOTE: If you modify data, you must select one of the options, Apply, OK, or Save to Disk, in order to reflect the modifications in the spreadsheet displayed under the editor. The data displayed in the editor is a temporary copy of its respective entry from the spreadsheet. If you scroll, page or insert before selecting one of these options, you will be warned before the editor performs the request, thereby providing the opportunity to save your changes. If you press the Save to Disk button after you finish editing an entry, the entry and all prior data modifications are permanently saved.


Base List Editing Dialog

Test Results Data Editor

A Note about Data Modifications using the Dialog Editors
Please read:

The editor can be accessed from the Utilities popup menu, Full Editor Dialog, of the Results data entry windows. Or, optionally, right click the mouse over a Name or ID to access the pop-up menu through which the control is activated, or double click the left mouse button to display the control immediately.

NOTE: This editor is superimposed over the history data window. You can position the editor to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the data window beneath it are viewable.

The editor is a simple view window into the full list of entries in the currently open list. Use the vertical scroll, page up and page down buttons to position an entry in the editor. If you move the editor to the far right of the screen, the names in the current list should be viewable if your monitor is suitably large.

The Controls

Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Pre-Employment: Transfers Personnel Data to base list (personnel roster). If the pre-employment table is "directory wide" the system will provide the current list of directory entries - select the group to which the pre-employment data will transfer.
Generate sorted index card files of all entries in the current list for quick location.
  • Alpha-Tabs (Alphabetically order Tabs)
  • Sample ID (Lab Sample ID sorted in ascending order)
When an entry in the card is double clicked, its data is immediately loaded into the editor.
Insert a Pre-Employment Record. When a new record is inserted into the results table, it is automatically flagged as a pre-employment test. If you need to add a record for any other reason (Post Accident, Probable Cause, Follow-Up, etc.), open the personnel roster, select an individual, right click the name in the spreadsheet and select the EAP Transfer option.
Prints the current entry in the editor or the entries placed in the print request list.
Adds or Removes the current entry from the print request list. Control the highlight attribute.
Clears the print request list.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.


Employee Location

Employee Location is an alternate method for controlling the print of the random selection results. This is a new feature and its use has not yet been implemented. You can maintain the data, however, no system resources are provided to use the data in a meaningful way. Currently it is a reference only field.


Randomware Evaluation

Randomware Evaluation - Welcome to the Help System

Thank you for your interest in Randomware !

To close the Help System, simply click the "close box" at the top right corner of this window.

The help system is a "mini" web site and navigates exactly as Internet Explorer through the use of hyper linked text and the table of contents. You do not have to be on-line to access the articles in the help system.

The evaluation is the Plus+ version of Randomware. Features are showcased through an included set of sample data. The save function has been disconnected in the evaluation, therefore, data modifications can not be preserved, otherwise, the program is fully functional.

The purpose of the evaluation is to provide the feel of navigating through the program and to showcase the features available in the system.

To get the most from the system, please read the following articles:
 | After Installation
 | Getting Started
 | Tutorials
 | Quick Tips: Data Access & Editing Tools
 | Help System Overview
 | RandomWare Plus vs. Basic
 | Sample Data


Import External Data

Limit User Access to Specific Features


Fitness for Duty

Fitness for Duty (FFD )


MIS Reporting for the Entire Directory


MIS Reporting from a History File


FHWA Report Control


FHWA Results Dialog - Review Control


File Name

Formats

Optional Formats

NOTE:

No detailed information exists for this topic.

Check the support page on our web site often for the availability of a new help system.

http://www.randomware.com/pages/support.html

Home


templage

RandomWare Program Files

The following files are needed for Randomware to execute properly:

Randomdx.txt - Text file for messages, printing and data structures

Home


Find Test Results Globally

Finding Test Results Globally


Screen Fonts

wandering.gif (917 bytes)

KNOWN ERRORS: On some systems the menu choices: Screen Fonts, Printer Fonts, Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the selection: Alternate Methods: Fonts & Colors.

wandering.gif (917 bytes)

Screen Font Control

From the Base List window's popup menu Misc select Screen Fonts

colormenu.bmp (276018 bytes)

wandering.gif (917 bytes)

The below displayed font control dialog box is presented:

To set a specific category click one of the corresponding radio buttons:

Field Data Input Text: Selects the text font for data that is entered into the data cells (fields)
Field Heading & Descriptive Text: Selects the text font for Column headings and other text.
Full Screen Editor: Full Screen Editor: Currently does not effect any displayed text in this program.

Click on the radio button of any item described above to change its font. When you first click the item its current font is displayed for reference. Select a new Font, Style and Size appropriate for that category of text. Click the Apply Button to see the effect or click the OK button.

wandering.gif (917 bytes)

Buttons

- | The current screen is redisplayed with the new font - control box stays active.
- | The current screen is redisplayed with the new font - control box disappears.
- | Not currently active.

Home


Populate Random Dates


Applying Frequency Scheduling Optons


Full Screen

Select this option to convert the displayed results to full screen presentation. The results will be displayed exactly similar to the spreadsheet format of the base list from which the selection was generated. The full screen presentation provides the option to additionally select from the original list and append to the end of the current results.

Randomware Basic & Plus:
A System Options value determines what display is used. Access System Options from the Other Data menu found throughout the program.

Please Note: The default display for the "Simple Random Selection" results is always the dialog based, i.e., not full screen.


Generate a Numbered List

Create a Numbered List

From the Base List menu, choose Create a Numbered List from the Misc menu option.

Create a list of numbers as a substitute for a named list. Generate a random selection and use the resulting list as an index into the list of names for selection identification.

Occasionally, a client may want you to generate a random selection but does not want to give you their proprietary list of names and id numbers. Create a numbered list and generate a random selection from the list.

For example, if the client has a list of 343 people from which to select. Create a numbered list with 343 entries, 1-343.


Global Display Control


Global Search Results List


Random Selection - Rounding Up/Down

The random selection controls allow you to specify either a percentage or a count for the random selection. If a percentage is entered, the resulting count is calculated and displayed. If a count is entered, the percentage is calculated and displayed.

Percentages do not always result in whole numbers. When a percentage is entered, the resulting count is determined by the "Rounding" option.

Rounding |
Up | 50% of 17 = 9
Down | 50% of 17 = 8


Random Selection Results

The example below illustrates the results of a selection for two tests, Urine & Breath. Donors were selected for a urine test at 27 percents, while others were selected for Breath Alcohol at 12 percentage. This is indicated below as "27 / 12." If the selection was drawn for a single test then the percentage would be displayed to two decimal places. Please note the that the percentages "27/12" are the rounded values of the actual percentages used.

Alternates were selected at the percentage 12.20.


Random Selection History Views
A variety of views are defined for random selection history data. There are entirely too many fields for each record to display on one line in any meaningful format. Therefore, a variety of views have been provided. The view names are those found in the menu options found throughout the system.
View Name Description
This view has 3 common names
  • Standard View
  • Results
  • Simple
  • Donor Name/ID
  • Selection Date
  • Test/Collection Date
  • Test Type
  • Collected/Tested Status
  • Results/Test Code
  • Donor Sample ID
  • Lab
Results+
  • Donor Name/ID
  • Test/Collection Date
  • Alcohol Only Status
  • Test Type
  • Collected/Tested Status
  • Results/Test Code
  • Alcohol Confirmation Test Administered
  • MRO Results (Unknown, Negative, Pos)
Ledger
  • Donor Name/ID
  • Donor Sample ID
  • Lab Date
  • Item Transferred to Ledger (Y/N)
  • Billing Price
  • Cost Price
Selection ID
  • Donor Name/ID
  • Batch Selection ID
  • Selection Date
  • Test/Collection Date
  • Test Type
  • Collected/Tested Status
  • Results/Test Code
  • Donor Sample ID
  • Lab
MIS Mode/Category
  • Donor Name/ID
  • Mode
  • Category
  • Selection Date
  • Test/Collection Date
  • Test Type
  • Collection Status
  • Results/Test Code
  • Donor Sample ID
  • Lab Date
Panel Views
Three views of the panel data are provided. Most applications will not use more than a 10 panel test, however, it's possible to define panel configurations with as many as 16 panels.
Depending on the size of your monitor and the number of panels defined, one of the three views may be more useful than the others.
The panel view are described in the table below.
Note: Panel data can only be modified through the dialog editor. Double click the donor ID to access the editor.
Panel Views
Please Note: The system value of each panel result is displayed rather than the familiar text.
  • 0 = Unknown
  • 1 = Negative
  • 2 = Positive
Panels 1-16
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #1-16: Result & Panel Name (Abbreviation)
Panels 1-10
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #1-10: Result & Panel Name (Abbreviation)
Panels 11-16
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #11-16: Result & Panel Name (Abbreviation)


Codes & Tests Menu from Base List Window

History File Conversions

Data Conversions

Your History file must be converted.
The conversion is simi-automatic.

The next request you see will be to enter the name of the
base list from which these selections were originally generated.

If you need additional help, please refer to the help system.
Specifically, read the article "History File Conversions" in the Reports
category.

Randomware will allow you to save selections for Individual
Base Lists to any History File.

Note: Individual Base Lists are those you open outside the
Randomware Directory Facility

It is recommended that you have one and only one
History file for each base list.

Each selection saved to the history file records the numbers of entries
in the base list at the time of selection. That number is used to accurately
generate percentages.

The next request you see will be to enter the name of the original
base list. If you violated the above recommendation by saving selections
from multiple base lists to one history file then you may need to do
some data juggling. You can copy the current history fil

Home


History Data - Inserting Records

Inserting Records: Random History, Pre-Employment

Random History:
Insert is provided as the mechanism by which "double" testing can be recorded. Some MIS report formats require indication of double testing: drug and alcohol. Most drug and alcohol tests are administered separately and require two chain of custody forms. Each entry in the random history/drug & alcohol data table correspond to exactly one chain of custody and lab sample. When you insert and entry into the random history table, the "double" tested status is automatically set and the data for the individual is duplicated in a separate record. Double entries are automatically generated when randomly selecting individuals for substance and alcohol tests - one entry for each of two tests specified in the random generator. Alternates are logged twice, when the option is selected, in the event that the alternate must stand in a primary selection who was selected to undergo two tests - one for drugs (substance) and one for alcohol.

Pre-Employment:
Insert new records as needed when adding individuals to the pre-employment table.

EAP (Employee Assistance Program):
Insert is not available for EAP data management. Personnel data is transferred to EAP tables directly from a group's base list or rosters.


Selection & Collection Reports from History Files

NOTE:

No detailed information exists for this topic.

Check the support page on our web site often for the availability of a new help system.

http://www.randomware.com/pages/support.html

Home


History: Random Selections

Accessing the History Files of Random Selections for Named Lists

You can create a history file for each individually created list file. An individual list file is one which is opened independently of the RandomWare Directory facility and is referred to as a Named List.

For a discussion of the Directory facility Click here arrow.gif (822 bytes) Directory . Each list created in the a directory has a corresponding history file.

Individual lists are opened through the open option shown in the window displayed below.

Save your randomly selected lists to a HISTORY file for future reference.
Data is always appended to the end of an existing HISTORY data file.

To open a History file for an individual list select the menu option History from the main window's Open menu.

A History file is automatically assigned the file extension: .HST

open_hist.bmp (291330 bytes)

NOTE: Saving to a History file always results in the generation of a Notification or Communication File.

Home


Hot Find - Results Table
Responding to each keystroke, Hot Find looks for the next match and loads the record into the editor if found.
The + button finds the next record that's a match.
Check Exact to find records whose first characters are an exact match with the text entered, otherwise the first record which contains the entered text is loaded into the editor.
Check Wrap to continue searching from the beginning of the document, after reaching its end.
Choose a Hot Key that controls what field is used to match the text entered - searches are performed on the current Hot Key data field:
Hot Key | Searches . . .
Last | Last Name.
First | First Name
ID | Primary ID
CC | Chain of Custody (Drug Sample ID)
Note: Hot key selection is located on the right at the bottom of the dialog box.


RandomWare: Starting the Program

If you used the standard installation a new directory will exist named: C:\Random

Copy an Icon to the Desktop:

Start Explorer and double click on the folder C:\Random .
If you installed the program in a different directory then locate that directory and expose its files as shown below.

NOTE: If you have not restarted Explorer then click on Explorer's View menu and select Refresh

icont1.bmp (678278 bytes)

logo2.gif (4496 bytes)

Right click on the application icon and drag it to the desktop.

icon2.bmp (300358 bytes)

For convenience once it is established rename it by right clicking on the desktop icon and select rename.

Rename it to RandomWare or Random


Import Template

Import Templates

Use the import template to map specific columns of import data to their respective RandomWare to data fields. If the first line of data in the import file remains consistent from import to import, you can use the same import template for each import operation. If you import data files with different column headings, create a template for each case.

A step by step tutorial can be accessed from the Tutorial/Help menu.


Mapping Import Fields to RandomWare Data


Importing Data into Supervisor Table

The article for this new feature has not yet been written.

Let us know by email if you need assistance.

Send your email to: solutions@randomware.com


Import External Data - Write Control

Option | Write Control Description
Append | Adds entries from the import file to the end of the current list. Duplicate entries are noted but added regardless.
Merge | Duplicate entries are not added. Duplication is checked by ID number only, not by names.
Overwrite | The current list is overwritten with the entries from the import file.


Reading the Inport File

tab_error.bmp (554454 bytes)

tab_ctrl.bmp (669318 bytes)

Quick Links

Home
Import Data Headings
More on Import


Importing an External Data File to a Base List

File Name: The external data file has no naming convention requirements. The Open Dialog presents all file formats from which to select.

Required Format: The data in the file must be Tabbed Delimited , one Record per line, in the following formatted order:

<Last_Name> <Tab> <First_Name> <Tab> <Middle_Initial><Tab><Social_Security_N0 >

NOTE: The characters "< >" are used above to distinguish one data field from the other. They are not to appear in the data file.

Optional Formats: If the data in your tabbed delimited file is in a different order, then the first line of the data file must identify the order of the columns with appropriate headings. An example of possible headings can be:

LAST <Tab> FIRST <Tab> MI <Tab> SS <Tab> LOCATION

The above denotes the inclusion of the following data in the order listed:

  • Last Name
  • First Name
  • Middle Initial
  • Social Security Number
  • Location

If any column of data is absent then simply leave off its respective heading. For example, if there is no location then the heading line would appear as:

LAST <Tab> FIRST <Tab> MI <Tab> SS

Optional Headings: You can maintain a data base of optional data column headings: select Read from the Base List menu. Then from the popup menu choose Tabbed Delimited Data File Headings.

Home


Import External Data

Importing an External Data File to a Base List

For information about saving data from an Excel spreadsheet for import into RandomWare see the article Prepare Microsoft Excel Files for Randomware

From the Base List window select the popup option Read External Delimited Data File from Read-External from the Import menu.

The imported data can Append, Merge or Overwrite the data in the displayed Base List.

If the resulting list is not what you expected, exit without saving and the original list will remain unchanged. After completing the import, select the save option to permanently save the new list to disk.

To read the external file, enter the name of the file in the standard open dialog box as shown below. Enter or select the file name and press the Open button.

For help using the Open Dialog Box see the article Open Dialog.

The following topics are discussed below concerning Data Import

  • External Import File Name
  • Standard Format - Tab Delimited
  • Optional Formats

The External File Name: There are no naming restrictions for external import files: the name simply must comply with the operating system's naming convention. The Open Dialog presents all file formats from which to select. See the article Open Dialog for assistance in its use.

Standard Format - Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not actually appear in the data file.
<Tab> is the Tab character.

Simply Put: If the first line of the file contains data for the list, then the data elements must follow the standard format.

If it does not follow the standard format then the first line of the file must identify the order of the data elements: First Name, Last Name, Employee ID and the employee's Selection Category. The program looks for key words that identify order of the data elements so it knows how to organize them. The second and subsequent lines of the file are expected to be data to be read into a program list.

Consider this example: John Doe whose Social Security Number is 123-65-9872 and Selection Category DOT, Mode, FAA. The first two lines of the data file would appear as follows:

Last_Name | <Tab> | First_Name | <Tab> | Middle_Initial | <Tab> | ID
Doe | <Tab> | John | <Tab> |  | <Tab> | 123-65-9872

NOTE: You do not actually see the characters <Tab> - they are presented here simply for clarity. The tab character looks like spaces embedded between characters - analogous to the tab on a typewriter.

When the data appears in this order, line one is optional.

Optional Formats: If the data elements in the external file are in a different order, the first line of the file must identify the order of the elements with appropriate headings. The list data will be expected to start at line two.

For example:

LAST <Tab> FIRST <Tab> MI <Tab> ID

The above example represents data is in the following order:

  • Last Name
  • First Name
  • Middle Initial
  • Employee ID

The first line of the external file must be column identifiers and each identifier must be found in the Tab Delimited Data File Headings table supported in the program. This feature is discussed in the article Import Data Headings.

See Import Data Headings for a discussion of Optional Formats and how to prepare your program to anticipate a variety of column headings.

See Controlling the Import of External Data into RandomWare Base Lists for detailed information about reading the external file.


RandomWare: Installation

Installation: After installation is complete there will be a new directory named C:\Random

Insert the disk into the "A" drive. Start Explorer and double click on the "A" drive.

explorer.bmp (581614 bytes)

Continue this installation if a new directory nameed C:\Random is OK
Otherwise see Alternate Installation Instructions

logo2.gif (4496 bytes)

Installation for Windows 95/98: double click on install ...

win95.bmp (164822 bytes)

Installation for Windows NT: double click on NTstall ...

winNT.bmp (164822 bytes)


Invoice Date and Date Paid

Calendar Control for Invoice and Date Paid


Learning: MIS / Modes

Learning: Categories

Mode and Category specification is the Major and Minor classification system used in Randomware.

When a Category is entered into a base list which doesn't exist for the corresponding Modes, it can be added, automatically, to the table without redundant data entry. Select the Other Data menu option for access to the MIS Mode/Category Tables.

Learning Mode: Add without Prompt
Data items not found in the table are automatically added without prompting or acknowledgement.
Learning Mode: Always Prompt
When a new mode is entered while "Learning" and "Prompting" are On, the following control provides data management options. In this example, ACME was entered in the mode column but not found in the data table.

Access the Mode Manager
The Mode Manager provides complete control for specifying the entry of existing Mode/Category combos an entry in the list. Double click a Mode or Category column, directly from the list, for access to the Mode/Category data manager.

Button Description
Select an existing item from the list and press the Replace button to overwrite the entry which was determined not to exist.
Add the entry to the list of existing modes.
Ignore that the entry does not exist - it is not added to the table of existing modes. The control disappears and the cursor moves to the next data entry item as instructed.
The entry is not added to the table of existing modes. The control disappears and the cursor stays in the current data entry cell and you may re-enter the mode.
Displays this page.


Learning: MIS / Modes

Mode and Category specification is the Major and Minor classification system used in Randomware.

When a Mode is entered into a base list which doesn't exist in the MIS / Modes Directory, it can be added, automatically, to the table without redundant data entry. Select the Other Data menu option for access to the MIS Mode/Category Tables.

Learning Mode: Add without Prompt
Data items not found in the table are automatically added without prompting or acknowledgement.
Learning Mode: Always Prompt
When a new mode is entered while "Learning" and "Prompting" are On, the following control provides data management options. In this example, ACME was entered in the mode column but not found in the data table.

Access the Mode Manager
The Mode Manager provides complete control for specifying the entry of existing Mode/Category combos an entry in the list. Double click a Mode or Category column, directly from the list, for access to the Mode/Category data manager.

Button Description
Select an existing item from the list and press the Replace button to overwrite the entry which was determined not to exist.
Add the entry to the list of existing modes.
Ignore that the entry does not exist - it is not added to the table of existing modes. The control disappears and the cursor moves to the next data entry item as instructed.
The entry is not added to the table of existing modes. The control disappears and the cursor stays in the current data entry cell and you may re-enter the mode.
Displays this page.


Learning Options

While editing data in the spreadsheet environment, Modes, Categories and Shifts not currently found in the system tables are automatically added (learned) to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.


Learning: MIS / Modes

Learning: Shifts

Use the Work Shift as a Minor classification system for your application of Randomware

When a Shift is entered into a base list which doesn't exist in the current Shift table, it can be added, automatically, to the table without redundant data entry. Select the Other Data menu option for access to the Shift Table.

Learning Mode: Add without Prompt
Data items not found in the table are automatically added without prompting or acknowledgement.
Learning Mode: Always Prompt
When a new mode is entered while "Learning" and "Prompting" are On, the following control provides data management options. In this example, ACME was entered in the mode column but not found in the data table.

Access the Mode Manager
The Shift Manager provides complete control for specifying the entry of an existing shift for an entry in the list. Double click a Shift column, directly from the list, for access to the Shift data manager.

Button Description
Select an existing item from the list and press the Replace button to overwrite the entry which was determined not to exist.
Add the entry to the list of existing modes.
Ignore that the entry does not exist - it is not added to the table of existing modes. The control disappears and the cursor moves to the next data entry item as instructed.
The entry is not added to the table of existing modes. The control disappears and the cursor stays in the current data entry cell and you may re-enter the mode.
Displays this page.


Learning: Automatic Data Recognition


Learning Major & Minor Categories

Options | Leaning
On | Minor and Major Classifications, Categories and Modes, from the import file will be added to the data base if not found in their respective data tables.
Off | Categories and Modes are not checked for existence in the system data bases.
Default Mode | Categories from the import file which do not have a corresponding Mode will have the selected default mode assigned. A default mode can be selected from the list to the right of the On/Off options box. If a default mode is not selected here, the one entered in the System Options Table will be used. System Options is accessed from the Other Data menu found in window menu bars.


Ledger/Invoice Report Control

Invoices Billing and Cost Reports can be managed from two different places:

  • Results Table

  • General Ledger

When a drug or alcohol test is assigned to an individual, its associated cost and billing prices are copied from the Panel Configuration Directory Table to the record in the results table for the specified test(s) - see the Other Data menu option to access to the Panel Configuration table.

Each entry in the Results table reflects a cost and billing price, and both can be modified after the test has been assigned from the results window through the record editor for the entry. The full record editor is presented for data control when a name is double clicked or the short cut arrow is clicked for access to a pop-up menu of options available. The editor displays over the spreadsheet and can be used in conjunction with the spreadsheet to easily locate a test result entry for a specific individual. Note: cost, billing and general invoice data is managed from the Notes/Inv tab of the dialog editor.

Generate a cost and billing report from the results window using the Reports menu or transfer tests that require billing to the "General Ledger Table."

The General Ledger table is a file where data for all tests can eventually be transferred (copied) - it's a "catch all" data table used to export information to your favorite general accounting system and will also provide billing reports. First, transfer data from the results table for individual companies to the general ledger table. Export data from the general ledger table using the Misc menu option Export Data. Each item is flagged as "transferred" when it's copied to the general ledger table. This prevents the duplication of data (redundant transfers) and allows for easy management of invoice information. You can manage as many general ledger tables as required by your application. The system allows for the specification a new or existing general ledger file each time a transfer is requested. If the file exists, the data is appended to the end of already existing data. If a new file is specified, the data is copied into it. The ledger files are managed from RandomWare. Provide the name of the general ledger file that suits your application of the program. Create appropriate folders for the data files and locate them accordingly.

Create GL files for each month or each client. Keep all invoice data for all clients in one GL table to easily manage all your invoice needs. RandomWare does not keep track of general ledger files you create, so manage them according to your needs and remember where they're located in your system.

To export data for use in other applications, open the GL file with the Ledger menu from the Results data management window or with the Open Option menu from the RandomWare Directory window.

RandomWare will provide reports by invoice number and date. You can control if the cost appears on the report and include tax. Generate reports for all companies represented or for just a single invoice number.

You can request reports for items paid, not paid or both. If you generate a report for the entire table, you can control the grouping of data by company or by invoice number.


Transferring Information to the General Ledger


Ledger / Invoice Utility

Ledger Utility

The Ledger Utility helps set an invoice number, invoice date or date paid for selected items. Records from History files can be selected and transferred to the general ledger. It can also be used to select items for printing.

The utility is essentially divided into two sections:

  • Selection Control

  • Data Control
Selection control assists the selection of records for a specific task. First select the required records and then indicate the Data Control option to perform:
  • Set an Invoice Number to a group of records.
  • Clear the invoice number already entered in a group of selected records. This command exists, essentially, to undo the set invoice operation.
  • Set an Invoice Date.
  • Clear the invoice date already entered in a group of selected records. This command exists, essentially, to undo the set invoice date operation.
  • Set Date Paid and status as Paid.
  • Clear the date paid and paid status already entered in a group of selected records. This command exists, essentially, to undo the set date paid operation.
  • Enter an existing invoice number and set the status as paid for every item in the ledger with that invoice number. Record selection is not required for this operation.
There is always a "Current Record" in the spreadsheet presentation of the data on view immediately behind the ledger utility. The current record number is indicated by line number reported by "No. ##" as shown above. The ledger utility turns the current spreadsheet record On if currently Off, or Off if currently On, i.e., its status is toggled.
Selection Control
When an item's selection status is turned on or off using the On/Off button, the next record in the spreadsheet is automatically moved to as specified by the option selected in the After On/Off control.
Use the vertical scroll button to move the pointer to the current spreadsheet record up or down.

Turn a record's selection status as On (Selected) or Off (Not Selected) using the On/Off button.

Clear: Turns off all selected records.

All: Selects every record in the spreadsheet.
Enter a record number in From and To, press the On/Off [From,To] button to turn the selection status of each record in the interval On or Off, depending on its current status.

Press the From button to automatically set the current record's line number into the From field. Similarly, press the To button to set the To field.

Printing
Select the records in the spreadsheet to print. Once selected, choose a print option from the Print menu at the top of the window.
Data Control
Data Control | Invoice Number and Date
 | Enter an Invoice Number and/or an invoice date into the areas provided. Press the Set button to automatically set the data into each record selected in the spreadsheet.
 | Press this button to clear the invoice number from each of the selected records in the spreadsheet. This control essentially provides an "Undo" for the "Set" command.
 | Press this button to clear the invoice date from each of the selected records in the spreadsheet. This control essentially provides an "Undo" for the "Set" command.

Data Control | Date Paid
 | Enter a date into the area provided. Press the Set button to automatically set the date into each record selected in the spreadsheet. When the date is entered, the record's status is automatically set to "Paid."
 | Press the Clear button to clear the date paid from each of the selected records in the spreadsheet. This control essentially provides an "Undo" for the "Set" command.

Data Control |
 | Enter an existing invoice number from the current spreadsheet to automatically set each of the record with that invoice number as "Paid." Enter the invoice number in the area provided above and press this button to automatically set the current date as the Date Paid and set each record's status as "Paid." Every record in the spreadsheet with the entered invoice number is set as "Paid" - this is not a "selectable" operation. Note: No records need to be selected for this operation.
 | From the History File's Billing View, transfer all selected records to the General Ledger. The records are automatically flagged as "Transferred" when the operation is complete and the entire spreadsheet is saved to disk. Note: all data modifications executed prior to this operation are saved when this operation is selected.


Monitoring a varying list size for accurate percentage calculations

Monitoring a varying list size for accurate year to date percentage calculations

Consider this example:

Four selections are generated for the year. The base list from which the selection is generated varies throughout the year as individuals in the list come and go, for whatever reason.

Consider the following list counts for the four selections:
150, 155, 145, 160.

The number of individuals selected for each of the four selections:
19, 19, 18, 20.

The history file contains:
19 entries whose original list size is recorded as 150.
19 entries whose original list size is recorded as 155.
18 entries whose original list size is recorded as 145.
20 entries whose original list size is recorded as 160.

The method used to determine the overall list size for year end percentage calculations is:
(19x150 + 19x155 + 18x145 + 20x160 )/(19+19+18+20) = 11605/76 = 152.697

The size for the varying list is 153.

The natural inclination is to ask: "Why not (150+155+145+160) /4 = 152.5"

The number of distinct selection/collection dates are not counted. Instead, the entire history of random selections is scanned and only individuals selected/collected within the time frame are counted. The fact that four selection dates exist is really never determined for calculation purposes.


Default List Directory

Default Base List Directory

wandering.gif (917 bytes)

list_dir.bmp (238482 bytes)

Home


List File Names

List File ID

Each directory entry is assigned a unique numeric identifier. This value is used to name all files associated with the directory entry.

For example, the files for a directory entry whose file id is 15:

File Names | Category
db_lists/15.dat | Base List
history/15.hst | History Data
db_dubs/15.23 | Duplication of the base list when the twenty third random selection was generated
PreEmp/15.prx | Pre-Employment Roster
sched/15.sch | Random Selection Schedule
frx_data/15.frx | Random Date Archive Directory


Location Options

Location Database

Location: 32 character text string to name a specific place - city, plant, building, etc.

Code: 2 digit code. Each location can be assigned a unique code.

You can select a location for the entire list when you are editing a Base List.

Access the location database from the main window's menu or while editing a Base List.

BEWARE
The system will allow the entry of duplicate location codes and locations.
It is the user's responsibility to maintain uniqueness of the data.

Home


Selecting a Location/title>

Selecting a Location for the Active Base List

To set a "Location" for the displayed list use the menu
"Select a Location" under the "Location" menu.

A drop down list is presented and the location you select
is set for each record in the Base List.

To select a location for all entries in the open Base List use the menu Select a Location

locselect.bmp (365078 bytes)

Home


Save Import Template

This button is provided for convenience. When clicked, the template is saved to disk. It performs the same function as the Save option from the menu bar at the top of the window.


Using the Arrow to Navigate the Spreadsheet

Navigating the Spreadsheet

Use the arrow keys to move spreadsheet records through the control to map a column heading to its respective RandomWare field.


Import Template Help

Import Template Help: Tutorial

This button starts the import tutorial.


Open an Import File

Open an other Import File

Close the current import data file and open another.


Using the Page Keys to Navigate the Spreadsheet

Navigating the Spreadsheet

Use the page up and down keys to move spreadsheet records through the control to map a column heading to its respective RandomWare field.


Review the Import Data

Review all records from the Import File

The currently open import file is presented for viewing.


MIS Reports

Generate reports for Pools and Groups.

Pools: Not Members
Randoms Only. If checked, reports are generated for each Pool listed in the directory. Reports are not generated for the individual member groups.
Pools: Plus Members
Randoms Only. If checked, reports are generated for each Pool listed in the directory and for the individual member groups.
Groups
If checked, a report is generated for each group in the directory for every category selected in the "Report for" options.
NOTE - Reports for Randoms:
If, however, Pools-Not Members is checked, then directory entries with a pool membership are not reported.


MIS Mode & Category Data Manager

MIS Mode & Category Manager

Every entry can be assigned a "Mode" and "Category." Consider Modes an "Employee Classification" and the category as a sub-class. For the U.S. Department of Transportation (DOT) applications, "Mode" is the governing body within the DOT that oversees a particular transportation sector.

For example:

  • FAA: Federal Aviation Administration

  • FHWA: Federal Highway Administration

You can easily expand the Mode & Category classification system to cover any type of personnel classification that your application requires. For full details see Mode & Category data management.

The Mode & Category Manager can be accessed via the Utilities menu from the Base List data entry window. Right click the mouse over a data item in the Mode or Category column to present a floating pop-up menu through which the data control can be activated, or double click the left mouse button to display the control immediately.

You can position this dialog box to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot.

Access the master list for Modes & Categories from the Other Data menu option.

Use the Mode & Category Manager to easily set the "Mode & Category" for individual entries in a base list.

The name and line number of the roster entry is displayed for reference. Select an employee class or mode from the drop down "Mode" selection box. For each class or mode, the related list of categories is displayed in the drop down "Category" selection box from which you can select an appropriate category. Press OK to set the data for its respective entry. When Down After Ok is checked, the cursor in the window will automatically scroll to the next entry and highlight it as active. Press OK again to set the new record entry to the currently selected Mode & Category combination or choose another Mode & Category combination as appropriate for the highlighted entry.

Use the Scroll buttons to easily position the cursor to any line entry in the window.


MIS Reports - Reasons for Testing

Select the reasons for testing for which to generate reports.

When the control is first displayed, all reasons all pre-selected.

To toggle the select status of a reason, simply click the item where it appears in the Reason column. A report will be generated for all reasons "checked."

Note: Random and Pre-Employment are not selectable reasons when generating reports from the EAP module.

The reasons for testing from the Reasons for Testing data table are presented here for report generation. The data can be accessed from the Other Data menu option from the menu bar at the top of almost all windows throughout the system.


MIS Report for a Specific Period

The data here represents the results of the report requested by the user. To print, exit this window, select the print option from the report control dialog and proceed by clicking the Ok button.

The data in the report on view can not be modified. Use the "Find" feature to locate specific entries.


Results Summary
Check this option to generate a summary report of all test results/dispositions, by Drug and Alcohol test types, for each group or pool selected for report generation.
 | Example:
2 | Positives
3 | Negatives
4 | Declined/Refusal


Misc. Data Column

Miscellaneous Data Column

The Miscellaneous Data Column is used for the display of temporary data. One of use is for the reporting of non-compliant groups: the number of persons scheduled for testing but not collected is displayed in this column when a Non-Compliance report is requested. See the report menu to generate non-compliance data.


Miscellaneous Menu Options

The "Miscellaneous" Menu Options

Misc Menu Options |
Format ID as a Social Security No. |
Remove Social Security Format |
Randomly Sort the List | Randomly sorts the Base List. This option is available for sorting base lists and consortium or pooled lists.
File ID |
Block ID |
Dir ID |
Colors |
Screen Fonts |
Printer Fonts |
System Options |
Save as Mail Merge Compatible File |


Mode & Category Data Management

Assign each individual a Mode and Category. Mode refers to "Transportation" mode and category is a sub-category of the mode.

A mode classification exists primarily to satisfy DOT MIS categorization.

Develop Modes and Categories to specifically fit your application of Randomware.

Assign a default mode in System Options (from the main menu and all other data entry windows, see the Other Data menu option). Once a default mode has been assigned, easily enter an employee category by typing only the first characters that uniquely determine the category without explicitly specifying the mode, i.e., if Mode is left blank, the Mode assigned, by default, is the one entered in System Options.


Display MRO and Panel Results with a Specified Color

You can specify a special background color for the display of test results as indicated by the MRO: Positive, Negative or Unknown.

The colors will be used to highlight the spreadsheet display of the MRO indicated test result is Positive, Negative or Unknown.

Check the option for each result to highlight.

If you want to highlight the display of each individual panel results in the configuration, check the option "Use MRO Specified Colors for Individual Panel Results."

Use the standard color control to select the colors to use. The color control is usually found under the menu options for Printing or Misc.


MRO Verification and Comments

Note: The status of the lab results is not effected by the results entered in the MRO verification.

MRO verification simply "verifies" or "authenticates" the lab result status. The MIS report module queries the system for results verified as Positive by the MRO or by tests whose results were entered as Positive in the test results status field.

MRO verification and Lab report results status are logged as independent values. It is up to the user to maintain data appropriate to the user's application of Randomware.


Random Selection Cover Sheet: Certification & Compliance

MRO Results Report Print Format

All available print formats are available when the random selection is complete and its results presented for review.
10 sections make up the notification letter:
  • Title lines
  • Company & Donor Name
  • Location of Test Facility
  • Type of Test to Administer
  • Regulation Statement
  • Compliance Statement
  • Special Instructions I & II
  • Declaration of Agreement w/ signature
  • Work Sheet Area
The content for each item in red, above, can be specified according to the application. The captions in bold red in the layout below can also be specified. The work sheet can be suppressed if required by the application.
When these Items are modified through the print control dialog, they're saved and persist from print request to print request. The master copy is accessed from the Other Data menu option. Use the master to reset the items presented through the print control.
General Layout: Note: If a caption is not specified, a default caption is provided. To exclude a subtitle or its content, simply leave its specification blank.
Coastal Medical Services, Inc.
Drug and Alcohol Testing Notification
Reason for Testing: Random Selection

Title Lines Sections
(3 Lines)

Company Freight Warehousing | Type of Test Controlled Substance / Breath Alcohol
Employee / Social Security No. John Doe [555-00-1234] | Location of Testing Facility Coastal Medical Service, Inc. 122 East Walnut Avenue Suite C Monrovia, CA 91016

Company & Donor Name
Location of Test Facility
Type of Test to Administer

49 CFR 382.113-NOTIFICATION REQUIREMENTS
BEFORE PERFORMING AN ALCOHOL OR CONTROLLED SUBSTANCE TEST UNDER THIS PART, EACH MOTOR CARRIER SHALL NOTIFY A DRIVER THAT THE ALCOHOL AND/OR CONTROLLED SUBSTANCE TEST IS REQUIRED BY THIS PART.

Regulation Title
and Content
Compliance is Mandatory
You are hereby notified that you must submit to the above listed test(s) in compliance with the Federal Motor Carrier Safety Regulations. Pursant to those regulations, YOU MUST PROCEED DIRECTLY AND IMMEDIATELY to the testing site listed above.

Compliance Title
and Content

SPECIAL INSTRUCTIONS TO DRIVER:
Present this notice with your photo I.D. to clinic staff and please cooperate with clinic staff at all times.

First Instruction Title
and Content

SPECIAL INSTRUCTIONS TO COMPANY:
If driver fails to comply with 49 CFR 382, notifiy Coastal Medical Services at (626)305-1271, for the driver's membership will be terminated.

Second Instruction Title
and Content

Agreement to Comply
I understand, as a conditions of my membership, complaince with the above scheduled test(s) is required.

Agreement Title
and Content

Employee Signature | Date/Time Notified
Company Representative Signature | Date/Time Notified

Signatures

Area below is reserved for clinic use only . . .

ID Presented
Date Tested

Notes

Work Sheet


Notification File Name

Non_Compliant Directory Entires


Assigning a new Supervisor


No Help Currently Available

A help/information article has not yet been written for this specific item.

New help systems become available on occasion.

Please check the website for updates.


No Help Currently Available for Request

No Help Currently Exists

Randomware apologizes for not having an article to help with the current request. Please check the web site often for the availability of an updated help system.

We sincerely hope that the lack of information on this topic does not limit your effectiveness with Randomware.

Visit the customer support on the internet at http://www.RandomWare.com/pages/support.html

Home


Managing Merge Data

An item from the import file is considered a duplicate of an entry in the current list if the ID numbers are the same.

If the ID is a "Social Security" number and formatted as such, "###-##-####", then the data in the import file must be formatted identically.

For example, the following two ID numbers are not considered the same: "123-12-1234" and "123121234."

If an entry in the current list does not exist in the import file you can select to delete or mark it "Not Active." This option, for example, provides a method by which individuals who are no longer employees of a company can be easily identified. Some import files may contain a company's entire employee roster. If "Not-Active" is the selected option, employees not included in the import list are easily identified. Choosing the "Overwrite" option creates the same list as selecting the "Merge " & "Delete". The "Overwrite" option results in the assignment of new key ids to every entry added to the list.

Each entry in the base list is assigned a unique key id. The key id is used by the system to locate the entry in other data tables. All new entries are assigned a unique key id. In general this should not create conflicts in your data. Items considered duplicates maintain their original key id. Note: Key IDs are not viewable and currently are reserved for future system use.

Option | Merge: Entries not Listed
Ignore | No action is taken. Entries in the current list which are not found in the import file remain unchanged.
Not-Active | Entries in the current list which not found in the import file are flagged as "Not Active."
Delete | Entries in the current list which not found in the import file are permanently deleted from the list.


Archive Directory: History Files


Randomware Base List

Base List Data Items & Data Item Options

Options

  • Double click on a individual entry to access the full data editor.

  • Generate random selections and random dates from the Select menu option.

  • Import existing data from the Read External menu option.

  • Double click Mode or Category columns for access to the Mode/Category Manager

  • Double click Shift column for access to the Shift Manager

See Base List for information about the menu options.

The data items:
Column Heading | Description
X | An entry which will not to be considered for random selection is marked in this column, by the system, for the user's reference. The selection control module marks this field according to control parameters entered by the user. Every time a random selection is generated, a duplicate record of the base list is preserved. Every entry marked in this column is evident in the preserved list and can be referenced at a later date if investigation regarding the selection is required.
Not Active | Indicate an entry that is no longer active in the current roster. For example, employees who have terminated employment are marked "Not Active." Some users may want their lists to maintain historical accuracy. This field is referenced by the program to exclude an entry from selection consideration. The entry is not counted in the overall list total. The overall list total is used to accurately calculate year to date selection percentages for users who must strictly comply to overall yearly selection/testing percentages.
Not Available | Entries not available for the current selection can be marked in this column. For example, indicate an employee as "Not Available" if he/she will be on vacation, on jury duty, on a general leave of absence, at the time collection is scheduled. Entries marked as not available are counted for calculation in overall yearly selection/testing percentages.
Last Name | Employee's Last Name. If "Single Name Display" mode has been set for this directory entry, then the display of the first name and the middle initial are suppressed. Some applications of Randomware required only one name. When a single name is required, its entry in the data base uses the last name field. This field provides up to 48 characters.
First Name | Employee's First Name.
M.I. | Employee's Middle Initial
ID No. | Employee ID. This field can be formatted for standard Social Security number display "###-##-####." See the Misc menu for ID number display options. This field provides for up to 32 characters.
Mode | Transportation Modes or General Employee Classifications. See the Mode Manager described below.
Category | Employee categories. See the Mode Manager described below.
Shift | Work Shifts: Day, Night, Graveyard, etc. The shift data base can be modified as required by application. Find access to the shift data base under the Other Data menu option. See the Shift Manager described below.
Frx TF Rel Max+ | See Frequency Scheduling for information about these data items.
The Mode / Category Manager

Use the Mode Manager to easily set the Mode/Category for each entry in the list, one entry at time. The next item is automatically scrolled into the manager after you select OK.

Double click an item in the Mode or Category column to activate this control.

The Shift Selection Manager

Use the Shift Manager to easily set the Shift for each entry in the list, one entry at time. The next item is automatically scrolled into the manager after you select OK.

Double click an item in the Shift column to activate this control.


Randomware Base List for a Pool / Consortium

The Base List for a Pool or Consortium

Essentially, this window's primary function is to provide random selection from the pool. You can not edit data in this window.

From the Select menu, choose the random selection control which best suits your needs.

Options
Generate Random selections from the Select menu option.


Base List - View Supervisors


Billing vs. Cost Summary


History Data - Invoice & Billing Information

Randomware is developing an invoice ledger to facilitate easy cost and billing summaries.

This screen, a view into the history data, was designed to tag individual tests for transfer to the general ledger. From the ledger, summarize and group tests by invoice number for report generation. These reports can be used as an attachment to your formal invoice procedure.

Use this screen to tag records for transfer to the general ledger. Records will only transfer one time. Once transferred, a record can not be transferred again, however, if required, an item's status can be reversed from "Transferred" to "Not Transferred."

Status: Transferred and Pending Transfer to General Ledger
An 'x' in this field indicates the record has already been transferred to the general ledger.
Since the record was transferred to the general ledger, this field, can not be modified to indicate that the transfer is requested.
Double click the 'Pending Transfer' field to indicate a request to transfer the record to the general ledger. Right click on an item in either the 'Trx' or the 'Lgr' column for access to the Ledger Utility which helps easily select records for transfer.

Billing and invoice generation can be performed directly from the history file. However, since many records exist in the table which do not result in direct billing, Randomware provides a general ledger table to which all billable tests can be transferred for easier data management.

How to Tag Items for Transfer to the General Ledger:

Tag individual items by double clicking the Transfer Pending Field under the Trx column or use the Ledger Utility to easily select groups of items.

If you double click items to tag for transfer, use the menu option, Transfer Selected Items to General Ledger, from the Ledger menu option.

If you use the Ledger Utility Control to select items for transfer, perform the transfer with the Transfer to Ledger button. The Ledger Utility is accessible from the Ledger menu as seen in the example above, or right click on the Trx or Lgr (Transfer and Ledger) columns to activate a pop-up menu which provides access the utility control dialog shown here.

See Ledger Utility for more information about using the control. The Ledger Utility helps set an invoice number, invoice date, date paid, or transfer selected items to the general ledger for selected items.


Directory - Scheduling Control [ Check Mark ]


Directory - MRO, CPC, Laboratory Selection Control

Directory: MRO, CPC, Laboratory, Test Types and Drug Panel & Alcohol Screen

Preset the intended MRO, CPC and Lab for each directory entry. Select the drug panel configuration and the alcohol screen for the drug and alcohol test planned.

Multiple alcohol screens can be defined to control pricing. Every drug panel configuration (10 panel, 5 panel) and alcohol screen named in the Panels Configuration directory have an associated cost and billing rate. If different companies have different billing rates, these can be reflected in the panel configuration and alcohol screens defined.

Drug panels and alcohol screens are defined in the Panels Configuration Directory accessed from the Other Data menu option.

Alcohol testing results are controlled from the levels registered in the Alcohol Level Management table accessed from the Other Data menu option. The level of detected alcohol entered in the test results table automatically sets other data variables as defined by the variables in the level management table. For example, if a level falls between a specific min/max the program will automatically assign a positive or negative result or set the data field which records whether a confirmation test was administered.

Easily select the available drug panels and alcohol screens with the Panel/Screen Selection Manager. To activate the P/S Manager, double click on the Panel Configuration or Alcohol Screen field or click on the drop down arrow as shown below.


Directory - Simple Address Display & Entry


Directory - Single Name Status Control


Directory - Selection Control and Target Percentages

Column Heading | Description
DOT | Double click this item to toggle its status. When this item is checked, Super Double Jeopardy is the default selection control when the selection is initiated through the Reports menu option, Target Percentages / Selection Stats - Entire Directory. Requesting this report present year to date donor sample collection percentages. From the report window, you can easily launch random selections. See Monitoring Target Reporting for details.
Auto | Reserved for future use.
Randomize | When this item is checked, the selection control is automatically preset to randomize the test date. The test dates are retrieved from the schedule in which selection and testing dates can be maintain. See selection scheduling for details.
Panel | Pre-enter the panel configuration for this entry's drug testing requirements. The panel configuration in the selection control is pre-set with this entry. Double click this item to activate the panel manager from which a panel configuration can be selected from those currently defined. See Panel Configurations for details.
 | Check this box (double click to toggle setting) to prevent the calculation of a percentage. The percentage entered is the one pre-set each and every time the random generation control is presented.
Test-A | See Test specifications below.
Test-B | See Test specifications below.
Alts % | The number of alternates that will be selected for this entry random selection. This value presets the control.
Pool ID | Consortium or Pool Name. Each entry in the list with the same pool ID are considered members of the same consortium or pool. See Pooling for details.

The random selection controls will select for two tests with one request. Many drug and alcohol programs test for drug and alcohol separately. If your application is selecting for only one test at a time, then simply enter the test specifications in the area provided for Test-A and leave the information for Test-B blank.

Tests A&B are specified identically.

Test Specifications | Description
Test-A/B | Enter the type of test to be conducted: Breath, Urine, Hair, etc. Enter the first characters which uniquely specify the test type and the system will complete the entry for you. For example, if you enter "B", the system will finish the entry by presenting the character "Breath." The types for auto entry completion are found in the Test Types data table: Test Types Administered. See Other Data for details.
Alcohol | Check this item If the test is alcohol only. Toggle the status by double clicking the mouse over this item.
% | Yearly selection percentage to control. See Monitoring Target Reporting for details.


Randomware Directory Facility

The Directory Facility

See also:
  • The Directory: Understanding and Managing the Data
  • Tutorial: Getting Started with the Directory Facility
Some Quick Start Options

  • Right click on a Group/Company name for a list of options.

  • Right click on a Pool ID for a list of options for the pool/consortium.

Open Options [Right Click] for Group/Company

Right click on a group name for a menu of options which provides access to many data management features for the group.

Note: The first line of the options box is for information only. The options listed below will open the respective table of data for the current directory entry whose name is displayed at the top of the menu box.

Open Options | Description
Dialog Editor | Displays the dialog editor in which you can edit all the data items for a directory entry.
Base List File Name | Displays the disk file name of the base list corresponding to the directory entry from which the popup menu was activated. In the example above, DB_Lists/10.DAT is the file name of Acme Delivery's Base List. Click this menu option to open the base list (company roster) for editing and random selection.
Base List: Edit... | This option is identical to the option described above. The redundancy is intentional in order to provide the name of the base list to the user.
Results - Standard View | Open the drug & alcohol data management table: random selections, pre-employment and employee assistance programs.
Results - Invoice/Ledger | Open the drug & alcohol data table for invoice data management.
Results - Archive | Archive the drug & alcohol data management table. The table is moved to the archive folder. The archive folder is located in the installation folder and is named Archive. The archived files are named using the text found in the group field. A unique file extension is used to prevent previous archived files from being overwritten. The data in the archive must be managed from the directory menu option "Archive - View Archive Directory" found under the Utilities menu from the menu bar at the top of the window.
Selection Schedule | Open the table of dates for random selections scheduled for this this group/company. In order for the system to recognize selection schedule dates, turn the option, Use System Scheduler On. This option is found in the System Options table, accessed from the Other Data menu option at the top of the screen.
Contacts | Maintain a table of contacts for every directory entry.
Random Dates | You can generated random dates based on an individual's testing frequency: Once a week, twice a week, twice every two weeks, once a month, twice a month, etc. Use this option to access the archives of dates generated for each directory entry from this option. Note: An option is available to generate random dates for every directory entry - this option is available from the Utilities menu, Generate Random Dates / Frequency Schedule for Entire Directory.
Randoms Based on Target Data | Sample collection data is reviewed and percentages calculated for a specified time period and compared to selection schedules to calculate percentages remaining yet scheduled for selection. The percentages are then pre-entered into the random selection control and presented to you for the generation of a selection.
Notification File
When random selections are generated, the data is saved to a "Notification" file. It contains the names and other data for every person selected and can be used to ...

  • Generate Mail-Merge documents with Microsoft Word

  • Email the results of the selection to whomever requires the information

  • Import into Excel or Access data bases.
The notification file is automatically named. The name is taken from the text in the group column for the entry. The file is saved in the subfolder Notice, located in the installation folder. The subfolder, Notice, is subdivided by the date of random selections generated.

For example, if a random selection is generated on February 12, 2001 for Acme Delivery, its notification files will be found in:

C:\RandomWare\Notice\02-12-01\Acme_Delivery.Ntx

C:\RandomWare\Notice\02-12-01\Acme_Delivery.Adr

The results of the random selection are contained in the file with extension ntx and the address of Acme Delivery is in the file with extension Adr.

Notification files for the random selection of a consortium roster are saved in folders specifically named for the consortium. For example, if a consortium or pool is name POOL_1A, the notification files for the selection will be in the folder:

C:\RandomWare\Notice\02-12-01_Pool_1A

A complete list of persons selected and all company addresses are provided in files named for the consortium as well as separate notification and address files for each consortium member represented in the selection, named for each the consortium members.
File ID
Each directory entry is assigned a unique numeric identifier. This value is used to name all files associated with the directory entry.

The related files for a directory entry whose file id is 15:

File Names | Category
db_lists/15.dat | Base List
history/15.hst | History Data
db_dubs/15.23 | Duplication of the base list when the twenty third random selection was generated
PreEmp/15.prx | Pre-Employment Roster
sched/15.sch | Random Selection Schedule
frx_data/15.frx | Random Date Archive Directory


EAP: Employee Assistance, Probable Cause, Post Accident, etc.


Frequency/Random Generated Dates

This is the list of Frequency Generated random dates. The last column is the name of the table which lists the individuals and their randomly generated dates. To open the list double click on the file name that appears in the last column.

You can select to transfer the data to the directory master list where the entries for individuals who must undergo random periodic testing are stored for reference. From the master list, easily transfer an entry to the individuals respective results data for drug and alcohol test data management.

The master list is accessed from the directory window under the Open Options menu: Random Testing Dates / Periodic Testing


Transferring Periodic Testing Dates to Directory File


Randomware History Data

History Data for Random Selections / Sample Collections and Lab Results

Views | Three data views are provided for the history table, selectable from the Views menu option.
Standard | Donor's name & ID, selection date, test type, results, etc.
Ledger | Donor's name & ID, sample ID, Lab Date, Billing & Cost
Selection ID | A unique ID is assigned to o every list generated by random selection. For example, if a random selection results in a list of 35 entries, each entry in the list is assigned the same selection identifier. Consider the identifier as a batch number which uniquely identifies a specific random selection. A view of the history file is available which features the display of the selection id.
Options
Double click a name for access to the Test Data Dialog Editor. The Dialog Editor presents all the data for that individual's donor sample, including collection, MRO data, results, etc. The spreadsheet is visible under the editor and can be used in conjunction with it to easily locate a specific test.

From within the dialog editor, scroll through the entries in the spreadsheet using the page-up and page-down buttons to quickly locate an individual. When a random selection list is saved, they are appended to the end of the history file, sorted alphabetically by last name. To locate an individual, simply scroll down to the date of selection and the entry will be found by order of the individual's last name.

Fast Data Entry
The following data columns will automatically complete your entry effort when you type the first character(s) that match the entry currently listed in its respective data table.
Test Type: Breath, Urine, Hair, etc.
"U" | Type "U" (upper or lower case) in the first character space and the system will enter the complete word "Urine"
"B" | Type "B" (upper or lower case) in the first character space and the system will complete the word "Breath"
All entries from the table will be checked and compared. See the Test Types Administered data table from the Other Data menu option.
NOTE: Leading spaces effect the outcome. Space+B will not complete the entry with "Breath"
Test & Collection Results
"P" | Type "P" (upper or lower case) in the first character space and the system will enter the complete word "POS" for Positive.
"N" | Type "N" (upper or lower case) in the first character space and the system will enter the complete word "NEG" Negative.
All entries from the table will be checked and compared. See the Test Result Codes data table from the Other Data menu option.
NOTE: Leading spaces effect the outcome. Space+N will not complete the entry with "NEG"
MIS Mode / Category
"F" | Type "FH" (upper or lower case) in the first character space and the system will enter the complete word "FAA" for Federal Aviation Administration.
"FA" | Type "F" (upper or lower case) in the first character space and the system will enter the complete word "FHWA" Federal Highway Administration.
All entries from the table will be checked and compared. See the Test Result Codes data table from the Other Data menu option.
CATEGORY: The system will search the category list from the current Mode's respective category list.
NOTE: Leading spaces effect the outcome.


Randomware History Data - Pools

History Data for Random Selections / Sample Collections and Lab Results

Options


General Ledger

Randomware provides a very simple general ledger to provide easy management of invoices and account receivables. This tool is not intended to replace a full accounting system. Its aim is to help link the data accumulated within the system to an outside, full featured accounting package.

Each donor sample and test performed represents a billable item.

Group all billable tests by company, and date, in order to assign a common invoice number to specific groups of tests and print a single invoice/accounting sheet.

Use the data items, Invoice Date, Date Paid, and Paid Status, to keep track of items invoiced and paid. The data can be sorted by these fields.

To efficiently assign invoice numbers, accounts paid and generate invoice sheets with a listing of billable items, use the Ledger Utility.


Panel Configuration Directory

Enter as many custom panel configurations as required by your application.

To create a new panel configuration:

  • Press the down arrow key until you come to a new blank entry.

  • Enter the Cost and Billing amounts.

  • Double click the Alcohol Only column if it's an alcohol only screen. If it's an alcohol only screen, do not enter analytes as described below. The alcohol screen is defined here purely as a mechanism by which to carry along cost and billing information for reporting.

  • Enter a name by which the test will be referenced. What you enter in the Name column is how the panel configuration is referenced throughout the program. Provide a description as required - it's for reference only when this table is open or printed. The name found in the last column is automatically generated and represents the name of the disk file that contains the data found in the table that defines configuration.

  • Save the entry by with the Save option from the menu bar at the top of the window.

  • Left Double click the name to open the new configuration table.

  • Choose the analytes that define the configuration and save it.

If an analyte does not appear in the list provided by the Panel Manager you can add it directly to the Master List.

Access the Master Panel List of analytes from the Other Data option found in most menu bars throughout the program.

Note: When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and data relationships may be undesirably altered if these items are modified. A record can be reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .

Panel Cost & Billing

Panel Cost & Billing rates are maintained with each panel configuration defined. Enter a cost and billing rate for each panel configuration defined in the directory. The cost and billing rates for the configuration initialize the values for each test when it's assigned. When a panel configuration is selected during the random selection process, the panel is assigned to each person randomly selected thereby saving you the burden of assigning panels to each person selected when result data is managed.

If a different billing rate is required for different clients, simply specify client specific panel configurations.

For details, see Panel Configuration Directory, accessible from the Other Data menu option found in most of the menu bars throughout the system.


Panel Views
Three views of test panel data are provided. Most applications will not use more than a 10 panel test, however, it's possible to define panel configurations with as many as 16 panels.
Depending on the size of your monitor and the number of panels defined, one of the three views may be more useful than the others.
Note: Panel data can only be modified through the dialog editor. Double click the donor ID to access the editor.
Panel Views
Please Note: The system value of each panel result is displayed rather than the familiar text.
  • 0 = Unknown
  • 1 = Negative
  • 2 = Positive
Panel data can only be modified through the dialog editor. Double click the donor ID to access the editor.
Panels 1-16
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #1-16: Result & Panel Name (Abbreviation)
Panels 1-10
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #1-10: Result & Panel Name (Abbreviation)
Panels 11-16
  • Donor ID
  • Test/Collection Date
  • Test Type
  • Results/Test Code
  • #11-16: Result & Panel Name (Abbreviation)


Pre-Employment Data Management

Pre-Employment Options
Left click this "short-cut" arrow or right click a name to access the popup menu options shown below.


Random Testing Dates & Periodic Testing


Random Dates


Schedule Control

Scheduling

See scheduling for a detailed discussion about scheduling.

Options

  • Double click a date field for access to the Calendar Control to easily enter dates.

  • Right click a date to see its day of the week (Monday, Tuesday, etc.).

Use the scheduling table to enter selection and testing dates for the calendar year. If you're testing quarterly, enter four dates; monthly, enter 12 dates; etc.

The dates entered into this table are used to pre-set the selection control for random generation.

If randomizing the testing date (collection date) then enter the start and end of the collection period in columns labeled -1- & -2-, respectively. If the testing date is not randomized, simply enter the date of collection in column -1-.

Select a date and press OK to set the date into the current field of the list. The current field is the one highlighted for entry. The OnOK option controls the movement of the cursor after the OK button is pressed.

For detailed information about the Calendar Control press its Help button.


Random Selection List from simple Base List

Random Selection Results List

The selection list is automatically saved for documentation and is accessed through the Directory from the option Selection History Stats found under the Open Options menu.

The list from which the random selection was generated is also saved as a documentation record and can be opened through the Selection History Stats option as described above.

Menu Options

Menu Option | Description
Save | Saves the selection list to its history file. The history file is where all drug & alcohol data is maintained: overall test results, individual drug panel test results, collection notes, MRO verification dates and comments, invoice & payment information. Access all the data for individual tests through the history data table.
Print Prints the selection list for documentation and collection. If the selection is from a pool or consortium, then a separate list is printed for each consortium member (Randomware Plus+).

The on screen list is displayed in the order by which the individual entries were selected. The hardcopy is printed in alphabetical order.

All the alternates selected are printed in one report in the order by which they were selected.
Notification File | The selection list is written to an output file in tab delimited format referred to as the Notification File. It is a simple text file, each data item separated one from the other by the tab character. Each entry in the list is output one entry per line. Use the notification file to access the Microsoft Word Mail-Merge function to print notification letters. The notification file is a temporary file.


Randomware Base List

Simple: The Base List Data Items

Options

  • Generate random selections from the Randoms menu option.

  • Import existing data from the Read External menu option.

The data items:
Column Heading | Description
Last Name | Employee's Last Name. This field provides up to 48 characters.
First Name | Employee's First Name.
M.I. | Employee's Middle Initial
ID No. | Employee ID. This field can be formatted for standard Social Security number display "###-##-####." See the Misc menu for ID number display options. This field provides for up to 32 characters.


User Login Data


Directory of Weighted Panel Configuration Lists


Open an Import File

Notification Letters

Use the notification data file to automatically print notification letters with Microsoft Word's Mail Merge feature. Notification data (Ntx file) is automatically created with every random selection generated.

See the main help system to learn move about this feature. System generated notification letters will be available in the next release.


Generate a Notification File - Automatic Name Generation

Generate a Notification File with Automatic Name Generation

Generate and automatically name the notification file. The file name is baseed on the currently open base list.

Randomware Plus: The file name uses the 8 characters from the "Notify File" column for base list which originate from the Directory facility. If the base list is opened outside the directory facility, the file is named as described below for the Basic and Simple systems.

Randomware Basic & Simple: If the base list is named "Sample", the notification file will be named "Sample.NTX" and located in the same disk folder as the base list file.

The notification file is a tab delimited record set of the selection results. Use it to email results or generate form letters with Microsoft Word Mail-Merge. See the help system for detailed information about the notification file.


Generate a Notification File - Specify a file name

Generate a Notification File by File Name

This option will provide the standard open dialog through which the user can enter the name for the notification file. The file extension is automatically assisgned "NTX."

The notification file is a tab delimited record set of the selection results. Use it to email results or generate form letters with Microsoft Word Mail-Merge. See the help system for detailed information about the notification file.


Panels: Maintain Master List

Alcohol Test Results Level Management


Background Check Company Directory


Background Checks


MIS Mode/Categories - Categories Defined for Specific Modes Defined

MIS Mode/Categories - Categories Defined for Specific Modes

This help item has not yet been written. Check the web site for Help System Updates.


Not Learned: Categories

Categories Not "Learned"

See system options "Advisory/Learning" tab for access to the learning modals. When Modes, Categories and Shifts are entered into the spreadsheet editor not currently found in the system tables, the program will add (learn) the new entry to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.

The "Source" column lists the Base List in which the category not learned exists. An "x" appears in the "Dir" column when the category was entered for an entry in the directory listed in the "Source" column.


Collectors Directory


Doctor Directory


Drug/Substance Codes

Reserved for future use - currently not referenced by the system.


EAP: Response Codes

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Exclusion Dates / Calendar

The Exclusion Calendar is available from the Other Data menu option found in most menu bars throughout the program.

Enter dates to exclude when generating Random Dates from either the Frequency module or when random testing dates are requested for random selection.


Finger Printing Results Failures


Location of Finger Print Submission


Lab Directory


MIS: Modes/Categories Directory

Double click a Mode to gain access to its respective Category list.

Maintain all the major classifications in this table. Every entry in a base list, from which random selections are generated, may be assigned a major and a minor classification. Major classifications are "MIS Modes", while Minor classifications are "Categories."

Term | Definitions
MIS | Management Information Systems. This term is widely used in the world of Information Technology and so this help system was compelled to comply with standard usage.
Mode | The United States Department of Transportation categorizes the different methods of public transportation as "Modes" and this help system maintains the term in order to comply with common usage.
Category The minor classifications for the members of a "Major" group. For example, consider as a major classification, the FAA (Federal Aviation Administration).
The categories under the FAA might be:
  • Pilot
  • Co-Pilot
  • Flight Attendant
  • Maintenance
  • etc.

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Not Learned: Modes

Modes "Not Learned"

See system options "Advisory/Learning" tab for access to the learning modals. When Modes, Categories and Shifts are entered into the spreadsheet editor not currently found in the system tables, the program will add (learn) the new entry to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.

The "Source" column lists the Base List in which the mode not learned exists. An "x" appears in the "Dir" column when the mode was entered for an entry in the directory listed in the "Source" column.


MRO Directory


Methods by Which Test Participants are Notified


Panels: Maintain Master List

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Panels: Configuration Directory


Panel Configurations File - Individual Panels Defined for a configuration

Panel Configuration Definition


Work Shifts

Maintain the work shifts for the intended application of Randomware.

Random selection controls can limit the selections by work shift. Do not use selection by work shifts if your application of Randomware requires strict yearly donor collection percentage targets. When a selection is generated from a "filtered" list, the size of the list and the size of the list after filtering conflict and will affect the calculation of year to date selection/collection percentages. The calculation model depends on the size of the original list from which the selection was generated. The original list size is saved with each selection. When the year to date calculation is performed, the number of selections/collections is counted and used to determine the average list size for the overall calculation.

See Monitoring the Varying List Counts for an explanation of why filtering by shifts effects percentage calculations.


Not Learned: Shifts

Shifts Not "Learned"

See system options "Advisory/Learning" tab for access to the learning modals. When Modes, Categories and Shifts are entered into the spreadsheet editor not currently found in the system tables, the program will add (learn) the new entry to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.

The "Source" column lists the Base List in which the shift not learned exists.


Tab Delimited Data File Headings


Termination Reasons


Reasons for Testing

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .

Column |
Rsrv | Record status is "reserved" when an 'x' appears in this column and can be modified only if the user is granted "developer" status.
C.C. | Correlation Code. This must be a unique integer value. All Reasons for testing with a c.c. value greater than 1 are assumed to correlate to reasons for testing assigned through the employee assistance program module.
Reason | Abbreviation for testing reason.
Description | Report title. The text entered here will appear in the report title.


Test Result Codes

Maintain the test results codes for your specific application of Randomware.

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Test Types Administered

Enter the type of tests to be managed by your application of the program: Breath, Urine, Hair, etc.

Double click the "Alcohol Only" column to toggle its status. An "x" indicates the test is alcohol only, while a blank entry indicates "Not Alcohol Only."

NOTE: If the "Alcohol Only" column is marked with an "x", the system will automatically set an internal flag to indicate that the test is indeed alcohol only. MIS reporting specifically distinguishes between alcohol only and drug (substance) tests. In order for the report mechanism to make the distinction, this flag is necessary.

When you enter test types manually, the system will automatically attempt to complete your intended entry from the first characters which uniquely specifies the test type.

For example, if you enter "B", the system will finish the entry by presenting the character string "Breath." The test strings used for auto entry completion are maintained in this data table.

A drop down arrow displayed in a test type column in a data window spreadsheet indicates a drop down list is available from which test types can be easily selected.


Personnel Titles

Maintain the personnel titles for the intended application of Randomware.

Currently, the titles are used only in the Dialog Editor. No reports exist which specifically reference titles. Essentially, titles are reserved for future use.


Opening a Base List for Random Selection

Welcome to RandomWare!

When you see this Icon, click it for general information.

Getting Started - Opening Base Lists

A Base List is the roster from which you will generate random selections. A base list can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of Randomware.

The file name of a Base List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

To open a new or existing base list:
From the program window, press the button . . .

Enter a file name which best describes the roster of entries from which random selections will be generated.

For more information about base lists see Base List Tutorial.


Opening a Base List for Random Selection

Welcome to Randomware - Simple Randomization Software!

When you see this Icon, click it for general information.

Basic System: Getting Started - Opening Base Lists

A Base List is the roster from which you will generate random selections. A base list can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of Randomware.

The file name of a Base List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

To open a new or existing base list:
From the program window, press the button . . .

Enter a file name which best describes the roster of entries from which random selections will be generated.

For more information about base lists see Base List Tutorial.


Opening a Base List from the Directory entry

Open a Base Lists from the Directory for Editing and Random Selections

To access the list for a Group/Company move the cursor over the Group field and Left-Double Click the mouse.

Use the Open Options menu to access the open the base list menu feature for the "Current" Group record. See the glossary entry for Current Record for a complete definition. Move the cursor from line to line, check the Option Options menu, and notice it is always lists the items for the current record.

For example: Open the base list for Acme Tool Rental from the window above: Move the data entry field where "Acme Tool Rental" is entered and left double-click the mouse or use the Option Options menu. When opened the list for Acme will be presented for editing. Random Selections are generated from the Base List window through the menu option Select. When you finish editing the list and exit you will return to the directory screen above.

To open the list for Hazard Material move the cursor down one line with the down arrow and double-click or use Option Options menu.

Pooling
After assigning a pool ID to the groups that are to be included in that pool move the cursor over the Pool ID name you have entered and Left-Double Click the mouse. The lists for each group with that pool id entered in that column is combined into one list for display from which you can generate a random selection. The list is combined upon request and reflects the current entries for all the lists.

For example. If you left double-click the text "Pool_A" in the column labeled Pool-1 the entries found in the lists for Acme Tool Rental and Long Beach Aquarium will be combined and presented. You will then be able to generate a random selection from that combined list. The selection will treat the list as any list from which to select. The lists are combined ignoring multiple occurrences of the same employee.

NOTE: Only those groups assigned the same pool id in the same column will be grouped together to form a pool list. The Pool ID is case dependent - Upper and lower case characters are distinguished one from the other.

For more information on Pooling Click here arrow.gif (822 bytes) Pooling

Home


Opening a Directory

Welcome to Randomware Plus !

A complete Random Selection and Data Management solution for:
Drug & Alcohol Screening
In-House Company Sponsored Testing Programs
Pre-Employment Test Tracking
Employee Assistance Programs
Maritime Drug Testing
Complete MIS Reporting
Sporting Event Drug Screens
General Use Randomizer

First create a Randomware directory of lists from which random selections will be generated. The lists are referred to as "Base Lists".

Press the Open Last Directory button to open the last directory used or New/Existing button to select an existing, or enter a new directory file name that best fits the intended use of your application of Randomware.

Two directory files are available for your use:

Open the sample directory to showcase the features of the system. From the open dialog select Dir_Sample.

An empty directory is provided to use as your default directory. From the open dialog select Randomware. Use the directory to maintain base lists for your application of the system.
When you see this Icon, click it for general information.

From the directory window, press the Help Icon, shown above, for specific information about the directory facility.

In general, press the help icon for information about the window in which it appears.


Opening a History File of Random Selection

Welcome to Randomware!

When you see this Icon, click it for general information.
To open a history file, press the button . . .

Maintain a history file for every base list in the system. Save the results of every random selection to its history file for future reference and report generation. Data is always appended to the end of an existing history file.

Note: The results of a random selection are automatically saved if the Auto Save option is set in System Options. System options can be accessed from the Other Data menu option.
Basic & Plus Systems:

Maintain all data for drug and alcohol test results for random selections in the history file.

The spreadsheet view format of the history file represents only a small subset of the data for each entry maintained. A "Dialog Editor" is provided in order to manage all the data items for each drug and alcohol test administered. To access the Dialog Editor, double click on a name in the history file.


Opening a History File of Random Selection

Welcome to Randomware!

When you see this Icon, click it for general information.

Maintain a history file for every base list in the system. Save the results of every random selection to its history file for future reference and report generation. Data is always appended to the end of an existing history file.

To open a history file:
From the program window, press the button . . .


Directory Open Options

Open Options from the Directory

  • Open Options Menu

  • Open Options Using the Right Mouse Button - The Floating Popup Open Options Menu

The Open Options Menu

Pool Registry
The Pool Registry is where you enter yearly Target Percentages and Selection Control data for each Pool in the Randomware system. Target Percentages and Selection control data can be entered directly into the directory entry for each Group. Change directory views to see other subsets of the directory data. A Pool can have as many members as required by your Randomware application, simply by assigning the same Pool ID in the Pool column to each member listed in the directory. Since the Pool ID can appear numerous times, a unique place was needed to define percentages and selection data. This need is served by the Pool Registry.

Note: A Pool ID can be used in one and only one Randomware Directory. If you maintain multiple directories, Randomware will announce an attempt to use a Pool ID in more than one directory.

Schedule Master
A Randomware schedule is a list of dates - the dates you intend to generate random selections and issue notifications. Each group entry and every Pool can have its own schedule. You can define a number of generic schedules with this option. Once you define a number of schedules, use one of the Utility menu features to assign a master schedule to any number of group entries or pools. Assign a name to the schedule, when you first open it, according to its use. For example, create a "Quarter" and "Month" schedule for quarterly, and monthly scheduling. For example, open and name two files, Quarter.sch and Month.sch. The file extensions are automatically assigned and the files are located according to your specifications. The open schedule dialog box allows you to locate the files anywhere on the disk you choose. See Scheduling for a detailed discussion of this Randomware feature.

Open Base Lists, History Files, Schedules, and Contact Files for individual Group entries and Pools
As you move from one directory entry to another, the menu choices of the Open Options changes to reflect the current Group entry and Pool if it is a member. If the current directory entry is not a member of a pool, the open options for a pool will be undefined. You must use the open options menu to to open a schedule or a contact file. You can open an entry's base list or a pooled list by double clicking the left mouse button when the mouse cursor in located over the group entry or over a pool id. A group entry's history file can be opened directly by double clicking the right mouse button when the mouse cursor is over the group name for that entry. History files can always be opened from the window in which the Base List or Pooled List is displayed.

Open Options using the Right Mouse Button

When the current field is the group entry, right click the mouse to access the open options for that group entry. The popup menu provides access to the entry's Base List, History File, Selection Schedule and Contacts file. When the current field is the Pool ID, the right clicked activated popup menu provides access to the current Pools Base List, History File and Selection Schedule.

Note: Right Click Open Options also provides access to the Target Percentage & Selection Stats Report facility for individual group entries and pools.


Delete

Delete Selected Records
Delete all records selected (highlighted).
Note: This option prompts for confirmation each time it's requested.

To avoid the confirmation prompt, edit directly within the spreadsheet and press "Ctrl-D" to delete individual records (lines).


Mail Merge
When "Apply Only" is checked, this option will generate a tab delimited data file of just the selected records, otherwise. the entire spreadsheet is output to the file requested.

The output file generated can be used with Microsoft Word's Mail-Merge or imported to any external data management system.


Other Agency Affliations

Other Agency Affiliations


Other Data

Randomware users can configure data tables to meet specific needs.

From the main menu, the data tables described below are accessed from the Systems Data option, while through out the rest of the system, access the tables from the Other Data menu option.

The following tables can be modified by the user.
Test Result Codes
Test Types Administered
Personnel Titles
Work Shifts
Drug/Substance Codes
Reasons for Testing
EAP: Response Codes
Exclusion Dates / Calendar
Lab Directory
MRO Directory
Collectors Directory
Panels: Configuration Directory
Panels: Maintain Master List
MIS: Modes/Categories Directory
Tab Delimited Data File Headings


Defining and Selecting Panel Configurations


Panel Cost & Billing

Panel Cost & Billing rates are maintained with each panel configuration defined. Enter a cost and billing rate for each panel configuration in the Panel Configuration Directory. The cost and billing rate for the specified panel configuration is used to initialize the values for each test maintained in the history files. If a different billing rate is required for different clients, simply specify client specific panel configurations.

For details, see Panel Configuration Directory, accessible from the Other Data menu option.


Pane Selectionl Manager

Panel Selection Manager
Note on Billing: See the article about panel configuration management to effectively use Panel Configurations to control billing.

Use the Panel Selection Manager to easy control the assignment of a test panel configuration for drug testing. The panel manager helps streamline data entry by providing a dynamic control to help you easily pick a panel configuration from the list maintained in your application of Randomware.

To activate the Panel Manager double click on the panel field as show below.

The panel manager has two pages. The primary page allows you to select an existing panel configuration while the OnOK page allows you to set the default cursor action after Replace is selected.

The panel manager is displayed on top of the spread sheet style input window displayed above. Select a panel configuration and press Replace to set the selection into the current data entry field of the current data entry window. The small drop down box below the Configuration selector, displays the panels defined for the Panel Configuration selected. Panel Configuration data management is maintained from the main menu Other_Data, Panels: Configuration Directory. In general, the option is accessible from every window that displays the Other Data menu option as seen in the window above.

Saves all data modification for the current window - same as selecting the Save menu option from the windows menu bar.


Panel Configuration - Setting Positives and Negatives

Panel Configuration: Selecting and Setting Positives and Negatives

Select or change a panel configuration from the "Active Panel Configuration" dropdown list.

Note: The panel configuration can be pre-selected for each entry in the directory [RandomWare Plus] or designated at the time the random selection is generated.

The selection list dropdowns when the dropdown arrow is clicked. Use the "All Negative" and "Clear All" buttons to easily initialize the status of each panel in the list.

Double click a panel to sequence through its three values: Unknown, Positive and Negative.

Successive double clicks cycles the status through its three states: double click Unknown to change to Negative, again to change to Positive and once again to change to Unknown, etc.

When a panel in the configuration is set Positive, the general Disposition/Results field is automatically set to indicate a positive test result. The Disposition/Results field is the general test result indicator. An area for MRO confirmation is also available, however, these two fields are not relational, i.e., selecting MRO Positive has no effect on the Disposition/Results status. Disposition/Results is used to indicate the results returned by the lab. The MRO flags are used for the medical review officers confirmation. When generating MIS reports the system provides the option to gather results for "General Positives," specified by selecting the "All" option or those specifically confirmed as positive by the MRO.


Directory Entry Selection Control Options

Percentage Control Options

The values entered for Random selection are considered percentages unless otherwise specified. When used as percentages, the respective count for each percentage is calculated and displayed along side in the random selection control generator.

Check these options to preset the percentage as entered. The percentage is not considered a year end target. If, for example, you need to generate a list of 10% each month, then set this option.

% |
Primary | The values enter for the A&B Selections will be used as Counts and the percentages will be calculated.
Alts | The values enter for the A&B Selection for Alternates will be used as Counts and the percentages will be calculated.
Location | When a list has persons from multiple locations, the number of alternates requested are picked from each location when a person from that location is randomly selected.
Absolute | Usually "Year to Date" percentages are determined based on the number of selections to perform for the year (quarterly, monthly, weekly, etc. ) and the percentages entered for the selection of test A&B. Use this option is checked, the percentages entered for each test are used each time the random control generator is presented.


Index Cards: Quickly Find Personnel Data


Index Cards: Quickly Find Personnel Data by ID Numbers


Plus vs. Basic

Randomware Plus vs. Basic

Randomware Basic provides for the simple management of individual lists maintained for random selection and the history files of the selections where drug and alcohol test data is maintained.

Randomware Basic

  • Maintain unlimited no. of lists for random selection.
  • Full paged views of all data.
  • Generate selections by percentage or count.
  • Control diminishing selection lists.
  • Selections by category.
  • Import existing data.
  • Variable IDs.
  • Maintain complete selection histories.
  • Reports easily generated.
  • Print notification letters automatically.
  • A program for the PC: Windows 95/98 NT.

Randomware Plus+

Randomware Plus introduces the Directory Facility for comprehensive list and data management including Consortia, Pre-Employment test tracking and Employee Assistance Program management. Manage lists for multiple locations, departments, etc. The Plus system has all the tools to completely and effectively manage your data with ease!

  • Automatically keep up to date on year to date selection percentage requirements.

  • Control selection schedules.

  • Pre-Employment Testing and Tracking.
  • Diminishing selection list can reference Pre-Employment lists for exclusions.
  • Random Scheduling - Dates by frequency (once a week, twice a week, once a month, etc.).
  • Manage multiple locations, departments, etc.
  • Pools/Consortia.
  • Account Ledger for billing & invoice generation or simple cost accounting.
  • Data Archiving - Simple and Automatic.
  • Maintain Directories for MROs, CPCs and Labs.
  • Distribution files eliminate data redundancy.
  • Selection Audit Trail Comprehensive & 100% Defensible .
  • Monitor Year to Date & Target Percentages.
  • MIS Report Control automatically generates reports for the entire Directory.
  • Scheduling
  • Email Notification.


Pool Lists

NOTE:

No detailed information exists for this topic.

Check the support page on our web site often for the availability of a new help system.

http://www.randomware.com/pages/support.html

Home


Pre-Employment Data Management

Maintain pre-employment drug and alcohol testing data in the results table along with all other reasons for testing.

From the directory window, right click a group name and select the "Pre-Employment" menu option to add a new entry to the results table marked as per-employment.

Alternatively, open the results table, double click any name to open the full record editor and click the insert button. When an entry is inserted using the full record editor, it's automatically marked as a pre-employment test. When the test data management is complete for the entry and the individual is hired, simply click the "Handshake" button to automatically transfer the person's personnel data to the company roster to eliminate redundant data entry. Once the person is in the roster (base list) he or she will be eligible for random selections.


Pre Select Target Percentage Control

Random Selection: Pre-Select Target Percentage Control

This dialog box appears if yearly Percentage Targets have been specified for either Test-A or Test-B for the Pool or Group. Entering a yearly target instructs the system to automatically monitor year to date percentages for the specific group or pool from which the current selection will be drawn.

Reset clears the dates selected.

January 1st and and today's date is preset. These dates are used to determine year to date collection percentages for Test A&B specified for the entry. year to date percentages are calculated, t The selection control displayed immediately after, will have the required test types and percentages pre-entered.

When OK is selected, the history file for the pool or group is scanned for to determine donor sample collection counts for the period specified. The number of collections completed is compared to the number of selections scheduled to calculate the correct control percentages for each test specified. The percentage is compared to the entry's testing targets and selections schedule to come up with a percentage for the current selection.


Preset Donor Sample Collection Status "Collected"

On-Site

Check the "On-Site" option to indicate the collection was performed at the company's facility.

If your application does not maintain this data, simply ignore this field.


Printer Fonts

Print Font Control

When the Print Font Control dialog is first displayed the Active Fonts for the corresponding categories are not displayed. This shortcoming should be remedied in a future release.

Press to see the Active Fonts currently set.
To change the font for a selected category:
  1. Select one of the font categories by pressing its corresponding radio button.
  2. Select a font in the Font: Select New Font control.
  3. Select a style and size in the Font: Style & Size controls.
  4. Press OK to set the new font and exit.
  5. Press Apply to set the new font without exiting the Font control.

Home


Printing Security Information

Check this option to include the security data maintained for each base list entry. The security data prints on a second page when print detail report is requested for base list entries.


Print Control - Random Selections

Print a summary or a detail report of a random selection and alternates.

Type | Format
Summary | Name, ID, Selection date, date of test and test type to administer. One name per line.
Detail | Prints two selection candidates per page. The detail report is a comprehensive listing of each individual's personnel information: name, address, phone numbers, ID numbers, driver's license, etc. Notes and comments are printed for the collector's attention. A required collection observation is reported as well as an Alert Notice if it has been set for the individual.


Record Selector

The record selector is used to select data records for a specified task. Primarily it is used to control text editing with the special edit control or select print detail reports for selected items.

Controls | Description
 | Selects or Unselects the current entry. Selected records are highlighted. See color control to change the highlight background color used.
 | Displays this help page.
 | Turns Off all selections.
 | Exits the selector.
 | Selects All
 | Scrolls up or down to the next entry. The entry / line number is updated.
 | Automatically enter current record number (line number) into From.
 | Automatically enter current record number (line number) into To.
 | Selects or Unselects the records [From, To].
After On/Off | Cursor action after On/Off is pressed.
No Action | Current entry / line number is unchanged.
Up | The previous entry is set as current - it can be selected with On/Off.
Down | The next entry is set as current - it can be selected with On/Off.


Record Selector


Print Base List

KNOWN ERRORS: On some systems the menu choices: Screen Fonts, Printer Fonts, Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the selection: Alternate Methods: Fonts & Colors.

Setting Print Fonts

Print Fonts need to be initialized before Printing. Once you set print fonts they remain in effect until you change them. See Recommended Fonts for suggested fonts.

Select Printer Fonts from the main popup menu Utils.

wandering.gif (917 bytes)

The Printer Font Control dialog box provides font control interaction.

The currently active fonts are not initially displayed (this shortcoming should be resolved soon). To see which fonts are currently active press the button Show Active Fonts.

To set a specific category click one of the corresponding radio buttons:

Primary Title: Page title & file name (If applicable )
Secondary Title: Not Currently Used
Column Headings: Font used for the data column headings
Line Data: Font used for the data printed in the grid cells

Select a font, style and size in the corresponding combo boxes:
Select New Font, Font Style, Size.

Buttons

 Resets the selected category - the dialog box remains displayed.

Resets the selected category - the dialog box disappears.

When the dialog box is first presented the active fonts are not initially displayed (this shortcoming should be resolved soon). To see which fonts are currently active press the button.

Printing the Base List and the Random Selection List

From the current window's popup menu Print click Print It. That's It !

printit.bmp (292606 bytes)

Home


Print Selection

Printing

Select this option to print the selection list. If the fonts are not set properly, manage the printer fonts directly from here by selecting the font control button.


Quarter Dates - Setting the Defaults


Random Selection Cover Sheet: Certification & Compliance

Seven sections make up the cover sheet:
  • Contact & Address
  • Title
  • Selection Summary
  • Misc. Statement
  • Compliance
  • Certification
  • Authorization Signature
Each item in red can be specified according to the application.
When these Items are modified through the print control dialog, they're saved and persist from print request to print request. The master copy is accessed from the Other Data menu option. Use the master to reset the items presented through the print control.
General Layout: Note: To exclude an item, simply leave its specification blank.
Byron Nelson
Coastal Medical Services, Inc.
122 East Walnut Avenue
Monrovia, California 91016

Address Section

Personnel Randomly Selected for Testing

Title

Random Selection Generation Date / Time / Generator ID
Date: 07-31-2001 / Time: 10:33 / Gen ID: 1024
Eligibility Count
156 Persons Eligible for Selection
Persons Selected for Drug and/or Alcohol Testing
15 | Number of Persons Selected for Drug Testing Only
5 | Number of Persons Selected for Alcohol Testing Only
3 | Number of Persons Selected for Both
23 | Total Number of Individuals Selected for Testing
4 | Number of Persons Selected as Alternates

Selection Summary

The items in this section cannot be modified.

49 CFR 382.113-NOTIFICATION REQUIREMENTS
BEFORE PERFORMING AN ALCOHOL OR CONTROLLED SUBSTANCE TEST UNDER THIS PART, EACH MOTOR CARRIER SHALL NOTIFY A DRIVER THAT THE ALCOHOL AND/OR CONTROLLED SUBSTANCE TEST IS REQUIRED BY THIS PART.

Misc. Subtitle & Text

Compliance Requirements
Selected persons must report for drug and/or alcohol testing within 30 days after receipt of this document. Personnel who do not comply in a timely manner will be listed as Refusals. Selected individuals must have a picture ID to be processed.

Compliance Subtitle & Text

Certification of Participation
This document certifies that your company's personnel are subject to computer-generated random selection for drug and/or alcohol testing. File this document as a part of your permanent drug and alcohol testing records.

Certification Subtitle & Text

John Harris Ross (Clinic Administrator) (323)793-1535

Authorization


Random Selection Cover Sheet: Certification & Compliance

Notification Letter - Random Selection

All available print formats are available when the random selection is complete and its results presented for review.
10 sections make up the notification letter:
  • Title lines
  • Company & Donor Name
  • Location of Test Facility
  • Type of Test to Administer
  • Regulation Statement
  • Compliance Statement
  • Special Instructions I & II
  • Declaration of Agreement w/ signature
  • Work Sheet Area
The content for each item in red, above, can be specified according to the application. The captions in bold red in the layout below can also be specified. The work sheet can be suppressed if required by the application.
When these Items are modified through the print control dialog, they're saved and persist from print request to print request. The master copy is accessed from the Other Data menu option. Use the master to reset the items presented through the print control.
General Layout: Note: If a caption is not specified, a default caption is provided. To exclude a subtitle or its content, simply leave its specification blank.
Coastal Medical Services, Inc.
Drug and Alcohol Testing Notification
Reason for Testing: Random Selection

Title Lines Sections
(3 Lines)

Company Freight Warehousing | Type of Test Controlled Substance / Breath Alcohol
Employee / Social Security No. John Doe [555-00-1234] | Location of Testing Facility Coastal Medical Service, Inc. 122 East Walnut Avenue Suite C Monrovia, CA 91016

Company & Donor Name
Location of Test Facility
Type of Test to Administer

49 CFR 382.113-NOTIFICATION REQUIREMENTS
BEFORE PERFORMING AN ALCOHOL OR CONTROLLED SUBSTANCE TEST UNDER THIS PART, EACH MOTOR CARRIER SHALL NOTIFY A DRIVER THAT THE ALCOHOL AND/OR CONTROLLED SUBSTANCE TEST IS REQUIRED BY THIS PART.

Regulation Title
and Content
Compliance is Mandatory
You are hereby notified that you must submit to the above listed test(s) in compliance with the Federal Motor Carrier Safety Regulations. Pursant to those regulations, YOU MUST PROCEED DIRECTLY AND IMMEDIATELY to the testing site listed above.

Compliance Title
and Content

SPECIAL INSTRUCTIONS TO DRIVER:
Present this notice with your photo I.D. to clinic staff and please cooperate with clinic staff at all times.

First Instruction Title
and Content

SPECIAL INSTRUCTIONS TO COMPANY:
If driver fails to comply with 49 CFR 382, notifiy Coastal Medical Services at (626)305-1271, for the driver's membership will be terminated.

Second Instruction Title
and Content

Agreement to Comply
I understand, as a conditions of my membership, complaince with the above scheduled test(s) is required.

Agreement Title
and Content

Employee Signature | Date/Time Notified
Company Representative Signature | Date/Time Notified

Signatures

Area below is reserved for clinic use only . . .

ID Presented
Date Tested

Notes

Work Sheet


Random Dates Archives

Random Date Archives

See Accessing the Random Date Archive for help opening the archives.

Every time a set of random dates is generated through a Frequency Scheduling request, the resulting list of dates is automatically saved. Links to the files are maintained in the Archive Directories.

A Random date archive directory exists each for directory group and one for the entire directory.

Only one data file is created when dates are generated for the entire directory - the dates are not saved separately for the individual member lists from where they were generated.

Individual Base List Archives
A separate random date archive exists for each directory entry. The disk file name is created identically as all other file names for the group.

Directory Random Date Archive
An archive of the same name contains a list of the random dates generated for the entire directory. The sample directory is named Dir_Sample.dir, while the random date archive is named Dir_Sample.frx and is located in the Frx_Data folder - a sub folder of the Randomware installation.

Random Date Archive Directory Data Structure
The data structure for both directories is identical.
Data Column | Description
Generation Date | Date on which the generation was requested
Start | Starting date of interval
End | Ending date of interval
Name Only | Suppress the display of the ID number when checked (Double click to toggle its value)
"1" | Suppress the display of the first name and middle initial when checked (Double click to toggle its value)
Combine Name/Group | Combines the name entered in the base list and the Group name into one field and suppresses the display of separate name and id components (Double click to toggle its value). This is a useful feature if you want to import the data into a Microsoft Outlook Calendar.
Not Days | Days not used for date generation
File | File in which the dates are listed. Double click this field to open the list of dates.


Random Sort

How to Random Sort a List

Open a Base List or Pool. From the menu bar at the top of the window, choose Misc, then select the option Random Sort - the list will automatically randomly sort and display.


Randomize Testing / Collection Date

Enter the intended date of collection. If randomizing the collection date, check the Randomize option and enter the ending date. Random dates, between those entered, inclusively, will automatically be assigned to each individual selected.

When randomizing the collection date, indicate days of the week which are to be excluded for collection. For example, Saturday and Sunday may naturally be days collections are not conducted.


Random Selection Control
  • Test Types & Percentages
  • Alternates

Random Select for 2 Tests - One Drug/Substance & one Alcohol.

Generate one random selection and control for two types of tests (1 drug/substance & 1 alcohol only) simultaneously.

Specify two tests and one percentage:

Select a drug test from the drop down list for Test-A and an Alcohol Only test from the drop down list for Test-B, and enter one and only one percentage or count for Test-A. Note: Leave the percentage/count for Test-B blank or 0. Everyone selected will be assigned to submit to both tests specified.

Program Logic: if two tests are specified and A% is non-zero while B% is zero, then assign both tests specified to each individual selected.

Specify two tests and two percentages Using one of two random selection generators to control the outcome:

  • Super Double Jeopardy: Specify each of the two tests and enter the respective percentages in A-Selection and B-Selection. First donors are randomly selected from the entire list for Test-A. Next, donors for Test-B are selected entirely from those already selected for Test-A. The percentage specified for Test-B must be less than or equal to the percentage specified for Test-A. This minimizes the number of donors who will show for testing.

  • General: Specify each of the two tests and enter the respective percentages in A-Selection and B-Selection. First donors are randomly selected from the entire list for Test-A. Next, donors are selected from the entire list for Test-B. An additional option determines how the selection for Test-B is controlled: If someone is selected for the first test, he/she may or may not be excluded from the selection for the second test.

Specify 1 Test Only

Specify the test in Test-A and its respective percentage. Empty or blank specifications are ignored.
Alternates

If a number is entered to control the selection of alternates for each of two tests, the program will randomly select the number of alternates requested for each test.

When two tests are specified and only alternates for Test-A are requested ( Alts(A) ), the program will randomly select the number of alternates requested and assign both tests to each alternate selected.

For example, if selecting for both urine and breath with Alternates (A) = 3, Alternates (B) = 0, three alternates will be selected and each will be required to take both the drug and the alcohol tests.

If Alternates (A) = 3, Alternates (B) = 2, three alternates will be selected for the urine test and two will be selected to take the breath alcohol test.


Year to Date Percentages and Selection Counts
Note: Percentages are displayed here for reference only. The values used to generate the random selection can be modified in a control page to follow. Use this page to monitor collection percentages for any period simply by changing the start and end dates.
 | Year to Date
From-To | Defines the period for which percentages are determined. Only donor samples flagged as "collected" are counted for the calculation of percentages. For example, entries for alternates who were not called to provide a sample remain in the history file with the status "Not Collected" as well as any other primary selections for which samples were never collected. These entries can remain in the history table without effecting overall percentages.
 | No. of Selections
Schedules | Enter the number of selections scheduled for the year for each entry in the directory. Enter 4, if testing quarterly, 12 if testing monthly, etc.
Remaining | The number of selections generated are counted for the period defined. The count of selections generated is subtracted from the number scheduled to determine the number remaining.
 | Selections Conducted: ID or Date
 | Each time a random selection is generated, a unique ID is assigned to the batch of resulting selections. Counting the number of unique ID determines how many selections have been generated. Earlier versions of the program did not generate this ID. The number of selection dates was used to determine the number of selections generated. The option is still provided for counting: IDs or dates.
 | Drug & Alcohol Tests
Tests | Enter two test types, A & B (Urine, Breath, etc.) for each entry in the directory for which random selections will be generated.
% | Percentages
To Select | Percentages determined for current selection. (Target%-Period&)/(Remaining Selections)
Period | Percentage of Total List collected to for the period.
Target/Year | Year End Target.


Reasons for Testing Control Manager


Saving Data: Save only Records that were Modified

This is a development switch - accessed for system development only.


Mail Merge

Counting & Reporting Expiration Dates
Select a date in the calendar and click OK to report all entries in the current list whose expiration date is on or before the date selected. The entries will be highlighted and counted.

Click the Mail-Merge button to generate a text file compatible with Microsoft Word's Mail-Merge feature for generating notification letters.


Specify MIS Mode to Report

Specify MIS Mode/Category to Report

The MIS Mode/Category is a Major/Minor classification system.

  1. Select a Mode. Once the mode is selected the categories defined for the mode are presented for selection in the category dropdown list.

  2. Select a Category from the list. If a category is selected, the report generator will only process records whose Mode/Category combination match the selection.

Note:
  • No category specified is equivalent to checking the "Not by Category" option.
  • If a MIS mode is selected then only records with the selected mode are used to generate the numbers for the report.
  • If you check the box "Not by Mode" the data is not filtered by Mode/Category.


MIS Report Summary - Print

Print MIS Report

Summary:
Provides number eligible for testing, number of tests administered and number of positives for each testing category selected.

NOTE: The count of specific substances for positive tests is NOT included in the summary report.

Testing Results | Personnel Category
Average No. eligible for testing | ##
Category (Selectable from list) | No. Tested | No. Positives
Pre-Access | ## | ##
Pre-Employment | ## | ##
. . . | ## | ##
Random | ## | ##

Breakdown of confirmed positive tests by count
Marijuana | ##
Cocaine | ##
. . . |
Opiates | ##
Alcohol | ##
Refusals | ##


Specifying a report period

Report Period

Enter the starting and ending date of the period for the report you've selected to generate.

Select a date in the calendar and use press the From and To buttons to set the selected dates as the beginning and ending dates, respectively, for the report.


Positives & MRO Positives

Positives: General Positives & MRO Positives

A general results status is assigned to every drug and alcohol test. The result is, presumably, the one reported by the lab. The result indicated by the MRO is logged as a separate data item and does not effect the general results status.

If you want to report only "positive" tests whose results were verified as positive by a MRO, select the "By MRO" option.

MRO verification and the general positive status are logged as independent values. It is up to the user to maintain data appropriate to their application of Randomware.


Managing Quarter Dates

Quarter Dates

Buttons/Checks | Date Management Buttons and Check Boxes
Save Dates as Defaults | The dates currently displayed are saved as the default dates and will be used to initialize the table when the report generator is next requested.
Set Standard Dates | Retrieves and displays the default dates.
Auto Adjust Ending Dates | Automatically sets the ending dates when only the start dates have been specified.
 | Quarter results are displayed as sums of previous quarter(s).
 | A fifth column is displayed which is the sum of the quarters to date. Each quarter's values are for the specific quarter, not summed with previous values.


Generate Reports for Selected Directory Entries

Use the standard Edit Control or Record Selector to select the directory entries for which to generate MIS reports. From the Edit Control Select tab, use the sort options to group and sort the items selected. For example, if three none adjacent items have been selected, the Edit Control's sort utility will sort the list and group the three items so they display grouped together while non-selected items sort as a group.

Select the entries before requesting the report generator. The record selector and edit control manager can be accessed from the Print or Misc menu opitons.

If none are selected, reports are generated for every entry in the directory.


Import Data: Reprocess/Reread External Data File

If a specific column heading from the import file is not found in the Tab Delimited Heading table, you can access the data base and add the heading by pressing the "Edit Headings" button.

After the heading is added to the table, press the "Reprocess" button to reread the import file.


Display Results with a Specified Color

You can specify a special background color for the display of Positive and Negative test results. The colors will be used to highlight the spreadsheet display of a test result if it's Positive or "Negative. Use the standard color control to select the colors to use. The color control is usually found under the menu options for Printing or Misc.

Check box for each result use a color specified.

Note: MRO and individual panel results use separately specified colors.


Sample Data

Features are showcased through an included set of sample data.

NOTE: Throughout the help system "Base Lists" refer to the rosters from which random selections are generated.

To open a Directory, a feature of the Plus System, choose the Open Directory option and select the sample directory Dir_Sample.

Individually named base lists and history data are opened from the main menu options:
  • Open
  • Other
  • Lists or History

A singular base list, Sample.Dat, and its history file, Sample.Hst, are provided to demonstrate how Randomware Basic is used. Singular, or individually named base lists and history files are those named and managed outside the Randomware Directory facility. Randomware Basic can manage as many base lists as may be required by your application of the system - there is no limit. Randomware Basic is completely contained within the Plus system of the program.

Two "External Import Data Files" in tab delimited format can be used to demonstate the ease of reading existing data into the sytem: Sample.txt and External.txt.

An Excel spreadsheet, Excel_Sample.xls, and its respective tab delimited data file saved from the Excel worksheet, Import_Sample.txt, can be found in the installation folder. A tutorial is provided in the help system which outlines the details of migrating data from Excel into Randomware using these examples.

NOTE: Use 01-01-1999 as the Start Date for Percentage Target Reporting


Save Selection

This option saves the selection to the history data file. The selection is appended to the end of an existing files. The program will create a new file if it does not exist.

Randomware Plus: Selections which originate from the Directory Facility are saved to their respective history file. The file does not need to be named by the user.

Randomware Basic & Simple: The history file must by named by the user.


Selection Schedule for Groups

Specific selection scheduling dates can be entered for each group listed in the directory. When "Use System Scheduler [Enter Selection Dates]" is On, the program checks the schedule table for the pool. See System Options from the Other Data menu option for access to the system scheduler switch.

Right click on the group to access its schedule table.

The system does not absolutely adhere to selection dates. The number of selection dates are counted and used to determine selection percentages for the current selection. The selection percentage is the Target Percentage for the year, minus the year to date percentage collected, divided by the number of remaining selections. When a selection is generated, the first selection date in the schedule table not previously marked as "Used" is flagged and thereby reduces the count remaining for the year.

Complete
The next selection date, not flagged as used, is displayed for reference. When all selections have been flagged as "Used", Complete is displayed in this column.

0 Listed
When no selection schedule dates have been defined for a pool, "0 Listed" is displayed in the Next Selection column.


Selection Schedule for Pools

From the directory, when a Pool ID is entered for the group, i.e., the group is a member of the pool specified by the Pool ID, selection schedule information is for the Pool. To view selection schedule information for the individual pool members, right click the group item and choose Selection Schedule from the popup menu.

Specific selection scheduling dates can be entered for each pool. When "Use System Scheduler [Enter Selection Dates]" is On, the program checks the schedule table for the pool. See System Options from the Other Data menu option for access to the system scheduler switch.

Right click on the pool to access its schedule table.

The system does not absolutely adhere to selection dates. The number of selection dates are counted and used to determine selection percentages for the current selection. The selection percentage is the Target Percentage for the year, minus the year to date percentage collected, divided by the number of remaining selections. When a selection is generated, the first selection date in the schedule table not previously marked as "Used" is flagged and thereby reduces the count remaining for the year.

Complete
The next selection date, not flagged as used, is displayed for reference. When all selections have been flagged as "Used", Complete is displayed in this column.

0 Listed
When no selection schedule dates have been defined for a pool, "0 Listed" is displayed in the Next Selection column.


Random Selection Methods

Random Selection Methods & Limited Selection Control

Limited Access Random Selection Control: The random selection control displays the minimum parameter set required to generate the selection. Use Access control options to prevent users from modifying percentages calculated. See the System Options for Access control.


Selecting a Supervisor from the Donor Sample Editor


Setting the Collection Status

Year to Date Percentages are determined by the number of donor samples collected. Use to option to easily set the status of the donor samples as "Collected" or "Not Collected" depending on the requirement.

Note: If an entry is an Alternate the collection status is not effected by these menu options. Alternates are individuals selected as stand-ins for the primary selections who do not show up for testing.


Random Selection - Options Available

Networked Installation - Exclusive Access

The program can be accessed by multiple users simultaneously, however, concurrent users all have write access to the same data. To protect against users mutually overwriting each other's data modifications, set access to Exclusive Mode. When this mode is selected, only one user can access the program at a time.

This option can be modified only by the system administrator.

Login as the system administrator from the main program menu Admin, Total Access Control.

Once you've logged in as the administrator, access the System Options and set the Exclusive Access Option.

When Level 2 Security is active, two login IDs and passwords are recognized:

Login ID | Default Passwords when system is installed
Admin | Random
User | Random

When Level 1 Security is active, access is provided to either login ID.

Level 1 & 2 Security: Login ID and passwords can be changed from the main program menu Admin, Password Management.


Font Control

Manage printer fonts.

Recommended Fonts:

Arial size 8, 9 or 10.

Select "Bold" for Title-1 & Title-2.


Employee Data Control: Shift Manager

Shift Manager

Without the using the Shift Selection Manager, the system attempts to "auto-complete" the entry when you type in the first letter(s) of a Shift, provided the Shift is recorded in the master list. For example, if "Graveyard" is a shift that has been entered in the master list, the program will display "Graveyard" when you type "G" or "g" as the first letter in data entry area for Shift.

The Shift Manager can be accessed via the Utilities menu from the Base List data entry window. A right click of the mouse on a data item in the Shift column presents a floating pop-up menu through which the data control can be activated, or double click the left mouse button to display the control immediately.

You can position this dialog box to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot.

Access the master list for Shifts from the Other Data menu option.

Use the Shift Manager to easily set the "Work Shift" for individual entries in a base list.

The name and line number of the roster entry is displayed for reference. Select a "Shift" and press OK to set the data for its respective entry. When Down After Ok is checked, the cursor in the window will automatically scroll to the next entry and highlight it as active. Press OK again to set the new record entry to the currently selected Shift or choose another Shift as appropriate for the highlighted entry.

Use the Scroll buttons to easily position the cursor to any line entry in the window.


Specifying a Shift for a Random Selection

Select a shift to limit the random selection by a specific shift. However, to activate the limited selection, be sure to check the "Select by Shift" option.

Check the "Not" option to limit the random selection to everyone in the list whose shift is Not the one selected.

NOTE: If your application requires strict year to date percentage calculations for collection target management, you should not use this option. See Monitoring the Varying List Counts for an explanation of why filtering by shifts effects percentage calculations.


Base List

Base List Data Items & Data Item Options - Randomware's Simple Randomizer System

Menu Options

  • Random_Select generates random selections.

  • Read External imports existing data from tab delimited record sets.

The data items:
Column Heading | Description
Last Name | Employee's Last Name. If "Single Name Display" mode has been set for this directory entry, then the display of the first name and the middle initial are suppressed. Some applications of Randomware required only one name. When a single name is required, its entry in the data base uses the last name field. This field provides up to 48 characters.
First Name | Employee's First Name.
M.I. | Employee's Middle Initial
ID No. | Employee ID. This field can be formatted for standard Social Security number display "###-##-####." See the Misc menu for ID number display options. This field provides for up to 32 characters.

Menu Options | Description
Exit | Exit to previous window. A prompt is provided to save or ignore any data modifications.
Save | Save all changes in the list to disk.
Utilities | See Utility Options below.
Random Select | Generate random selections.
Read-External | See Import External Data
Other Data | See Other Data
Merge-Append-Overwrite - see | See Append-Merge
History | View the selection history for this list.
Print | See Print Options below.
Misc | See Misc Options
Help | Provides access to a variety of help articles.


History of Random Selections

History Data for Random Selections

Scroll using the page-up and page-down buttons to quickly locate an individual. When a random selection list is saved to the history file it's appended to the end of the list sorted alphabetically by last name. To locate an individual, simply scroll down to the date of selection and the entry will be found by order of the individual's last name.

Click on the "Short Cut" arrow for a popup menu of options.
Sort using the popup menu as shown in the example above or click on the heading text above any of the columns. Click near the top of the heading text for an ascending sort or near the bottom for a descending sort. Subsequent clicks on the same column reverse the sort.

Note: An "*" in the Alt column indicates the individual was selected as an alternate. The column is sortable.


New Page 1

An actual program sample of the simple system is not provided with the evaluation. Simple works identically as Basic, however, it maintains no drug and alcohol information and the record for each entry contains only the information shown here.
History files are opened in exactly the same manner as the Basic System.


New Page 1

Base List
Edit data directly in the spreadsheet.


New Page 1

Random selections are controlled by percentage or count. Enter the percentage - the count is calculated and displayed. Enter a count and the percentage is calculated and displayed.
A second selection control is available. It will randomly assign a date to each person randomly selected. The date assigned is randomly selected between and including a start and end date specified within the control. A calendar of exclusion dates can be defined to exclude holidays or any special dates required by the application.


New Page 1

Random selection results are presented in a dialog box with many options. If you generate a selection with the Basic system, you can review the buttons. Simply click on the question mark for a brief description of each button's function. Selections are automatically saved to the history file. If the base list is named "Sample" then the disk file is named "Sample.DAT" and its history file is automatically named "Sample.HST."


New Page 1

An actual program sample of the simple system is not provided with the evaluation. Simple works identically as Basic, however, it maintains no drug and alcohol information and the record for each entry contains only the information shown here.
Base List files are opened in exactly the same manner as the Basic System.


Random Selection - Simple Selection Control

Simple Random Selection Control

Specify the percentage and/or a count, including alternates.

Randomware provides three random selection control, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

For simple random selection control, open a Base List, and choose the menu option, Simple, from the Select menu as shown below.

Note: In the list above, line 1 & 2 are both marked Not Active, and line 3 is marked Not Available. Some applications of Randomware need to maintain historical accuracy and also need to maintain strict percentage control for year to date percentage calculations. To maintain historically accurate documentation, when someone terminates employment, simply mark the entry Not Active. If personnel are not available for testing then mark the entry Not Available. For example when someone is on vacation, jury duty, leave of absence, etc., simply check their status as Not Available. The Not Available column is intended as a temporary status.

The total number of entries in this list is 41, including the two marked Not Active and the single entry marked Not Available. The selection control reports two counts: List count and the number Available for selection. The list count is used to accurately determine year to date percentages. If someone is Not Available, he or she still needs to be counted in the overall list total for accurate percentage calculations, however, entries marked as Not Active are not used for the overall calculation. Essentially, entries marked as Not Active to not contribute to overall list counts. The entries are maintained simply for historical purposes.

 | How the counts are determined
List Count | Total entries in the list less those marked Not Active
Available | List Count less those marked Not Available

Enter the selection count and the corresponding percentage is calculated. If you enter a percentage, the corresponding selection count is calculated. The number of alternates is specified similarly.

As shown here, the select count is determined as a percentage of the List Count, not as a percentage of the number of entries Available for selection. This example will result in an error message to inform the user that too many entries have been requested for selection.

The selection is generated when you press the OK button. See Selection Results & Building Selection Lists Incrementally for a discussion of the results of the selection generation and the options available.


Random Selection - Simple Selection Control

Simple Random Selection Control

Specify the percentage and/or a count, including alternates.

How random selections are generated: Technical Information

For simple random selection control, open a Base List, and choose the menu option, Random Selection, from the Random menu as shown below.

Enter the selection count and the corresponding percentage is calculated. If you enter a percentage, the corresponding selection count is calculated. The number of alternates is specified similarly.

The selection is generated when you press the OK button.


Target Percentages & Selection Stats for Individual Groups and Pools

Target Percentages and Selection Status for a single directory entry can be generated in exactly the same manner as a report for the entire directory.

From a directory window, use the Reports menu to access the options for generating a report for the group or pool defined by the current record. In the example below, Acme Delivery and Pool_1A are defined in the current record. Selecting Acme Delivery ----> Report Target Percentages . . . from the Reports menu will enable you to generate a Target Percentage and Selection Stats Report for Year to date monitoring. Similarly, selecting Pool_1A ----> Report Target ..., enables you to generate the same report for Pool_1A. The results of the report are identical to the data generated for Acme and Pool_1A when a report for the entire directory is requested.

Generate a Target Percentage and Selection Stats Report for an individual Group or Pool:
This menu selection dynamically adjusts to select the group defined by the current record.
This menu selection dynamically adjusts to select the Pool defined by the current record. If the current record does not define a pool, the menu is not defined.
This menu selection generates Target Percentages and Selection Stats for the entire directory.
Right click a group entry or a pool and the Floating Popup Open Options menu appears. Use it report the Target Percentages and Selection Stats or open a related group or pool file.


Alcohol Only Tests - Automatic Indication

Note: The Alcohol Only check box is displayed for your information only and cannot be modified here.

A table of "Test Types" is maintained in the system. The entries can be defined by the user. A test, which is specifically "Alcohol Only," is flagged in the table as such and informs the selection control to automatically set the check box to indicate the status of the test. MIS reporting specifically distinguishes between alcohol only and drug (substance) tests. In order for the report mechanism to correctly make the distinction, this flag is required.

The table for test types defined within the system is accessed through the Other Data menu option.


Date Control: Selection, Testing, Exclusion

Date Control: Selection, Testing and Exclusion Dates

Use the calendar to easily set the Selection date, Testing dates and an Exclusion date.

The calendar will automatically disappear when you exit the selection control. Data in both windows can be controlled while both the selection and date control are simultaneously displayed.

Description
Sets selected calendar date into selection date
Sets selected calendar date into the Exclusion Date
Sets selected calendar date into the Testing Date (Start)
Sets selected calendar date into the Testing Date (End). If the Randomize Testing Date Option has not been selected, the date is displayed in a grayed background. Select the randomize option to activate the test date.


logo

General Random Selection Control

RandomWare provides three random selection controls, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

To generate Standard Selections, open a Base List, and choose the menu option, Generate a Selection (General), from the Select menu as shown below.

The general selection control provides the greatest flexibility for random selection. Super Double Jeopardy is used to control mandated (DOT) testing as efficiently as possible to help minimize the cost of testing.

Random Selection Control
Enter the selection criteria for one or two tests in this selection control box. If you want to select for one test only, use Test-A and simply leave the selection controls for Test-B blank.

Highlighted Captions | Descriptions
 | Specify selection for one or two tests. Mandated programs often require testing for drugs and alcohol, however, if your application requires only one test type, leave the selection controls for the second test blank. If only one test is specified, the second is simply ignored.
 | Select the drug "panel configuration" intended for the test. A specific alcohol "panel" can be selected for alcohol only testing. Alcohol panels simply allow for specific alcohol level quantification if test proves positive. The specific panels defined in the configuration will display in the adjoining box under the Panels heading.
 | Specific days of the week can be excluded if the option to randomize the test date is selected.
 | Indicate if collection is on-site at the donor's location.
 | The selection can be constrained to a specific shift if the base list contains multiple shifts, however, it is recommended that lists for different shifts be maintained to accurately track year to date selection and collection percentages.
 | The selection will not be constrained by shift unless this option is selected, regardless if a shift has been indicated from the selection described above.
 | Employees previously selected or previously tested can be excluded from the selection by indicating the last selection date or a number of days since last selected or tested. Pre-Employment lists can be used for exclusion if employees were tested prior to employment within a specified number of days. For details see Exclusions.

 | Double Jeopardy controls whether an entry from the list is eligible for selection for both tests if two tests are specified. Consider the example: John Doe is selected for Test-A.
Selected | John Doe will not be excluded for the draw for Test-B.
Not Selected | John Doe is not eligible for selection for Test-B.

Other Selection Parameters | Description
Percentages/Select Counts | Enter a percentage for each test, the specific count is calculated. Enter a specific count to select and the percentage is calculated.
List Total | The List Total is the number of entrants in the list eligible for selection. This number is the the difference of the absolute count of entrants less those specified as "Not Active." Some applications of Randomware need to maintain accurate employee records. Instead of deleting an entry from the base list when personnel terminate employment, simply check the "Not Active" field. Entrants flagged as "Not Active" do not accumulate to the overall numbers used to calculate year to date percentages.
Available | If an entrant is not available for the specified testing schedule, simply flag the entry as "Not Available." Examples: vacation, jury duty, time off for disability, etc. These entrants still contribute to the overall number counts for year to date percentage calculations.
Total to Select | The sum of selections for tests to be administered, including alternates.
Selection Date | The date the selection was generated.
Testing Date (Start) Testing Date (End) | Testing or collection date. If the option to randomize the test or collection date is selected, then a randomly selected day within the period specified is generated, excluding days specified in the Nots section of the control. Maintain a calendar of Not Dates (Exclusion Dates). For example, if you want to exclude holidays from the testing calendar, then be sure to check the system option through the Other Data menu.
Lab | Preset the Lab which will process the sample.
MRO | Preset the MRO (Medical Review Officer) who will review the documents.
Collector | Preset the CPC (Certified Professional Collector) will be gather the samples.
Preset Sample Collected | Year to date percentages are usually based on the number of donor samples actually collected. Typically, the number of "No Shows" is less than those who are tested. Pre-specification of collected samples reduces the overhead of post testing data entry. If the sample is preset as "Collected" then data management is reduced to logging the account of those selected who were not tested.

Exclusion
No. Days | Enter the number of days in which individuals previously selected or tested can be excluded from the current selection. Specify "Previously Selected" or "Previously Tested" in the option detailed below. If a pre-employment testing roster is maintain, some companies may choose to exclude newly hired personnel from redundant testing within a number of days since hiring.
Last Select Date | If "No. Days" is specified as detailed above, then the corresponding calendar date is displayed here. If a Last Select or Testing Date is entered, then "No. Days" is determined and displayed. One will determine the other when specified.
Exclude By . . .
Select Date
Test Date 		Excluding by selection date prevents the selection of anyone previously selected within the specified time period. Alternately, personnel may be excluded from subsequent selection if the individual was previously tested within the specified period. The term "Testing" is used equivalently to "Donor Sample Collected."
Only if Collected
Not Alternates 		If exclusion by Select Date is specified, you may choose to exclude individuals if and only if a sample was actually collected. Furthermore, if exclusion by Select Date is specified, it may be essential NOT to exclude those previously selected as alternates. There are myriad exclusion possibilities and they all depend on how individual applications of Randomware mange their selection history data.
Pre-Employment Lists
  • Use
  • Only
  • Ignore
Pre-Employment can be used to determine exclusion.

Use: Check pre-employment list for personnel tested within the specified number of days. If the testing date for a name from the pre-employment list is within the specified number of days, the entry will be excluded from the current selection.

Only: Exclusion testing is applied only to pre-employment lists. Selection history data is not used to determine if an entry is excluded from the selection, i.e., if someone was previously tested within the specified no. of days, but not through pre-employment, then the individual is eligible for selection.

Ignore: Pre-Employment lists will not be used to determine exclusion, i.e., an individual will not be excluded from selection regardless of pre-employment testing.

All pre-employment lists are reviewed. A master pre-employment list can be maintained for an entire directory and individually for each group within the directory.

Test Types

Select a Test Type to be administered for Test A and Test B, in the drop down selection control provided. Randomware presets the test types from which you can select. The data is retrieved from the Test Types data base.

To learn how to access and edit the Test Types see Test Types Administered.

Filtering

The first two fields (Filter #1 & Filter #2) in the Test A/B Filter areas allow you to specify categories by which to filter the current base list. The categories listed in these two drop down selection controls are those found in the base list from which the selection will be generated.

For example, if you select two categories in the Test A filter boxes, then an individual is eligible for random selection if and only if his or her category matches Filter #1 or Filter #2.

If you check the Not box then those entries whose category is Not Filter #1 and Not Filter #2 will be eligible for random selection.

Possible Minimum Available
It is possible to enter filters that have overlapping categories. If double jeopardy is not selected then an entrant who has been selected for Test-A, will not be considered for selection for Test-B. The program displays the number of entrants available for Test-B after considering the selection of Test-A.

For a detail discussion of the random selection algorithm see the Random Algorithm page.

Consider the following example:
Consider the example of someone who works for two companies in the same selection pool.

Henry works for two companies - both in the same pool and therefore Henry appears in the pooled list twice.

Essentially, Henry is treated as two separate individuals as far as the program is concerned and is twice as likely to be selected as someone who appears in the list only once. Consider the two individuals he represents as Henry-A and Henry-B.

Double Jeopardy:
Henry-A is the Henry who works for Acme.
Henry-B is the Henry who works for Quick Silver. (Acme & Quick Silver are pooled)

And further, assume Alice, too, works for Acme.

Generate a selection for two tests: breath & urine.

Alice could possibly be selected for both breath & urine.

Henry could possibly be asked to take four tests total:
Henry-A could be selected for both breath & urine - i.e. breath & urine at Acme.
Henry-B could be selected for both breath & urine - i.e. breath & urine at Quick Silver

Single Jeopardy:
Alice could be selected for either breath or urine - not both

Henry-A could be selected for breath or urine - not both (for Acme.)
Henry-B could be selected for breath or urine - not both (for QS.)

The selection possibilities for Henry are:
A breath at Acme and a breath at Quick Silver.
A breath at Acme and a urine at QS.
OR...
A urine at Acme and a breath at QS.
A urine at Acme and a urine at QS.

Selection Results & Building Selection Lists Incrementally: Subsequent selections can be made from the names remaining in the original list. The subsequent selections will append to the end of the currently displayed selection list. The same selection controls are available from the selection results window as those used to generate the initial selection.

Note: This feature is only available when you turn the off the option that controls the display of the random results to the dialog - see System Options.

This completes the random selection process.

Printing the Selection List

Pooled Selections: Selections from each company print separately - employees in alphabetical order. The alternates print on a separate page in the order they were selected.

Non-Pooled Selections: The list is printed with employees in alphabetical order while the alternates print at the end of the list in the order they were selected.

All selections generated are automatically recorded in the audit trail file.

YOU WILL LOSE THE DATA: before you exit this window you must . . .

  • Print the selection.
  • Append to the history file (saving to the history file automatically generates the Notification File.)
  • Request the generation of the Notification File.

When you save a pooled selection it will automatically save each individual selected to its respective history file.

Menu Options
  • Exit: Return to the Original List
  • Save: Append the selection to a History database & Generate a Notification File
  • Print: Prints the randomly selected list
  • Misc.: Format the ID: Social Security No. vs. General ID [maximum 32 characters]
  • Notification: Generate a Notification File
  • History: View the history file.


Building Selection Lists Incrementally

You can add to a selection after it has been drawn. From the selection results window choose the menu option Select-Append.

This option allows subsequent selections to be drawn from the names remaining in the original list. The subsequent selections will append to the end of the currently displayed selection list. The same selection controls are available from the selection results window as those used to generate the initial selection. This control allows for greater flexibility in specifying selection category filters and extends both of the selection controls available.


Random Selection - Super Double Jeopardy

Random Selection Control-Super Double Jeopardy

RandomWare provides three random selection control, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

To generate random selections, open a Base List, and choose the menu option, Super Double Jeopardy, from the Select menu as shown below.

Super Double Jeopardy provides selection control which minimizes the cost of testing and complies to mandated testing guidelines. The cost of drug testing extends beyond the expense of simply gathering and processing samples. Every person required to undergo testing adds to the incremental cost associated with downtime. Super Double Jeopardy minimizes the number of people required for testing while, at the same time, adheres to government standards.

Please Note: For round numbers assume the example below selects from a list of 100.

Select for two test controls: Test-A: Urine / Test-B: Breath Alcohol
Pick 20 percent for Test A - 20 names are selected.
Pick 10 percent for Test B - 10 names will be selected.

Super Double Jeopardy allows you to select of the 10 required for Test B entirely from the 20 already selected for Test A.

Theoretically, it's possible to select 30 individuals for the test outlined above: 20 for Test A, 10 for Test B. Super Double Jeopardy selects the individuals for the required 30 tests, however, the minimum number of people are drawn. Reducing the number of people who actually undergo testing saves employers downtime costs, thereby reducing their total cost of compliance.

The Selection Control:
Highlighted Captions | Descriptions
 | Specify selection for one or two tests. Super DJ was specifically designed to draw for two tests, however, if only one test is specified, the second is simply ignored.
 | Select the drug "panel configuration" intended for the test. A specific alcohol "panel" can be selected for alcohol only testing. Alcohol panels simply allow for specific alcohol level quantification if test proves positive. The specific panels defined in the configuration will display in the adjoining box under the Panels heading.
 | Specific days of the week can be excluded if the option to randomize the test date is selected.
 | Indicate if collection is on-site at the donor's location.
 | The selection can be constrained to a specific shift if the base list contains multiple shifts, however, it is recommended that lists for different shifts be maintained to accurately track year to date selection and collection percentages.
 | The selection will not be constrained by shift unless this option is selected, regardless if a shift has been indicated from the selection described above.
 | Employees previously selected or previously tested can be excluded from the selection by indicating the last selection date or a number of days since last selected or tested. Pre-Employment lists can be used for exclusion if employees were tested prior to employment within a specified number of days. For details see Exclusions.

Other Selection Parameters | Description
Percentages/Select Counts | Enter a percentage for each test, the specific count is calculated. Enter a specific count to select and the percentage is calculated.
List Total | The List Total is the number of entrants in the list eligible for selection. This number is the the difference of the absolute count of entrants less those specified as "Not Active." Some applications of Randomware need to maintain accurate employee records. Instead of deleting an entry from the base list when personnel terminate employment, simply check the "Not Active" field. Entrants flagged as "Not Active" do not accumulate to the overall numbers used to calculate year to date percentages.
Available | If an entrant is not available for the specified testing schedule, simply flag the entry as "Not Available." Examples: vacation, jury duty, time off for disability, etc. These entrants still contribute to the overall number counts for year to date percentage calculations.
Total to Select | The sum of selections for tests to be administered, including alternates.
Selection Date | The date the selection was generated.
Testing Date (Start) Testing Date (End) | Testing or collection date. If the option to randomize the test or collection date is selected, then a randomly selected day within the period specified is generated, excluding days specified in the Nots section of the control. Maintain a calendar of Not Dates (Exclusion Dates). For example, if you want to exclude holidays from the testing calendar, then be sure to check the system option through the Other Data menu.
Lab | Preset the Lab which will process the sample.
MRO | Preset the MRO (Medical Review Officer) who will review the documents.
Collector | Preset the CPC (Certified Professional Collector) will be gather the samples.
Preset Sample Collected | Year to date percentages are usually based on the number of donor samples actually collected. Typically, the number of "No Shows" is less than those who are tested. Pre-specification of collected samples reduces the overhead of post testing data entry. If the sample is preset as "Collected" then data management is reduced to logging the account of those selected who were not tested.

Exclusion
No. Days | Enter the number of days in which individuals previously selected or tested can be excluded from the current selection. Specify "Previously Selected" or "Previously Tested" in the option detailed below. If a pre-employment testing roster is maintain, some companies may choose to exclude newly hired personnel from redundant testing within a number of days since hiring.
Last Select Date | If "No. Days" is specified as detailed above, then the corresponding calendar date is displayed here. If a Last Select or Testing Date is entered, then "No. Days" is determined and displayed. One will determine the other when specified.
Exclude By . . .
Select Date
Test Date 		Excluding by selection date prevents the selection of anyone previously selected within the specified time period. Alternately, personnel may be excluded from subsequent selection if the individual was previously tested within the specified period. The term "Testing" is used equivalently to "Donor Sample Collected."
Only if Collected
Not Alternates 		If exclusion by Select Date is specified, you may choose to exclude individuals if and only if a sample was actually collected. Furthermore, if exclusion by Select Date is specified, it may be essential NOT to exclude those previously selected as alternates. There are myriad exclusion possibilities and they all depend on how individual applications of Randomware mange their selection history data.
Pre-Employment Lists
  • Use
  • Only
  • Ignore
Pre-Employment can be used to determine exclusion.

Use: Check pre-employment list for personnel tested within the specified number of days. If the testing date for a name from the pre-employment list is within the specified number of days, the entry will be excluded from the current selection.

Only: Exclusion testing is applied only to pre-employment lists. Selection history data is not used to determine if an entry is excluded from the selection, i.e., if someone was previously tested within the specified no. of days, but not through pre-employment, then the individual is eligible for selection.

Ignore: Pre-Employment lists will not be used to determine exclusion, i.e., an individual will not be excluded from selection regardless of pre-employment testing.

All pre-employment lists are reviewed. A master pre-employment list can be maintained for an entire directory and individually for each group within the directory.


Sorting - Lock current entry for display

After Sorting - Lock Current Entry in the Editor
After sorting, the first entry from the sorted list is loaded into the editor.

If you "Lock" the current entry, it will remain in the editor after the list is sorted.

Click on the Lock to toggle its status from locked to unlocked.


Sorting

Left click to sort the column.

Click near the top for an ascending sort, or near the bottom for a descending sort.


Supervisor Assignment


Supervisors Organizational Chart


Supervisors: Maintaining Relative Data Base


System Scheduler

When the System Scheduler is active the number of dates listed for random selection is counted for year to date testing percentage calculation.

Note: This option can only be modified when the system is set for Exclusive Access. See the Network tab for the exclusive access option.


System Options

Directly access the system options.


TEMP

wandering.gif (917 bytes)

Importing an External Data File to a Base List

Select Read from the Base List menu to import an external data file as a Base List.

The data in the currently active Base List will be replaced by the imported data. If you exit the Base List without first selecting the Save option then the original data will be unchanged. The original data will be overwritten when you select the save option.

File Name The external data file has no naming conventions requirements. The Open Dialog presents all file formats from which to select.

Required Format The data in the file must be Tabbed Delimited , one Record per line, in the following formatted order:

<Last_Name> <Tab> <First_Name> <Tab> <Middle_Initial> <Tab> <Social_Security_N0 >

NOTE: The characters "< >" are used above to distinguish one data field from the other. They are not to appear in the data file.

Optional Formats

If the data in your tabbed delimited file is in a different order, then the first line of the data file must identify the order of the columns with appropriate headings. An example of possible headings can be:

LAST <Tab> FIRST <Tab> MI <Tab> SS <Tab> LOCATION

The above denotes the inclusion of the following data in the order listed:

Last Name

First Name

Middle Initial

Social Security Number

Location

If any column of data is absent then simply leave off its respective heading. For example, if there is no location then the heading line would appear as:

LAST <Tab> FIRST <Tab> MI <Tab> SS

Optional Headings

You can maintain a data base of optional data column headings: select Read from the Base List menu. Then from the popup menu choose Tabbed Delimited Data File Headings.


Test Types

Test Types Administered - Accessing the Data Base for Editing

Tests to administer can be managed in a data base. Once entered, the tests can be easily picked at the time you draw your random selections. The tests that you specify in the selection control box will be appear on the printed form.

Access the data base to enter Test Types from a number of menus throughout the program. Through the pop-up menu select the option Test Types Administered as shown in the menu example below.

Home


Select a Test Result Code for Current Entry

From the drop down list, select a test result code. If you simply type the first few characters of the test type, the system will attempt to complete the word based on how closely the first characters match the words currently in the test type data table.


Time Formats - Entering Time Values


Selection Time Constraint

Some applications of random selection for drug & alcohol testing require that random selections not be generated successively within a specified time interval between selections.

For example, the NRC, U.S. Nuclear Regulatory Commission, requires that successive random selections not be generated more than once within a 24 hour period. For users complying with NRC regulations, this option is selected and 24 is entered in the field immediately to the right.


Password Control

Total Access Control (TAC)
Total Access Control or Level III Security Access, is turned on through the Admin menu.

Total Access Control (TAC) can be turned ON only by the system administrator using the login ID Admin. TAC cannot be turned off by the default administrator. Only users entered in the user list as administrators can turn TAC off and only when requested by one administrator and confirmed by another. To turn TAC off, the program first asks for the login ID and password of an administrator and then requests a subsequent login ID and password of a second administrator for confirmation. All access activation requests are saved and displayed as a public record once TAC has been activated. If TAC is turned off, the two authorizing administrators are listed in the audit trail as a public record. If TAC is ever turned off and the audit file removed, a public announcement is made when the program is activated. The message announces that TAC control was turned off, the audit trail removed and that the activity violates Level III access protocol. The administrators who requested and confirmed the deactivation are noted in the announcement.

Overwriting the system definition file, Randomdx.txt, from the original installation disc will turn this message off. If Total Access Control is important to the installation, it is the administrator's responsibility to create a procedure which will prevent unauthorized access to the installation disc in accordance with the security environment through which the program is exercised.

Any number of users can be granted "Administrator" status when using TAC. The User List is only accessible by an administrator and can be located anywhere on a network for security. To register the location of the user list, see the option, Register User List Folder, from the User List menu under Utils. The program will not relocate the user list. Use Windows Explorer to move the user list. Once moved, sign on as the default administrator, Admin, and register the location of the disk folder where the user list is found.

The user list can be moved only by an administrator whose entry appears in the list and the location/relocation must be confirmed by a second administrator. The confirmation guarantees that security protocol is not breached. When the system is installed, the user list is initially located in a subfolder of the installation, C:\RandomWare\Users, and the name of the data file is Users.dbf. After installation the user list does not exist.

Before the user list can be accessed for entry, turn on TAC exit the program and log in as the default Administrator . Open the user list through the main menu option Utils. Define at least two users in the list as administrators. Once a user list has been established, the default administrator will no longer has access authorization to the list. Only users entered in the list as administrators have access authorization. An administrator cannot modify his or her own entry.

To relocate the user folder, log into the program, as one of the administrators from the user list, choose the menu options: Utils, User Login Data and Register User List Folder. Use the Browse feature to identify the folder where the user list will be ultimately located. DO NOT RELOCATE THE FOLDER BEFORE USING THE BROWSE FUNCTION. The folder must exist prior to using the browse function. Use Windows Explorer to create the folder as required. After the user list folder is registered, use Windows Explorer to move the data files - DO NOT USE THE COPY OPTION:

  • ACCESS_DX.dbf
  • LOGIN_AUDIT.dbf
  • Users.dbf

When required,

When a user is first added, his or her login ID is the default password the first time the user logs into the system. When the login ID and password are the same, the user is prompted to change his or her default password.

The administrator can reset a user's password. When reset, it is re-initialized to his or her login ID and the user will be asked to re-establish a password when logging in for the first time after it's been reset. To reset a password, open the user list, right click a user's name and select the pop-up menu Reset Password.

Users and administrators can change their login ID and passwords from the Admin menu option.

All users and administrators are prevented from editing their own records. If a record in an employee personnel roster or a drug and alcohol results table lists the user's personnel ID, the user will be unable to edit the record.

NOTE: Passwords are encrypted.


Directory Index Cards for Quick Data Location


Notes/ Comments - Exchanging Data between Fields

Use the note and comment field to maintain information about testing, observation or an alert notification to or from the collectors. Enter a note or comment and set the Alert flag. The alert flag will prompt the collector to review the note and comment for special information.

A comment or note entered by the data coordinator will be transferred to the employee's entry in the roster. You may want to preserve the comment entered and provide another note or comment. Use the arrows to transfer and exchange the data from the notes to the comments and visa versa.

Transfer / Exchange Note and Comment Fields
Move the Note to the Comment field. The Note field will be left blank. Any text in the Comment field will be overwritten by the text from the Note.
Move the Comment to the Note field. The Comment field will be left blank. Any text in the Note field will be overwritten by the text from the Comment .
Exchange data from Notes to Comments and visa versa. The text in the Note will appear in the Comment while the text in the comment will appear in the Note.


Notes/ Comments - Exchanging Data between Fields

Use the note and comment field to maintain information about testing, observation or an alert notification to or from the collectors. Enter a note or comment and set the Alert flag. The alert flag in the individuals roster entry will be set and the note and comment will transfer as well.

In general, if information from the collector requires a important comment for the next test, the data coordinator can enter the comment into the donor sample record and set the Alert Flag.

You may want to preserve the note or comment and provide another note or comment. Use the arrows to transfer and exchange the data from the notes to the comments and visa versa.

Transfer / Exchange Note and Comment Fields
Move the Note to the Comment field. The Note field will be left blank. Any text in the Comment field will be overwritten by the text from the Note.
Move the Comment to the Note field. The Comment field will be left blank. Any text in the Note field will be overwritten by the text from the Comment .
Exchange data from Notes to Comments and visa versa. The text in the Note will appear in the Comment while the text in the comment will appear in the Note.


Select a Test Type for Current Entry
From the drop down list, select a test type to administer, press OK to assign the selected test to the currently highlighted input field in the spreadsheet.
From the spreadsheet, if you simply type the first few characters of the test type, the system will attempt to complete the word based on how closely the first characters match the words currently in the test type data table.

The Test Type data table can be accessed from the Other Data menu option.


template

Tutorial - Base List

Tutorial: Directory - Getting Started


template

Tutorial: The Base List - Generating Random Selections

A Base List is a roster of data from which you will generate random selections for your application of RandomWare.

These lists may contain any of the following data:

  • The employees for an entire company or a single department

  • The members of a sports team.

  • The students in a class room.

  • The vessels for a maritime fleet
The Base List of a pool, or consortium, results from combining the Base Lists of all its members. Pools are defined simply by assigning a common identifier to each member of the pool. Enter a common pool identifier in the Pool ID column for each member of the pool. Think of the pool identifier, or pool ID, simply as the name of the pool.

This article assumes you have reviewed the preceding tutorial(s) which explain how to open a base list - from the directory facility or as an individually named file from outside the directory facility. Regardless of the method by which the base list is opened, the windows described in this tutorial are identical for each method, with the exception of the file name and/or the title displayed at the top of the screen.

Opening the Base List from the Directory Facility

If you opened the base list from the directory facility for Acme Delivery, the following is displayed:

Opening the Base List as an Individually Named File

If you opened the individually named file, Sample.Dat, the window shown below is displayed:

This rest of the tutorial will feature the Base List for Acme Delivery. Please Note: Examples below of the Base List window are from a previous version of Randomware, however, the menu examples are still valid.

Note: The picture below does not include the "Exclusion" column. This is a new feature and not all the pictures in the help system are up-todate. The Base List article is current and discusses each data item.

Last Name, First Name & Identification No.

The data entry fields, Last Name, First Name, M.I. (middle initial) are obvious and need no explanation. The ID No. can be entered as a Social Security Number or as any alpha numeric text string with a maximum of 32 characters. To toggle the format of the ID No. from a social security number to a generic ID number, or visa versa, use the popup menu options found under the Misc menu as shown below:

Mode & Category

Each base list entrant can be assigned a Mode and a Category associated with a specific Mode. Enter any categories required by your application of RandomWare. Up to 12 characters can be entered for the category. The category field can be used to filter the random selections you generate and is discussed in detail in the pages referred to in the tutorial below.

Saving the Base List

After you've edited the base list, use the save option to write the data to the hard disk.

Random Selection

From the base list, generate a random selection using one of the popup menu options found under the Select menu as shown:

See Random Selections for a complete discussion of these options.


Getting Started with the Directory Facility

RandomWare Plus+ Tutorial
Getting Started with the Directory Facility

Follow this tutorial step by step to quickly learn how to get started with this easy to use system for random selection and data management. Click on linked references to read a related article and easily return to continue the tutorial.

The directory facility is a feature of RandomWare Plus+. Use it to maintain a list of groups or companies and access their base lists for editing and random selection. For a detailed discussion of the directory facility see Directory.

This tutorial will reference the sample directory included in the installation: Dir_Sample.dir.
Open a New or Existing Directory . . .
Open the Last Directory . . .
An open option is also available from the menu bar:
The "standard open" dialog will prompt you for the name of the RandomWare directory to open.

Select the sample directory, Dir_Sample.dir, or enter a directory name of your choice. You do not need to enter the file extension, .DIR, it is automatically provided for directory files. If you enter a new directory name the file is automatically created. Using the mouse, press the Open button. The program will access the existing directory file or create a new one and display the directory window for editing.

The Directory Window
The directory window is divided into two sections.

  • Address block.

  • Company/Group Name, Pool ID, Notification & List File ID.
All data items for each directory entry are not displayed in the view above - all data for each record simply can't be displayed in one window in a meaningful format.

Other views are available for the directory and each is accessed through the Views menu option.

  • Selection Control & Target Percentages
  • Standard View
  • Check Mark control for utility options.
  • Single Name status control
  • Simple Address Listing

The Group name entry:
Enter the name of a company or a group for whom you will maintain a list of entries. This entry is the link to the base list of names from which you will generate random selections.

The "current field" in the above example is the company named Acme Delivery. If you move the cursor down one line by pressing the down arrow key, the next "current field" will be the company named Hazard Material Recovery. The "current field" is displayed with a different background color to distinguish it from the other fields for easy visual reference while entering data.

You can access and edit each directory entry's respective roster of names directly from the directory window by double clicking on the name entered in the Group box or field. This roster, or data list, is generically referred to as a Base List.

You must always save changes to the directory before requesting to edit any base list. If you're accessing a new list, the system assigns a unique file ID and writes the directory data to disk. To keep the data on screen consistent with the data on disk, it is therefore required that you save the data first. The system will always remind you to save any modifications it detects.

Enter data and save with the menu option, Save, from the menu bar at the top of the window. Once saved, you can access and edit each directory entry's roster of names.
Let's open the base list for Acme Delivery, the company name listed in record number 1. You can use the Open Options menu [1] or double click the mouse cursor over the field where the company name is displayed [2] as shown below.

How to Open Related Lists for Directory Entries
Open a directory entry's Base List list using the Open_Options menu at the top of the window. The Open Options menu provides access to the Pool Registry, Schedules. Schedule Master, Base Lists, and History files. See Tutorial: Open Options.
Double click the left mouse button to open Acme's Base List. If you right click the mouse, an Open Options popup menu is presented. See Tutorial: Open Options.
NOTE: When you name and open a new directory, an empty directory window is displayed with only the first record defined as shown below. The text "You Enter Your First Group/Company Name Here" is not displayed when you open a new directory - it is shown here simply as an instructional aid - the field is displayed with no text entered - the sequence number "1" is displayed at the left.

The highlighted field is the "Current Field." Pressing the Enter key, repeatedly, will sequence the cursor from field to field until the end of the current record. It will sequence from Group column, through the Pool ID column, the Notify File and File ID columns, then to the Address block in the upper part of the window and eventually to the Group field of the next record, i.e. after the last field of the current record, the cursor will automatically move to the next record - from line 1 to 2, to 3, etc.

When you enter your first company name in record #1, you can use the down arrow key to move directly to record #2. At that time, you will see "2" displayed on the left side of the screen indicating that you have defined two records in the current directory and can then type the data required for record #2.
Continuing . . .
Ok, let's open the base list for Acme Delivery, the group name listed in record number 1. Move the mouse cursor over the field where the company name is displayed and double click the left mouse button. Double clicking the group entry is the fast and easy way to request the presentation of the window in which the base list is defined. The next page of the tutorial will cover Editing the Base List and Generating Random Selections.


Tutorial - Opening Individually Named Lists

Tutorial: Getting Started - Opening Individually Named Lists

The Base List is the list from which you will generate random selections. A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

The Basic System can only access Base Lists as individually named files. The Basic Plus+ System can open Base Lists using either the directory facility or individually as named files.

The file name of a Individually Named List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

Basic Plus+ System

From the main menu, open an existing or a new Base List through the menu option Lists.

Basic System

From the main menu, open an existing or a new Base List through the menu option Lists.

The "standard open" dialog prompts you for the file name of the Base List you want to access.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For detailed information about using the standard dialog see the help topic Open Dialog Box.

NOTE: Lists are automatically assigned the file extension: .DAT

Select the sample list that is bundled with the system Sample.DAT, or enter a list name of your choice. Do not enter the ".DAT" extension, it is automatically provided for list files. If you enter a new list name its respective file will be created. With the mouse, select Open by pressing the Open button.

The program will access the existing file or create a new one and then display the base list window for editing - From here, let's go to the next page of the tutorial - Base List Lesson.


Tutorial - Open Options

Home


Open Base Lists

Tutorial - Basic and Simple Systems: Getting Started - Opening Base Lists

The Base List is the list from which you will generate random selections. A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

The file name of a Base List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

Basic & Simple Systems

From the main menu, open an existing or a new Base List through the menu option Lists.

The "standard open" dialog prompts you for the file name of the Base List you want to access.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For detailed information about using the standard dialog see the help topic Open Dialog Box.

NOTE: Lists are automatically assigned the file extension: .DAT

Choose the sample file that's bundled with the system, Sample.DAT, to run sample random selections, or enter a file name of your choice. Do not enter the ".DAT" extension, it is automatically provided for list files. If you enter a new name its file will be created. Press Open to continue.

The program will access the existing file or create a new one and then display the data window for editing - From here, let's go to the next page of the tutorial - Base List Lesson.


Absolute Percentages

Topics
  • Test Types & Percentages
  • Alternates
Specifying Test Types and Percentages for Random Selection
Enter the cumulative yearly target percentages the drug & alcohol (D&A) program needs to achieve. The system will review the history file of random selections to determine the percentage for the current draw. Enter the number of selections scheduled for the year in the place provided.
Quarterly: | 4
Monthly: | 12
Weekly: | 52
Biannually: | 2

Specify 2 Tests - One for Drugs/Substances and one for Alcohol.

The program allows for the specification of two tests: usually one is a drug or substance test and the other is an alcohol test. Drug and alcohol testing programs require participants to submit to testing in different ways.

Enter two tests and one percentage: Every participant submits to both tests - no exceptions. This procedure tests equally for drugs and alcohol.
Specify each of the two tests. Enter the yearly target percentage in A-Selection and leave B-Selection percentage empty or zero. When the program generates a random selection it assigns both tests to each individual selected. Program Logic: if two tests are specified and A% is non-zero while B% is zero, then assign both tests specified to each individual selected.

Enter two tests and two percentages:
Specify each of the two tests. Enter the respective yearly target percentages in A-Selection and B-Selection. Two random selection generators control the outcome:

  • Super Double Jeopardy: Donors are randomly selected for Test-A. Donors for Test-B are selected entirely from those selected for Test-A. The percentage specified for Test-B must be less than or equal to the percentage specified for Test-A. This minimizes the number of donors who will show for testing.

  • General: Donors are randomly selected for Test-A and then for Test-B. Options are available which determine how the selection for Test-B is controlled: If someone is selected for the first test, he/she may or may not be excluded from the draw for the second test.

Specify 1 Test Only

Simply specify the test in Test-A and its respective percentage. Empty or blank specifications are ignored.
Alternates

Request alternates to select for each of the two tests specified. The program will interpret the values as "counts" rather than percentages when the option "Alternates: Use as Counts Not %" is checked.

For example, if a list contains 200 entries, "Alternates (A)" is 5 and the option is not checked, the selection control will preset the count of alternates to select as 5%, yielding 10 as the count of alternates to select. If the option is checked, the count will be preset to 5 and the resulting percentage calculated and displayed as 2.5%.

Specifying Alternates separately for each Test A&B

If a value for the selection of alternates is entered for each of the two tests, the program will randomly select the number of alternates requested for each test.

When two tests are specified and a value is entered for only one test, Alternates (A) , the program will randomly select the number of alternates requested and assign both tests to each alternate selected.

For example, if selecting for both urine and breath with Alternates (A) = 3, Alternates (B) = 0, three alternates will be selected and each will be required to take both the drug and the alcohol tests.

If Alternates (A) = 3, Alternates (B) = 2, three alternates will be selected for the urine test and two will be selected to take the breath alcohol test.


Unique Alternate ID

The system will check to insure that the alternate id entered for an individual is unique. The check is limited to the current list.


Unique Primary ID

The system will check to insure that the primary id entered for an individual is unique. The check is limited to the current list.


Update Data Relationships when Tables are Open


User Login Data Folder


View a History File

Open History File for Review and Edit

Open a history file for viewing and editing. If the file doesn't exist an empty spreadsheet is presented for editing.

Randomware Plus: Opens the History for the current Base List.

Randomware Basic & Simple: The history file to open is specified by the user.


Welcome to RandomWare Simple!
Note: The help system includes all articles for the Simple, Basic and Plus systems.
When you see this Icon, click it for general information.
To open a base list, press the button . . .
To open a history file, press the button . . .
Base Lists

A Base List is the roster from which you will generate random selections. A base list can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

The file name of a Base List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.
History Files

Maintain a history file for every base list in the system. Save the results of every random selection to its history file for future reference and report generation. Data is always appended to the end of an existing history file.

Note: The results of a random selection are automatically saved if the Auto Save option is set in System Options. System options can be accessed from the Utilities menu option in the main menu displayed when the program starts or from the Misc menu option found in both the Base List and History data windows.


Auto Selection Mode
This option is reserved for future program enhancements. It currently provides no system resource.


Exclusion Days

Exclusion Days This is a "Preset" option.
If your testing program needs to exclude previously tested individuals by any number of days, enter that number here.
For example, enter 30 to exclude individuals previously tested within the last 30 days.
This is a preset option. It is used simply to preset the random selection control and can be modified at the time of selection.


Randomize Testing Date

File ID
Each directory entry is assigned a unique numeric identifier. This value is used to name all files associated with the directory entry.
Click on the Question Mark above the first column, line numbers, for a detailed discussion of this data item.


Limited Access Control

Limited Access Selection Control
When this option is checked the program presents a limited access control for generating random selections. When used in conjunction with Administrator Access, a "User" has limited access to control parameters when generating random selections.
Review the tutorial for Administrator Access control for more information about using this feature.


Randomize Testing Date
This option is reserved for future program enhancements. It currently provides no system resource.


Super Double Jeopardy

Super Double Jeopardy This is a "Preset" option.
Check this option to preset the selection control to Super Double Jeopardy vs. "General. See the Random Selection tutorial for more information about this preset option.
For example: 50 donors will be selected for Test A, urine, and 10 for Test B, breath alcohol. First 50 are selected for Test-A. The 10 for Test-B will be selected entirely from the 50 already selected. The maximum number of donors selected is 50, 10 of which are administered both tests.


Single Name Display Mode
If you use the set the Single Name Status switch for an individual directory entry or a pool, only one name is displayed and printed when the data for that entry is accessed. This does not effect the structure of the data base. When selected, the data base field for last name is presented for input while suppressing the first name field from displaying.